var searchData = {
  "modules": [
    {
      "id": "java",
      "description": "\u003cp\u003eThis module provides the API for Java interoperability in Ballerina.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "0.9.0"
    },
    {
      "id": "lang.annotations",
      "description": "\u003cp\u003eThis module provides predefined annotations and default error type declaration.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.0.0"
    },
    {
      "id": "lang.array",
      "description": "\u003cp\u003eThis module provides lang library list operations defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.1.0"
    },
    {
      "id": "lang.boolean",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003eboolean\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.0.0"
    },
    {
      "id": "lang.decimal",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003edecimal\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.0.0"
    },
    {
      "id": "lang.error",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003eerror\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.0.0"
    },
    {
      "id": "lang.float",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003efloat\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.0.0"
    },
    {
      "id": "lang.future",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003efuture\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.0.0"
    },
    {
      "id": "lang.int",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003eint\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.1.0"
    },
    {
      "id": "lang.map",
      "description": "\u003cp\u003eThis module provides lang library map operations defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.1.0"
    },
    {
      "id": "lang.object",
      "description": "\u003cp\u003eThis module defines the shape expected from all listeners as defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.0.0"
    },
    {
      "id": "lang.query",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003equery-action\u003c/code\u003es \u0026amp; \u003ccode\u003equery-expression\u003c/code\u003es.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "0.0.1"
    },
    {
      "id": "lang.runtime",
      "description": "\u003cp\u003eThis module defines the lang.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "0.0.1"
    },
    {
      "id": "lang.stream",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003estream\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "0.4.0"
    },
    {
      "id": "lang.string",
      "description": "\u003cp\u003eThis module provides lang library string operations defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.1.0"
    },
    {
      "id": "lang.table",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003etable\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "0.4.0"
    },
    {
      "id": "lang.transaction",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003etransaction\u003c/code\u003es.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "0.0.1"
    },
    {
      "id": "lang.value",
      "description": "\u003cp\u003eThis module provides lang library operations common to all values defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "1.0.0"
    },
    {
      "id": "lang.xml",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003exml\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "0.8.0"
    },
    {
      "id": "observe",
      "description": "\u003cp\u003eThis module provides apis for observing Ballerina services.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "0.8.0"
    },
    {
      "id": "test",
      "description": "\u003cp\u003eThis module facilitates developers to write automation tests for ballerina code in a simple manner.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "0.0.0"
    }
  ],
  "classes": [
    {
      "id": "CallStack",
      "description": "\u003cp\u003eRepresent error call stack.\u003c/p\u003e",
      "moduleId": "lang.error",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "DefaultRetryManager",
      "description": "\u003cp\u003eDefault retry manager to be used with retry statement.\u003c/p\u003e",
      "moduleId": "lang.object",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "Counter",
      "description": "\u003cp\u003eThis represents the metric type - counter, that can be only increased by an integer number.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "Gauge",
      "description": "\u003cp\u003eThis represents the metric type - gauge, that can hold instantaneous, increased or decreased value\nduring the usage.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "MockObject",
      "description": "\u003cp\u003eRepresents a Mock object in which to create stubs for member functions and variables\u003c/p\u003e\n",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "MemberFunctionStub",
      "description": "\u003cp\u003eRepresents an object that allows stubbing member function invocations.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "MemberVariableStub",
      "description": "\u003cp\u003eRepresents an object that allows stubbing member variables retrieved.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "MockFunction",
      "description": "\u003cp\u003eRepresents a MockFunction object\u003c/p\u003e\n",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "FunctionStub",
      "description": "\u003cp\u003eRepresents an object that allows stubbing function invocations\u003c/p\u003e\n",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    }
  ],
  "functions": [
    {
      "id": "fromString",
      "description": "\u003cp\u003eReturns a \u003ccode\u003ehandle\u003c/code\u003e, which refers to the Java string representation of the Ballerina \u003ccode\u003estring\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "toString",
      "description": "\u003cp\u003eReturns a Ballerina \u003ccode\u003estring\u003c/code\u003e representation of the Java object referred by the \u003ccode\u003ehandle\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "isNull",
      "description": "\u003cp\u003eReturns \u003ccode\u003etrue\u003c/code\u003e if this handle refers to Java null.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "createNull",
      "description": "\u003cp\u003eReturns a \u003ccode\u003ehandle\u003c/code\u003e, which refers to Java null.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "getClass",
      "description": "\u003cp\u003eReturns a \u003ccode\u003ehandle\u003c/code\u003e, which refers to the Java Class object associated with the class or interface with the given\nstring name.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "cast",
      "description": "\u003cp\u003eReturns an \u003ccode\u003eJObject|error\u003c/code\u003e, which is obtained after casting the provided \u003ccode\u003eJObject\u003c/code\u003e instance\nto the given \u003ccode\u003eJObject\u003c/code\u003e type depending on assignability.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "jObjToString",
      "description": "\u003cp\u003eReturns the string representation of a Java object stored in a handle reference.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "createIntRange",
      "description": "\u003cp\u003eThe \u003ccode\u003ecreateIntRange\u003c/code\u003e function creates a \u003ccode\u003eIntRange\u003c/code\u003e object and returns it.\u003c/p\u003e",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "hasConfigurableValue",
      "description": "\u003cp\u003eCheck whether a given key has a configuard value\u003c/p\u003e\n",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "getConfigurableValue",
      "description": "\u003cp\u003eGet the value of the configurable variable\u003c/p\u003e\n",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "setNarrowType",
      "description": "\u003cp\u003eSets the narrowed type of the \u003ccode\u003evalue\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "construct",
      "description": "\u003cp\u003eTakes in an iterator object and returns a new stream out of it.\u003c/p\u003e",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "getElementType",
      "description": "\u003cp\u003eTakes a typedesc of an array or stream and returns the typedesc of the element or constraint type.\u003c/p\u003e",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "getFilterFunc",
      "description": "\u003cp\u003eChange the given filter function\u0027s parameter to any|error and returns the same function.\u003c/p\u003e",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "getMapFunc",
      "description": "\u003cp\u003eChange the given map function\u0027s parameter to any|error and returns the same function.\u003c/p\u003e",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "getReturnType",
      "description": "\u003cp\u003eGet the return type of a given function\u003c/p\u003e\n",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "getIteratorObj",
      "description": "\u003cp\u003eTakes in a stream and returns the iterator object of that stream.\u003c/p\u003e",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "invokeAsExternal",
      "description": "\u003cp\u003eInvoke a non-isolated function as an external function (workaround for isolated invocations).\u003c/p\u003e",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "getElements",
      "description": "\u003cp\u003eGet elements matching at least one of \u003ccode\u003eelemNames\u003c/code\u003e\u003c/p\u003e\n",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "getFilteredChildrenFlat",
      "description": "\u003cp\u003eGet childElements matching \u003ccode\u003eelemNames\u003c/code\u003e and childIndex for each children sequence.\u003c/p\u003e",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "selectDescendants",
      "description": "\u003cp\u003eSearches in children recursively for elements matching the qualified name and returns a sequence containing them\nall.\u003c/p\u003e",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "getAttribute",
      "description": "\u003cp\u003eReturn attribute matching expanded attribute name\u003c/p\u003e\n",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "getElementNameNilLifting",
      "description": "\u003cp\u003eReturn name of the element if \u003ccode\u003ex\u003c/code\u003e is a element or nil if element name is not set, else error.\u003c/p\u003e",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "length",
      "description": "\u003cp\u003eReturns the number of members of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "enumerate",
      "description": "\u003cp\u003eReturns a new array consisting of index and member pairs.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "\u0027map",
      "description": "\u003cp\u003eApplies a function to each member of an array and returns an array of the results.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "forEach",
      "description": "\u003cp\u003eApplies a function to each member of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "filter",
      "description": "\u003cp\u003eSelects the members from an array for which a function returns true.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "reduce",
      "description": "\u003cp\u003eCombines the members of an array using a combining function.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "slice",
      "description": "\u003cp\u003eReturns a subarray starting from \u003ccode\u003estartIndex\u003c/code\u003e (inclusive) to \u003ccode\u003eendIndex\u003c/code\u003e (exclusive).\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "remove",
      "description": "\u003cp\u003eRemoves a member of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "removeAll",
      "description": "\u003cp\u003eRemoves all members of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "setLength",
      "description": "\u003cp\u003eChanges the length of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "indexOf",
      "description": "\u003cp\u003eReturns the index of first member of \u003ccode\u003earr\u003c/code\u003e that is equal to \u003ccode\u003eval\u003c/code\u003e if there is one.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "lastIndexOf",
      "description": "\u003cp\u003eReturns the index of last member of \u003ccode\u003earr\u003c/code\u003e that is equal to \u003ccode\u003eval\u003c/code\u003e if there is one.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "reverse",
      "description": "\u003cp\u003eReverses the order of the members of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "sort",
      "description": "\u003cp\u003eSorts an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "pop",
      "description": "\u003cp\u003eRemoves and returns the last member of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "push",
      "description": "\u003cp\u003eAdds values to the end of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "shift",
      "description": "\u003cp\u003eRemoves and returns first member of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "unshift",
      "description": "\u003cp\u003eAdds values to the start of an array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toBase64",
      "description": "\u003cp\u003eReturns the string that is the Base64 representation of an array of bytes.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "fromBase64",
      "description": "\u003cp\u003eReturns the byte array that a string represents in Base64.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toBase16",
      "description": "\u003cp\u003eReturns the string that is the Base16 representation of an array of bytes.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "fromBase16",
      "description": "\u003cp\u003eReturns the byte array that a string represents in Base16.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toStream",
      "description": "\u003cp\u003eReturns a stream from the given array.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "fromString",
      "description": "\u003cp\u003eConverts a string to a boolean.\u003c/p\u003e",
      "moduleId": "lang.boolean",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "sum",
      "description": "\u003cp\u003eSum of zero or more decimal values.\u003c/p\u003e",
      "moduleId": "lang.decimal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "max",
      "description": "\u003cp\u003eMaximum of one or more decimal values.\u003c/p\u003e",
      "moduleId": "lang.decimal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "min",
      "description": "\u003cp\u003eMinimum of one or more decimal values\u003c/p\u003e\n",
      "moduleId": "lang.decimal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "abs",
      "description": "\u003cp\u003eIEEE abs operation.\u003c/p\u003e",
      "moduleId": "lang.decimal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "round",
      "description": "\u003cp\u003eRound a decimal to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.decimal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "floor",
      "description": "\u003cp\u003eRounds a decimal down to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.decimal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "ceiling",
      "description": "\u003cp\u003eRounds a decimal up to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.decimal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "fromString",
      "description": "\u003cp\u003eReturn the decimal value represented by \u003ccode\u003es\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.decimal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "message",
      "description": "\u003cp\u003eReturns the error\u0027s message.\u003c/p\u003e",
      "moduleId": "lang.error",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "cause",
      "description": "\u003cp\u003eReturns the error\u0027s cause.\u003c/p\u003e",
      "moduleId": "lang.error",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "detail",
      "description": "\u003cp\u003eReturns the error\u0027s detail record.\u003c/p\u003e",
      "moduleId": "lang.error",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "stackTrace",
      "description": "\u003cp\u003eReturns an object representing the stack trace of the error.\u003c/p\u003e",
      "moduleId": "lang.error",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "isFinite",
      "description": "\u003cp\u003eTests whether a float is finite.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "isInfinite",
      "description": "\u003cp\u003eTests whether a float is infinite.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "isNaN",
      "description": "\u003cp\u003eTests whether a float is NaN.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "sum",
      "description": "\u003cp\u003eSum of zero or more float values.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "max",
      "description": "\u003cp\u003eMaximum of zero or more float values.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "min",
      "description": "\u003cp\u003eMinimum of zero or more float values.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "abs",
      "description": "\u003cp\u003eIEEE abs operation.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "round",
      "description": "\u003cp\u003eRound a float value to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "floor",
      "description": "\u003cp\u003eRounds a float down to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "ceiling",
      "description": "\u003cp\u003eRounds a float up to the closest integral value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "sqrt",
      "description": "\u003cp\u003eReturns the square root of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "cbrt",
      "description": "\u003cp\u003eReturns the cube root of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "pow",
      "description": "\u003cp\u003eRaises one float value to the power of another float values.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "log",
      "description": "\u003cp\u003eReturns the natural logarithm of a float value\nCorresponds to IEEE log operation.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "log10",
      "description": "\u003cp\u003eReturns the base 10 logarithm of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "exp",
      "description": "\u003cp\u003eRaises Euler\u0027s number to a power.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "sin",
      "description": "\u003cp\u003eReturns the sine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "cos",
      "description": "\u003cp\u003eReturns the cosine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "tan",
      "description": "\u003cp\u003eReturns the tangent of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "acos",
      "description": "\u003cp\u003eReturns the arccosine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "atan",
      "description": "\u003cp\u003eReturns the arctangent of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "asin",
      "description": "\u003cp\u003eReturns the arcsine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "atan2",
      "description": "\u003cp\u003ePerforms the 2-argument arctangent operation.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "sinh",
      "description": "\u003cp\u003eReturns the hyperbolic sine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "cosh",
      "description": "\u003cp\u003eReturns the hyperbolic cosine of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "tanh",
      "description": "\u003cp\u003eReturns the hyperbolic tangent of a float value.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "fromString",
      "description": "\u003cp\u003eReturn the float value represented by \u003ccode\u003es\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "toHexString",
      "description": "\u003cp\u003eReturns a string that represents \u003ccode\u003ex\u003c/code\u003e as a hexadecimal floating point number.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "fromHexString",
      "description": "\u003cp\u003eReturn the float value represented by \u003ccode\u003es\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "toBitsInt",
      "description": "\u003cp\u003eReturns IEEE 64-bit binary floating point format representation of \u003ccode\u003ex\u003c/code\u003e as an int.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "fromBitsInt",
      "description": "\u003cp\u003eReturns the float that is represented in IEEE 64-bit floating point by \u003ccode\u003ex\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "cancel",
      "description": "\u003cp\u003eRequests cancellation of a future.\u003c/p\u003e",
      "moduleId": "lang.future",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "abs",
      "description": "\u003cp\u003eReturns absolute value of an int.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "sum",
      "description": "\u003cp\u003eReturns sum of zero or more int values.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "max",
      "description": "\u003cp\u003eMaximum of one or more int values.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "min",
      "description": "\u003cp\u003eMinimum of one or more int values\u003c/p\u003e\n",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "fromString",
      "description": "\u003cp\u003eReturns the integer that \u003ccode\u003es\u003c/code\u003e represents in decimal.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toHexString",
      "description": "\u003cp\u003eReturns representation of \u003ccode\u003en\u003c/code\u003e as hexdecimal string.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "fromHexString",
      "description": "\u003cp\u003eReturns the integer that \u003ccode\u003es\u003c/code\u003e represents in hexadecimal.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "length",
      "description": "\u003cp\u003eReturns number of members of a map.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over a map.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "get",
      "description": "\u003cp\u003eReturns the member of map \u003ccode\u003em\u003c/code\u003e with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "entries",
      "description": "\u003cp\u003eReturns a map containing [key, member] pair as the value for each key.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "\u0027map",
      "description": "\u003cp\u003eApplies a function each member of a map and returns a map of the result.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "forEach",
      "description": "\u003cp\u003eApplies a function to each member of a map.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "filter",
      "description": "\u003cp\u003eSelects the members from a map for which a function returns true.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "reduce",
      "description": "\u003cp\u003eCombines the members of a map using a combining function.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "remove",
      "description": "\u003cp\u003eRemoves a member of a map.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "removeIfHasKey",
      "description": "\u003cp\u003eRemoves a member of a map with a given key, if the map has member with the key.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "removeAll",
      "description": "\u003cp\u003eRemoves all members of a map.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "hasKey",
      "description": "\u003cp\u003eTests whether m has a member with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "keys",
      "description": "\u003cp\u003eReturns a list of all the keys of map \u003ccode\u003em\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toArray",
      "description": "\u003cp\u003eReturns a list of all the members of a map.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "registerListener",
      "description": "\u003cp\u003eRegister a listener object with a module.\u003c/p\u003e",
      "moduleId": "lang.runtime",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "deregisterListener",
      "description": "\u003cp\u003eDeregister a listener from a module.\u003c/p\u003e",
      "moduleId": "lang.runtime",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "filter",
      "description": "\u003cp\u003eSelects the members from a stream for which a function returns true.\u003c/p\u003e",
      "moduleId": "lang.stream",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "next",
      "description": "\u003cp\u003eReturns the next element in the stream wrapped in a record or () if the stream ends.\u003c/p\u003e",
      "moduleId": "lang.stream",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "\u0027map",
      "description": "\u003cp\u003eApplies a function to each member of a stream and returns a stream of the results.\u003c/p\u003e",
      "moduleId": "lang.stream",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "reduce",
      "description": "\u003cp\u003eCombines the members of a stream using a combining function.\u003c/p\u003e",
      "moduleId": "lang.stream",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "forEach",
      "description": "\u003cp\u003eApplies a function to each member of a stream.\u003c/p\u003e",
      "moduleId": "lang.stream",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over a stream.\u003c/p\u003e",
      "moduleId": "lang.stream",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "close",
      "description": "\u003cp\u003eCloses a stream.\u003c/p\u003e",
      "moduleId": "lang.stream",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "length",
      "description": "\u003cp\u003eReturns the length of the string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over the string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "concat",
      "description": "\u003cp\u003eConcatenates zero or more strings.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "getCodePoint",
      "description": "\u003cp\u003eReturns the code point of a character in a string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "substring",
      "description": "\u003cp\u003eReturns a substring of a string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "codePointCompare",
      "description": "\u003cp\u003eLexicographically compares strings using their Unicode code points.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "\u0027join",
      "description": "\u003cp\u003eJoins zero or more strings together with a separator.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "indexOf",
      "description": "\u003cp\u003eFinds the first occurrence of one string in another string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "lastIndexOf",
      "description": "\u003cp\u003eFinds the last occurrence of one string in another string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "startsWith",
      "description": "\u003cp\u003eTests whether a string starts with another string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "endsWith",
      "description": "\u003cp\u003eTests whether a string ends with another string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toLowerAscii",
      "description": "\u003cp\u003eConverts occurrences of A-Z to a-z.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toUpperAscii",
      "description": "\u003cp\u003eConverts occurrences of a-z to A-Z.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "equalsIgnoreCaseAscii",
      "description": "\u003cp\u003eTests whether two strings are the same, ignoring the case of ASCII characters.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "trim",
      "description": "\u003cp\u003eRemoves ASCII white space characters from the start and end of a string.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toBytes",
      "description": "\u003cp\u003eRepresents \u003ccode\u003estr\u003c/code\u003e as an array of bytes using UTF-8.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "fromBytes",
      "description": "\u003cp\u003eConstructs a string from its UTF-8 representation in \u003ccode\u003ebytes\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toCodePointInts",
      "description": "\u003cp\u003eConverts a string to an array of code points.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "toCodePointInt",
      "description": "\u003cp\u003eConverts a single character string to a code point.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "fromCodePointInts",
      "description": "\u003cp\u003eConstructs a string from an array of code points.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "fromCodePointInt",
      "description": "\u003cp\u003eConstructs a single character string from a code point.\u003c/p\u003e",
      "moduleId": "lang.string",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "length",
      "description": "\u003cp\u003eReturns number of members of a table.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over a table.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "get",
      "description": "\u003cp\u003eReturns the member of table \u003ccode\u003et\u003c/code\u003e with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "put",
      "description": "\u003cp\u003eAdds a member \u003ccode\u003eval\u003c/code\u003e to table \u003ccode\u003et\u003c/code\u003e, replacing any member with the same key value.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "add",
      "description": "\u003cp\u003eAdds a member \u003ccode\u003eval\u003c/code\u003e to table \u003ccode\u003et\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "\u0027map",
      "description": "\u003cp\u003eApplies a function each member of a table and returns a table of the result.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "forEach",
      "description": "\u003cp\u003eApplies a function to each member of a table.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "filter",
      "description": "\u003cp\u003eSelects the members from a table for which a function returns true.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "reduce",
      "description": "\u003cp\u003eCombines the members of a table using a combining function.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "remove",
      "description": "\u003cp\u003eRemoves a member of a table.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "removeIfHasKey",
      "description": "\u003cp\u003eRemoves a member of a table with a given key, if the table has member with the key.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "removeAll",
      "description": "\u003cp\u003eRemoves all members of a table.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "hasKey",
      "description": "\u003cp\u003eTests whether \u003ccode\u003et\u003c/code\u003e has a member with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "keys",
      "description": "\u003cp\u003eReturns a list of all the keys of table \u003ccode\u003et\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "toArray",
      "description": "\u003cp\u003eReturns a list of all the members of a table.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "nextKey",
      "description": "\u003cp\u003eReturns the next available integer key.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "prepareError",
      "description": "\u003cp\u003eLog and prepare \u003ccode\u003eerror\u003c/code\u003e as a \u003ccode\u003eError\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "info",
      "description": "\u003cp\u003eReturns information about the current transaction\u003c/p\u003e\n",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "getInfo",
      "description": "\u003cp\u003eReturns information about the transaction with\nthe specified xid.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "setRollbackOnly",
      "description": "\u003cp\u003ePrevents the global transaction from committing successfully.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "getRollbackOnly",
      "description": "\u003cp\u003eTells whether it is known that the transaction will be rolled back.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "setData",
      "description": "\u003cp\u003eAssociates some data with the current transaction branch.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "getData",
      "description": "\u003cp\u003eRetrieves data associated with the current transaction branch.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "onCommit",
      "description": "\u003cp\u003eAdds a handler to be called if and when the global transaction commits.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "onRollback",
      "description": "\u003cp\u003eAdds a handler to be called if and when the global transaction rolls back.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "clone",
      "description": "\u003cp\u003eReturns a clone of \u003ccode\u003ev\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "cloneReadOnly",
      "description": "\u003cp\u003eReturns a clone of \u003ccode\u003ev\u003c/code\u003e that is read-only, i.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "cloneWithType",
      "description": "\u003cp\u003eConstructs a value with a specified type by cloning another value.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "isReadOnly",
      "description": "\u003cp\u003eTests whether \u003ccode\u003ev\u003c/code\u003e is read-only, i.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "toString",
      "description": "\u003cp\u003ePerforms a direct conversion of a value to a string.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "toBalString",
      "description": "\u003cp\u003eConverts a value to a string that describes the value in Ballerina syntax.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "fromBalString",
      "description": "\u003cp\u003eParses and evaluates a subset of Ballerina expression syntax.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "toJson",
      "description": "\u003cp\u003eConverts a value of type \u003ccode\u003eanydata\u003c/code\u003e to \u003ccode\u003ejson\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "toJsonString",
      "description": "\u003cp\u003eReturns the string that represents \u003ccode\u003ev\u003c/code\u003e in JSON format.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "fromJsonString",
      "description": "\u003cp\u003eParses a string in JSON format and returns the the value that it represents.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "fromJsonFloatString",
      "description": "\u003cp\u003eParses a string in JSON format and returns the value that it represents.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "fromJsonDecimalString",
      "description": "\u003cp\u003eParses a string in JSON format and returns the value that it represents.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "fromJsonWithType",
      "description": "\u003cp\u003eConverts a value of type json to a user-specified type.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "fromJsonStringWithType",
      "description": "\u003cp\u003eConverts a string in JSON format to a user-specified type.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "mergeJson",
      "description": "\u003cp\u003eMerges two json values.\u003c/p\u003e",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "ensureType",
      "description": "",
      "moduleId": "lang.value",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "length",
      "description": "\u003cp\u003eReturns number of xml items in \u003ccode\u003ex\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "iterator",
      "description": "\u003cp\u003eReturns an iterator over the xml items of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "get",
      "description": "\u003cp\u003eReturns the item of \u003ccode\u003ex\u003c/code\u003e with index \u003ccode\u003ei\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "concat",
      "description": "\u003cp\u003eConcatenates xml and string values.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "getName",
      "description": "\u003cp\u003eReturns a string giving the expanded name of \u003ccode\u003eelem\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "setName",
      "description": "\u003cp\u003eChange the name of element \u003ccode\u003eelem\u003c/code\u003e to \u003ccode\u003exName\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "getChildren",
      "description": "\u003cp\u003eReturns the children of \u003ccode\u003eelem\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "setChildren",
      "description": "\u003cp\u003eSets the children of \u003ccode\u003eelem\u003c/code\u003e to \u003ccode\u003echildren\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "getAttributes",
      "description": "\u003cp\u003eReturns the map representing the attributes of \u003ccode\u003eelem\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "getTarget",
      "description": "\u003cp\u003eReturns the target part of the processing instruction.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "getContent",
      "description": "\u003cp\u003eReturns the content of a text or processing instruction or comment item.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "createElement",
      "description": "\u003cp\u003eConstructs an xml sequence consisting of only a new element item.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "createProcessingInstruction",
      "description": "\u003cp\u003eConstructs an xml sequence consisting of only a processing instruction item.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "createComment",
      "description": "\u003cp\u003eConstructs an xml sequence consisting of only a comment item.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "createText",
      "description": "\u003cp\u003eConstructs an xml sequence representing zero of more parsed characters.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "slice",
      "description": "\u003cp\u003eReturns a subsequence of an xml value.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "strip",
      "description": "\u003cp\u003eStrips the insignificant parts of the an xml value.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "elements",
      "description": "\u003cp\u003eSelects elements from an xml value.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "children",
      "description": "\u003cp\u003eReturns the children of elements in an xml value.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "elementChildren",
      "description": "\u003cp\u003eSelects element children of an xml value\u003c/p\u003e\n",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "\u0027map",
      "description": "\u003cp\u003eApplies a function to each item in an xml sequence, and returns an xml sequence of the results.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "forEach",
      "description": "\u003cp\u003eApplies a function to each item in an xml sequence.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "filter",
      "description": "\u003cp\u003eSelects the items from an xml sequence for which a function returns true.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "fromString",
      "description": "\u003cp\u003eConstructs an xml value from a string.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "startRootSpan",
      "description": "\u003cp\u003eStart a span with no parent span.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "startSpan",
      "description": "\u003cp\u003eStart a span and create child relationship to current active span or user specified span.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "addTagToSpan",
      "description": "\u003cp\u003eAdd a key value pair as a tag to the span.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "addTagToMetrics",
      "description": "\u003cp\u003eAdd a key value pair as a tag to system metrics.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "finishSpan",
      "description": "\u003cp\u003eFinish the current span.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "getAllMetrics",
      "description": "\u003cp\u003eRetrieve all registered metrics including default metrics from the ballerina runtime, and user defined metrics.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "lookupMetric",
      "description": "\u003cp\u003eRetrieves the specific metric that is described by the given name and tags.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "isObservabilityEnabled",
      "description": "\u003cp\u003eChecks of either metrics or tracing had been enabled.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "prepare",
      "description": "\u003cp\u003ePrepares a provided default mock object for stubbing.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "when",
      "description": "\u003cp\u003eObjects and functions related to function mocking\nAllows a function to stub.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "mock",
      "description": "\u003cp\u003eCreates and returns a mock object of provided type description.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "mockHandler",
      "description": "\u003cp\u003eInter-op to handle function mocking.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "createBallerinaError",
      "description": "\u003cp\u003eCreates an AssertError with custom message and category.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "assertTrue",
      "description": "\u003cp\u003eAsserts whether the given condition is true.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "assertFalse",
      "description": "\u003cp\u003eAsserts whether the given condition is false.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "assertEquals",
      "description": "\u003cp\u003eAsserts whether the given values are equal.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "assertNotEquals",
      "description": "\u003cp\u003eAsserts whether the given values are not equal.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "assertExactEquals",
      "description": "\u003cp\u003eAsserts whether the given values are exactly equal.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "assertNotExactEquals",
      "description": "\u003cp\u003eAsserts whether the given values are not exactly equal.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "assertFail",
      "description": "\u003cp\u003eAssert failure is triggered based on user discretion.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    }
  ],
  "records": [
    {
      "id": "ArrayType",
      "description": "\u003cp\u003eRepresents a Java array type.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "ConstructorData",
      "description": "\u003cp\u003eDescribes a Java constructor.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "MethodData",
      "description": "\u003cp\u003eDescribes a Java method.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "FieldData",
      "description": "\u003cp\u003eDescribes a Java field.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "ObjectData",
      "description": "\u003cp\u003eDescribes a Java class that corresponds to a Ballerina object.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "StrandData",
      "description": "\u003cp\u003eDescribes Strand execution details for the runtime.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "Detail",
      "description": "\u003cp\u003eThe type to which error detail records must belong.\u003c/p\u003e",
      "moduleId": "lang.error",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "CallStackElement",
      "description": "\u003cp\u003eRepresentation of \u003ccode\u003eCallStackElement\u003c/code\u003e\u003c/p\u003e\n",
      "moduleId": "lang.error",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "Info",
      "description": "\u003cp\u003eInformation about a transaction that does not change\nafter the transaction is started.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "Metric",
      "description": "\u003cp\u003eThis represents the generic metric record that can represent both counter and gauge.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "StatisticConfig",
      "description": "\u003cp\u003eThis represents the statistic configuration that can be used to instatiate gauge metric.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "PercentileValue",
      "description": "\u003cp\u003eThis represents the percentile value record.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "Snapshot",
      "description": "\u003cp\u003eThis represents the snapshot of the statistics calculation of the gauge.\u003c/p\u003e",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "TestConfig",
      "description": "\u003cp\u003eConfiguration set for test functions.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "MockConfig",
      "description": "\u003cp\u003eConfiguration of the function to be mocked.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "AfterSuiteConfig",
      "description": "",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "BeforeGroupsConfig",
      "description": "",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "AfterGroupsConfig",
      "description": "",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    }
  ],
  "constants": [
    {
      "id": "PI",
      "description": "\u003cp\u003eThe number π\u003c/p\u003e\n",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "E",
      "description": "\u003cp\u003eEuler\u0027s number\u003c/p\u003e\n",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "NaN",
      "description": "\u003cp\u003eIEEE not-a-number value\u003c/p\u003e\n",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "Infinity",
      "description": "\u003cp\u003eIEEE positive infinity\u003c/p\u003e\n",
      "moduleId": "lang.float",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eint\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "MIN_VALUE",
      "description": "\u003cp\u003eMinimum value of type \u003ccode\u003eint\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "SIGNED32_MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eSigned32\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "SIGNED32_MIN_VALUE",
      "description": "\u003cp\u003eMinimum value of type \u003ccode\u003eSigned32\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "SIGNED16_MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eSigned16\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "SIGNED16_MIN_VALUE",
      "description": "\u003cp\u003eMinimum value of type \u003ccode\u003eSigned16\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "SIGNED8_MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eSigned8\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "SIGNED8_MIN_VALUE",
      "description": "\u003cp\u003eMinimum value of type \u003ccode\u003eSigned8\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "UNSIGNED32_MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eUnsigned32\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "UNSIGNED16_MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eUnsigned16\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "UNSIGNED8_MAX_VALUE",
      "description": "\u003cp\u003eMaximum value of type \u003ccode\u003eUnsigned8\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.int",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "XML_NAMESPACE_URI",
      "description": "\u003cp\u003eThe namespace URI bound to the \u003ccode\u003exml\u003c/code\u003e prefix.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "XMLNS_NAMESPACE_URI",
      "description": "\u003cp\u003eThe namespace URI bound to the \u003ccode\u003exmlns\u003c/code\u003e prefix.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "space",
      "description": "\u003cp\u003eThe expanded name of the \u003ccode\u003exml:space\u003c/code\u003e attribute.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "lang",
      "description": "\u003cp\u003eThe expanded name of the \u003ccode\u003exml:lang\u003c/code\u003e attribute.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "base",
      "description": "\u003cp\u003eThe expanded name of the \u003ccode\u003exml:base\u003c/code\u003e attribute.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "ANY",
      "description": "\u003cp\u003eRepresents the placeholder to be given for object or record type arguments\u003c/p\u003e\n",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "INVALID_OBJECT_ERROR",
      "description": "\u003cp\u003eRepresents the reason for the mock object related errors.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "FUNCTION_NOT_FOUND_ERROR",
      "description": "\u003cp\u003eRepresents the reason for the non-existing member function related errors.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "FUNCTION_SIGNATURE_MISMATCH_ERROR",
      "description": "\u003cp\u003eRepresents the reason for the function signature related errors.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "INVALID_MEMBER_FIELD_ERROR",
      "description": "\u003cp\u003eRepresents the reason for the object member field related errors.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "FUNCTION_CALL_ERROR",
      "description": "\u003cp\u003eRepresents the reason for function mocking related errors.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    }
  ],
  "errors": [
    {
      "id": "JavaClassNotFoundError",
      "description": "\u003cp\u003eRepresents a \u003ccode\u003eJavaError\u003c/code\u003e with the message and the cause.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "\u0027error",
      "description": "\u003cp\u003eDefault error type.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "Retriable",
      "description": "\u003cp\u003eRepresents the Retriable error.\u003c/p\u003e",
      "moduleId": "lang.error",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "TransactionError",
      "description": "\u003cp\u003eRepresents the Transaction error.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "InvalidObjectError",
      "description": "",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "FunctionNotFoundError",
      "description": "",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "FunctionSignatureMismatchError",
      "description": "",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "InvalidMemberFieldError",
      "description": "",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "FunctionCallError",
      "description": "",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    }
  ],
  "types": [
    {
      "id": "Type",
      "description": "",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "Type1",
      "description": "",
      "moduleId": "lang.__internal",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.1.0"
    },
    {
      "id": "Thread",
      "description": "",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "Type",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "Type1",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "PureType",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eanydata|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.array",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "DetailType",
      "description": "\u003cp\u003eA type parameter that is a subtype of error \u003ccode\u003eDetail\u003c/code\u003e record type.\u003c/p\u003e",
      "moduleId": "lang.error",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "Type",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "Type1",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.map",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.1.0"
    },
    {
      "id": "Type",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.query",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "Type",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.stream",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "ErrorType",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eerror\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.stream",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "Type1",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.stream",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "Type",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "Type1",
      "description": "\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.table",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.4.0"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents the Transaction module related error.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "ItemType",
      "description": "\u003cp\u003eA type parameter that is a subtype of any singleton or empty xml sequence.\u003c/p\u003e",
      "moduleId": "lang.xml",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents mocking related errors\u003c/p\u003e\n",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    }
  ],
  "clients": [],
  "listeners": [],
  "annotations": [
    {
      "id": "Constructor",
      "description": "\u003cp\u003eDescribes a Java constructor, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "Method",
      "description": "\u003cp\u003eDescribes a Java method, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "FieldGet",
      "description": "\u003cp\u003eDescribes a Java Field access, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "FieldSet",
      "description": "\u003cp\u003eDescribes a Java Field mutate, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "Binding",
      "description": "\u003cp\u003eDescribes the Java class representing a Ballerina binding.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "tainted",
      "description": "\u003cp\u003eDenote that the return value is tainted.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "untainted",
      "description": "\u003cp\u003eDenote that the return value is untainted, parameter expect untainted value, type cast mark value untainted,\ndenote a listener as producing untainted arguments to service resource params.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "typeParam",
      "description": "\u003cp\u003eDenotes annotated type is a parametric type.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "builtinSubtype",
      "description": "\u003cp\u003eDenotes annotated type is a builtin sub type.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "isolatedParam",
      "description": "\u003cp\u003eDenotes that the annotated parameter expects an \u003ccode\u003eisolated\u003c/code\u003e value when used in an \u003ccode\u003eisolated\u003c/code\u003e context.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "deprecated",
      "description": "\u003cp\u003eAn annotation that marks a program element as deprecated.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "strand",
      "description": "\u003cp\u003eDenotes new Strand execution semantics.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "icon",
      "description": "\u003cp\u003eDenotes icon metadata related to types and functions.\u003c/p\u003e",
      "moduleId": "lang.annotations",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "Observable",
      "description": "",
      "moduleId": "observe",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.8.0"
    },
    {
      "id": "Config",
      "description": "",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "BeforeSuite",
      "description": "\u003cp\u003eIdentifies beforeSuite function.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "AfterSuite",
      "description": "\u003cp\u003eIdentifies afterSuite function.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "BeforeGroups",
      "description": "\u003cp\u003eIdentifies beforeGroup function.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "AfterGroups",
      "description": "\u003cp\u003eIdentifies afterGroup function.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "BeforeEach",
      "description": "\u003cp\u003eIdentifies beforeTest function.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "AfterEach",
      "description": "\u003cp\u003eIdentifies afterTest function.\u003c/p\u003e",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    },
    {
      "id": "Mock",
      "description": "\u003cp\u003eIdentifies the MockFunction object\u003c/p\u003e\n",
      "moduleId": "test",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.0"
    }
  ],
  "abstractObjects": [
    {
      "id": "JObject",
      "description": "\u003cp\u003eThe Ballerina abstract object which is to be extended by Ballerina\nobjects representing Ballerina bindings for Java classes.\u003c/p\u003e",
      "moduleId": "java",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.9.0"
    },
    {
      "id": "RawTemplate",
      "description": "\u003cp\u003eRepresents the shape expected from all raw templates.\u003c/p\u003e",
      "moduleId": "lang.object",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "RetryManager",
      "description": "",
      "moduleId": "lang.object",
      "moduleOrgName": "ballerina",
      "moduleVersion": "1.0.0"
    },
    {
      "id": "DynamicListener",
      "description": "\u003cp\u003eA listener that is dynamically registered with a module.\u003c/p\u003e",
      "moduleId": "lang.runtime",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "Timestamp",
      "description": "\u003cp\u003eAn instant in time.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    }
  ]
};