var searchData = {
  "modules": [
    {
      "id": "lang.transaction",
      "description": "\u003cp\u003eThis module provides lang library operations on \u003ccode\u003etransaction\u003c/code\u003es.\u003c/p\u003e",
      "orgName": "ballerina",
      "version": "0.0.1"
    }
  ],
  "classes": [],
  "functions": [
    {
      "id": "prepareError",
      "description": "\u003cp\u003eLog and prepare \u003ccode\u003eerror\u003c/code\u003e as a \u003ccode\u003eError\u003c/code\u003e.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "info",
      "description": "\u003cp\u003eReturns information about the current transaction\u003c/p\u003e\n",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "getInfo",
      "description": "\u003cp\u003eReturns information about the transaction with\nthe specified xid.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "setRollbackOnly",
      "description": "\u003cp\u003ePrevents the global transaction from committing successfully.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "getRollbackOnly",
      "description": "\u003cp\u003eTells whether it is known that the transaction will be rolled back.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "setData",
      "description": "\u003cp\u003eAssociates some data with the current transaction branch.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "getData",
      "description": "\u003cp\u003eRetrieves data associated with the current transaction branch.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "onCommit",
      "description": "\u003cp\u003eAdds a handler to be called if and when the global transaction commits.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    },
    {
      "id": "onRollback",
      "description": "\u003cp\u003eAdds a handler to be called if and when the global transaction rolls back.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    }
  ],
  "records": [
    {
      "id": "Info",
      "description": "\u003cp\u003eInformation about a transaction that does not change\nafter the transaction is started.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    }
  ],
  "constants": [],
  "errors": [
    {
      "id": "TransactionError",
      "description": "\u003cp\u003eRepresents the Transaction error.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    }
  ],
  "types": [
    {
      "id": "Error",
      "description": "\u003cp\u003eRepresents the Transaction module related error.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    }
  ],
  "clients": [],
  "listeners": [],
  "annotations": [],
  "abstractObjects": [
    {
      "id": "Timestamp",
      "description": "\u003cp\u003eAn instant in time.\u003c/p\u003e",
      "moduleId": "lang.transaction",
      "moduleOrgName": "ballerina",
      "moduleVersion": "0.0.1"
    }
  ]
};