var docData = {"isSingleFile":false,"modules":[{"id":"java","summary":"\u003cp\u003eThis module provides the API for Java interoperability in Ballerina. It includes a set of Ballerina annotations with which Java constructors, methods, and fields can provide implementations of Ballerina functions with external function bodies.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides the API for Java interoperability in Ballerina. It includes a set of Ballerina annotations with which Java constructors, methods, and fields can provide implementations of Ballerina functions with external function bodies.\u003c/p\u003e\n\u003cp\u003eFor information on the operations, which you can perform with the Java module, see the below \u003cstrong\u003eFunctions\u003c/strong\u003e. For examples on the usage of the operations, see the following.\u003c/p\u003e\n\u003cul\u003e\n\u003cli\u003e\u003ca href\u003d\"https://ballerina.io/swan-lake/learn/by-example/create-java-objects.html\"\u003eCreate Java Objects Example\u003c/a\u003e\u003c/li\u003e\n\u003cli\u003e\u003ca href\u003d\"https://ballerina.io/swan-lake/learn/by-example/invoke-java-methods.html\"\u003eInvoke Java Methods Example\u003c/a\u003e\u003c/li\u003e\n\u003cli\u003e\u003ca href\u003d\"https://ballerina.io/swan-lake/learn/by-example/access-mutate-java-fields.html\"\u003eAccess/Mutate Java Fields Example\u003c/a\u003e\u003c/li\u003e\n\u003cli\u003e\u003ca href\u003d\"https://ballerina.io/swan-lake/learn/by-example/java-varargs.html\"\u003eJava Varargs Example\u003c/a\u003e\u003c/li\u003e\n\u003cli\u003e\u003ca href\u003d\"https://ballerina.io/swan-lake/learn/by-example/overloaded-methods-constructors.html\"\u003eOverloaded Methods/Constructors Example\u003c/a\u003e\u003c/li\u003e\n\u003cli\u003e\u003ca href\u003d\"https://ballerina.io/swan-lake/learn/by-example/java-exceptions.html\"\u003eJava Exceptions Example\u003c/a\u003e\u003c/li\u003e\n\u003c/ul\u003e\n","orgName":"ballerina","version":"0.9.0","records":[{"fields":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"\u0027class","description":"","isDeprecated":false},{"defaultValue":"","type":{"name":"byte","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"dimensions","description":"\u003cp\u003eDimensions of the array type\u003c/p\u003e\n","isDeprecated":false}],"isClosed":true,"name":"ArrayType","description":"\u003cp\u003eRepresents a Java array type. It is used to specify the parameter types in the \u003ccode\u003ejava:Constructor\u003c/code\u003e and \u003ccode\u003ejava:Method\u003c/code\u003e\nannotations.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"\u0027class","description":"","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"ArrayType","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}}},"name":"paramTypes","description":"\u003cp\u003eAn optional field, which describes the parameter types of the constructor\u003c/p\u003e\n","isDeprecated":false}],"isClosed":true,"name":"ConstructorData","description":"\u003cp\u003eDescribes a Java constructor. If the \u003ccode\u003eparamTypes\u003c/code\u003e field is not specified, then the parameter types are inferred from\nthe corresponding Ballerina function.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Identifier","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eAn optional field, which describes the name of the Java method. If this field is not provided, then the name\nis inferred from the Ballerina function name\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"\u0027class","description":"","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"ArrayType","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}}},"name":"paramTypes","description":"\u003cp\u003eAn optional field, which describes the parameter types of the method\u003c/p\u003e\n","isDeprecated":false}],"isClosed":true,"name":"MethodData","description":"\u003cp\u003eDescribes a Java method. If the \u003ccode\u003eparamTypes\u003c/code\u003e field is not specified, then the parameter types are inferred from the\ncorresponding Ballerina function.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Identifier","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eAn optional field, which describes the name of the Java field. If this field is not provided,\nthen the name is inferred from the Ballerina function name\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"\u0027class","description":"","isDeprecated":false}],"isClosed":true,"name":"FieldData","description":"\u003cp\u003eDescribes a Java field.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"Class","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"\u0027class","description":"","isDeprecated":false}],"isClosed":true,"name":"ObjectData","description":"\u003cp\u003eDescribes a Java class that corresponds to a Ballerina object.\u003c/p\u003e\n","isDeprecated":false}],"classes":[],"abstractObjects":[{"fields":[{"defaultValue":"","type":{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"jObj","description":"\u003cp\u003eThe \u003ccode\u003ehandle\u003c/code\u003e reference to the corresponding Java object.\u003c/p\u003e\n","isDeprecated":false}],"methods":[],"name":"JObject","description":"\u003cp\u003eThe Ballerina abstract object which is to be extended by Ballerina\nobjects representing Ballerina bindings for Java classes.\u003c/p\u003e\n","isDeprecated":false}],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"value","description":"\u003cp\u003eThe Ballerina \u003ccode\u003estring\u003c/code\u003e with which the \u003ccode\u003ehandle\u003c/code\u003e is created\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe \u003ccode\u003ehandle\u003c/code\u003e, which refers to the Java String representation of the Ballerina \u003ccode\u003estring\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"fromString","description":"\u003cp\u003eReturns a \u003ccode\u003ehandle\u003c/code\u003e, which refers to the Java string representation of the Ballerina \u003ccode\u003estring\u003c/code\u003e.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003ehandle header \u003d java:fromString(\u0026quot;Content-Type\u0026quot;);\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"value","description":"\u003cp\u003eThe \u003ccode\u003ehandle\u003c/code\u003e of which the referred value is to be converted to a Ballerina \u003ccode\u003estring\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe Ballerina \u003ccode\u003estring\u003c/code\u003e representation of the Java object referred by the \u003ccode\u003ehandle\u003c/code\u003e or else\nreturns \u003ccode\u003e()\u003c/code\u003e if the \u003ccode\u003ehandle\u003c/code\u003e refers to Java null\u003c/p\u003e\n","isDeprecated":false}],"name":"toString","description":"\u003cp\u003eReturns a Ballerina \u003ccode\u003estring\u003c/code\u003e representation of the Java object referred by the \u003ccode\u003ehandle\u003c/code\u003e.\nIf the \u003ccode\u003ehandle\u003c/code\u003e refers to Java null, then this function returns a \u003ccode\u003enil\u003c/code\u003e value.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003estring? version \u003d java:toString(versionProperty);\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"value","description":"\u003cp\u003eThe \u003ccode\u003ehandle\u003c/code\u003e of which the referred value is to be tested with Java null\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003etrue\u003c/code\u003e if this handle refers to Java null\u003c/p\u003e\n","isDeprecated":false}],"name":"isNull","description":"\u003cp\u003eReturns \u003ccode\u003etrue\u003c/code\u003e if this handle refers to Java null.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003eboolean status \u003d java:isNull(value);\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[],"returnParameters":[{"type":{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe \u003ccode\u003ehandle\u003c/code\u003e, which refers to Java null\u003c/p\u003e\n","isDeprecated":false}],"name":"createNull","description":"\u003cp\u003eReturns a \u003ccode\u003ehandle\u003c/code\u003e, which refers to Java null.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003ehandle nullHandle \u003d java:createNull();\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eThe name of the Java class\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe Java Class object for the class with the given name\u003c/p\u003e\n","isDeprecated":false}],"name":"getClass","description":"\u003cp\u003eReturns a \u003ccode\u003ehandle\u003c/code\u003e, which refers to the Java Class object associated with the class or interface with the given\nstring name.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003ehandle|error intClass \u003d java:getClass(\u0026quot;int\u0026quot;);\n\u003c/code\u003e\u003c/pre\u003e\n\u003cp\u003eThis function performs a Java \u003ccode\u003eclass.forName(name)\u003c/code\u003e except for the following cases:\u003c/p\u003e\n\u003cp\u003e| Name     |   Output                                                      |\n|:---------|:--------------------------------------------------------------|\n| boolean  |   Java Class instance representing the primitive type boolean |\n| byte     |   Java Class instance representing the primitive type byte    |\n| char     |   Java Class instance representing the primitive type char    |\n| short    |   Java Class instance representing the primitive type short   |\n| int      |   Java Class instance representing the primitive type int     |\n| long     |   Java Class instance representing the primitive type long    |\n| float    |   Java Class instance representing the primitive type float   |\n| double   |   Java Class instance representing the primitive type double  |\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"JObject","category":"abstractObjects","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"value","description":"\u003cp\u003eThe \u003ccode\u003eJObject\u003c/code\u003e instance which is to be casted\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"castType","description":"\u003cp\u003eThe \u003ccode\u003eJObject\u003c/code\u003e implementation type \u003ccode\u003etypedesc\u0026lt;JObject\u0026gt;\u003c/code\u003e to which the given object is casted to if assignable\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"JObject","category":"abstractObjects","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe \u003ccode\u003eJObject|error\u003c/code\u003e, which refers to the new \u003ccode\u003eJObject\u003c/code\u003e instance or an \u003ccode\u003eerror\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"cast","description":"\u003cp\u003eReturns an \u003ccode\u003eJObject|error\u003c/code\u003e, which is obtained after casting the provided \u003ccode\u003eJObject\u003c/code\u003e instance\nto the given \u003ccode\u003eJObject\u003c/code\u003e type depending on assignability.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003eJObject|error obj \u003d java:cast(inputStream, typedesc\u0026lt;FileInputStream\u0026gt;);\nif (obj is JObject) {\n  FileInputStream fileInputStream \u003d \u0026lt;FileInputStream\u0026gt;obj;\n}\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"handle","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"jObj","description":"\u003cp\u003eThe \u003ccode\u003ehandle\u003c/code\u003e reference to the corresponding Java object.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe \u003ccode\u003estring\u003c/code\u003e representation of the Java object.\u003c/p\u003e\n","isDeprecated":false}],"name":"jObjToString","description":"\u003cp\u003eReturns the string representation of a Java object stored in a handle reference.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[{"type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"ConstructorData","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"source external","name":"Constructor","description":"\u003cp\u003eDescribes a Java constructor, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e. If the Ballerina function body is marked as \u003ccode\u003eexternal\u003c/code\u003e, it means that the implementation of the\nfunction is not provided in the Ballerina source module.\u003c/p\u003e\n\u003cp\u003eThe following code snippet shows an example usage of this annotation. Here, the \u003ccode\u003enewJavaLinkedList\u003c/code\u003e Ballerina function\u0027s\nimplementation is provided by the default constructor of the \u003ccode\u003ejava.util.LinkedList\u003c/code\u003e class.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003efunction newJavaLinkedList() returns handle \u003d @java:Constructor {\n     \u0027class: \u0026quot;java.util.LinkedList\u0026quot;\n} external;\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"MethodData","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"source external","name":"Method","description":"\u003cp\u003eDescribes a Java method, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e. If the Ballerina function body is marked as \u003ccode\u003eexternal\u003c/code\u003e, it means that the implementation of the\nfunction is not provided in the Ballerina source module.\u003c/p\u003e\n\u003cp\u003eThe following code snippet shows an example usage of this annotation. Here, the \u003ccode\u003egetUUID\u003c/code\u003e Ballerina function\u0027s\nimplementation is provided by the \u003ccode\u003ejava.util.UUID.randomUUID\u003c/code\u003e static method.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003efunction getUUID() returns handle \u003d @java:Method {\n    name: \u0026quot;randomUUID\u0026quot;,\n    \u0027class: \u0026quot;java.util.UUID\u0026quot;\n} external;\n\u003c/code\u003e\u003c/pre\u003e\n\u003cp\u003eThe \u003ccode\u003ename\u003c/code\u003e field is optional. If it is not provided, the name of the Java method is inferred\nfrom the Ballerina function.\u003c/p\u003e\n","isDeprecated":false},{"type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"FieldData","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"source external","name":"FieldGet","description":"\u003cp\u003eDescribes a Java Field access, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003efunction getError() returns handle \u003d @java:FieldGet {\n    name:\u0026quot;err\u0026quot;,\n    \u0027class:\u0026quot;java/lang/System\u0026quot;\n} external;\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"FieldData","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"source external","name":"FieldSet","description":"\u003cp\u003eDescribes a Java Field mutate, which provides an implementation of a Ballerina function of which the body is marked as\n\u003ccode\u003eexternal\u003c/code\u003e.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003efunction setContractId(handle contractId) \u003d @java:FieldSet {\n  name:\u0026quot;contractId\u0026quot;,\n  \u0027class:\u0026quot;org/lang/impl/JavaFieldAccessMutate\u0026quot;\n} external;\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false},{"type":{"orgName":"ballerina","moduleName":"java","version":"0.9.0","name":"ObjectData","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"class","name":"Binding","description":"\u003cp\u003eDescribes the Java class representing a Ballerina binding.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003e@java:Binding {\n  \u0027class: \u0026quot;java.io.File\u0026quot;\n}\n\u003c/code\u003e\u003c/pre\u003e\n","isDeprecated":false}],"errors":[{"name":"JavaClassNotFoundError","description":"\u003cp\u003eRepresents a \u003ccode\u003eJavaError\u003c/code\u003e with the message and the cause.\u003c/p\u003e\n","isDeprecated":false}],"types":[]},{"id":"lang.__internal","orgName":"ballerina","version":"0.1.0","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"s","description":"\u003cp\u003eThe lower bound of the integer range inclusive\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"e","description":"\u003cp\u003eThe upper bound if the integer range inclusive\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"        object {\n            public isolated function __iterator() returns\n                object {\n                    public isolated function next() returns\n                        record {|int value;|}?;\n                };\n        } ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003eIntRange\u003c/code\u003e object\u003c/p\u003e\n","isDeprecated":false}],"name":"createIntRange","description":"\u003cp\u003eThe \u003ccode\u003ecreateIntRange\u003c/code\u003e function creates a \u003ccode\u003eIntRange\u003c/code\u003e object and returns it. This function is used to replace the binary\ninteger range expression in Desugar phase.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"orgName","description":"\u003cp\u003eOrganization name\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"moduleName","description":"\u003cp\u003emodule name\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"versionNumber","description":"\u003cp\u003eversion number\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"configVarName","description":"\u003cp\u003econfiguration variable name\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eBoolean value\u003c/p\u003e\n","isDeprecated":false}],"name":"hasConfigurableValue","description":"\u003cp\u003eCheck whether a given key has a configuard value\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"orgName","description":"\u003cp\u003eOrganization name\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"moduleName","description":"\u003cp\u003emodule name\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"versionNumber","description":"\u003cp\u003eversion number\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"configVarName","description":"\u003cp\u003econfiguration variable name\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eConfigured value of the key\u003c/p\u003e\n","isDeprecated":false}],"name":"getConfigurableValue","description":"\u003cp\u003eGet the value of the configurable variable\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"td","description":"\u003cp\u003eThe narrowed type to be set.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"record {|Type value;|} ","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":false,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"val","description":"\u003cp\u003eThe value of which the type being set.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"record {|Type value;|} ","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":false,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe value with the narrowed type.\u003c/p\u003e\n","isDeprecated":false}],"name":"setNarrowType","description":"\u003cp\u003eSets the narrowed type of the \u003ccode\u003evalue\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"td","description":"\u003cp\u003eA type description.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"new EmptyIterator()","type":{"name":"object { public isolated function next() returns\n        record {|Type value;|}|ErrorType?;} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"iteratorObj","description":"\u003cp\u003eAn iterator object.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"stream","category":"stream","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.__internal","version":"0.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.__internal","version":"0.1.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eNew stream containing results of \u003ccode\u003eiteratorObj\u003c/code\u003e object\u0027s next function invocations.\u003c/p\u003e\n","isDeprecated":false}],"name":"construct","description":"\u003cp\u003eTakes in an iterator object and returns a new stream out of it.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"td","description":"\u003cp\u003eAn array or stream type desc.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe typedesc of the element, constraint type.\u003c/p\u003e\n","isDeprecated":false}],"name":"getElementType","description":"\u003cp\u003eTakes a typedesc of an array or stream and returns the typedesc of the element or constraint type.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"func","description":"\u003cp\u003eThe input filter function\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.__internal","version":"0.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003eThe input function with the changed parameter type\u003c/p\u003e\n","isDeprecated":false}],"name":"getFilterFunc","description":"\u003cp\u003eChange the given filter function\u0027s parameter to any|error and returns the same function.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"func","description":"\u003cp\u003eThe input map function\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.__internal","version":"0.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"orgName":"ballerina","moduleName":"lang.__internal","version":"0.1.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003eThe input function with the changed parameter type\u003c/p\u003e\n","isDeprecated":false}],"name":"getMapFunc","description":"\u003cp\u003eChange the given map function\u0027s parameter to any|error and returns the same function.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"func","description":"\u003cp\u003eThe input function\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe typedesc of the return type of the input function\u003c/p\u003e\n","isDeprecated":false}],"name":"getReturnType","description":"\u003cp\u003eGet the return type of a given function\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"stream","category":"stream","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.__internal","version":"0.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.__internal","version":"0.1.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"strm","description":"\u003cp\u003eThe stream\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"    object {\n        public isolated function next() returns record {|Type value;|}|ErrorType?;} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"    object {\n        public isolated function next() returns record {|Type value;|}|ErrorType?;\n        public isolated function close() returns ErrorType?;\n    } ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eAn abstract object which is iterable\u003c/p\u003e\n","isDeprecated":false}],"name":"getIteratorObj","description":"\u003cp\u003eTakes in a stream and returns the iterator object of that stream.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"func","description":"\u003cp\u003efunction to invoke\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"args","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"args","description":"\u003cp\u003eargs for the function to invoke\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eresult of the invocation\u003c/p\u003e\n","isDeprecated":false}],"name":"invokeAsExternal","description":"\u003cp\u003eInvoke a non-isolated function as an external function (workaround for isolated invocations).\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003eThe xml source\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"elemNames","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"elemNames","description":"\u003cp\u003eualified name of the elements to filter\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eAll elements that match elemNames\u003c/p\u003e\n","isDeprecated":false}],"name":"getElements","description":"\u003cp\u003eGet elements matching at least one of \u003ccode\u003eelemNames\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003eThe xml source\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"index","description":"\u003cp\u003echild index to select from each child sequence, -1 to select all elements\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"elemNames","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"elemNames","description":"\u003cp\u003eQualified name of the elements to filter,\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eAll child elements matching \u003ccode\u003eindex\u003c/code\u003e condition and  \u003ccode\u003eelemNames\u003c/code\u003e condition.\u003c/p\u003e\n","isDeprecated":false}],"name":"getFilteredChildrenFlat","description":"\u003cp\u003eGet childElements matching \u003ccode\u003eelemNames\u003c/code\u003e and childIndex for each children sequence.\nxml x \u003d xml \u003ccode\u003e\u0026lt;a\u0026gt;\u0026lt;a0\u0026gt;x\u0026lt;/a0\u0026gt;\u0026lt;a0\u0026gt;y\u0026lt;/a0\u0026gt;\u0026lt;/a\u0026gt;\u0026lt;b\u0026gt;\u0026lt;a0\u0026gt;j\u0026lt;/a0\u0026gt;\u0026lt;a0\u0026gt;k\u0026lt;/a0\u0026gt;\u0026lt;/b\u0026gt;\u003c/code\u003e;\nx.getFilteredChildrenFlat(0, \u0026quot;a0\u0026quot;) \u003d\u0026gt; \u003ca0\u003ex\u003c/a0\u003e\u003ca0\u003ej\u003c/a0\u003e\nx.getFilteredChildrenFlat(-1) \u003d\u0026gt; \u003ca0\u003ex\u003c/a0\u003e\u003ca0\u003ey\u003c/a0\u003e\u003ca0\u003ej\u003c/a0\u003e\u003ca0\u003ek\u003c/a0\u003e\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003eThe xml source\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"qname","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"qname","description":"\u003cp\u003eQualified name of the element\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eAll the descendants that matches the given qualified name, as a sequence\u003c/p\u003e\n","isDeprecated":false}],"name":"selectDescendants","description":"\u003cp\u003eSearches in children recursively for elements matching the qualified name and returns a sequence containing them\nall. Does not search within a matched result.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003eThe xml value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"attributeName","description":"\u003cp\u003eAttribute name in expanded from\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"isOptionalAccess","description":"\u003cp\u003eIs this a optoinal access expression or not\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eAttribute value\u003c/p\u003e\n","isDeprecated":false}],"name":"getAttribute","description":"\u003cp\u003eReturn attribute matching expanded attribute name\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003eThe xml value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eElement name\u003c/p\u003e\n","isDeprecated":false}],"name":"getElementNameNilLifting","description":"\u003cp\u003eReturn name of the element if \u003ccode\u003ex\u003c/code\u003e is a element or nil if element name is not set, else error.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[],"errors":[],"types":[{"name":"Type","description":"","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},{"name":"Type1","description":"","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}]},{"id":"lang.annotations","summary":"\u003cp\u003eThis module provides predefined annotations and default error type declaration.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides predefined annotations and default error type declaration.\u003c/p\u003e\n","orgName":"ballerina","version":"1.0.0","records":[{"fields":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003ename of the strand.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"policy","description":"\u003cp\u003especifies the dispatching policy (not yet supported).\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"parent\"","type":{"orgName":"ballerina","moduleName":"lang.annotations","version":"1.0.0","name":"Thread","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"thread","description":"\u003cp\u003especifies whether strand should run on parent strand\u0027s thread or in any available thread.\u003c/p\u003e\n","isDeprecated":false}],"isClosed":true,"name":"StrandData","description":"\u003cp\u003eDescribes Strand execution details for the runtime.\u003c/p\u003e\n","isDeprecated":false}],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[],"constants":[],"annotations":[{"attachmentPoints":"parameter, return, source listener, source var, source type","name":"tainted","description":"\u003cp\u003eDenote that the return value is tainted.\u003c/p\u003e\n","isDeprecated":false},{"attachmentPoints":"return, parameter, source type, source listener","name":"untainted","description":"\u003cp\u003eDenote that the return value is untainted, parameter expect untainted value, type cast mark value untainted,\ndenote a listener as producing untainted arguments to service resource params.\u003c/p\u003e\n","isDeprecated":false},{"attachmentPoints":"source type","name":"typeParam","description":"\u003cp\u003eDenotes annotated type is a parametric type.\u003c/p\u003e\n","isDeprecated":false},{"attachmentPoints":"source type","name":"builtinSubtype","description":"\u003cp\u003eDenotes annotated type is a builtin sub type.\u003c/p\u003e\n","isDeprecated":false},{"attachmentPoints":"source parameter","name":"isolatedParam","description":"\u003cp\u003eDenotes that the annotated parameter expects an \u003ccode\u003eisolated\u003c/code\u003e value when used in an \u003ccode\u003eisolated\u003c/code\u003e context.\u003c/p\u003e\n","isDeprecated":false},{"attachmentPoints":"source type, source class, source const, source annotation,                 source function, source parameter, source object function, source object field","name":"deprecated","description":"\u003cp\u003eAn annotation that marks a program element as deprecated.\u003c/p\u003e\n\u003cp\u003eThe usage of a deprecated program element is not recommended due to\nvarious reasons. Hence, the compiler issues a warning when such an element is used.\u003c/p\u003e\n","isDeprecated":false},{"type":{"orgName":"ballerina","moduleName":"lang.annotations","version":"1.0.0","name":"StrandData","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"source worker","name":"strand","description":"\u003cp\u003eDenotes new Strand execution semantics.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"record {| string path; |} ","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":false,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"source type, source function, source class","name":"icon","description":"\u003cp\u003eDenotes icon metadata related to types and functions.\u003c/p\u003e\n","isDeprecated":false}],"errors":[{"detailType":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"readonly","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"\u0027error","description":"\u003cp\u003eDefault error type.\nThe type parameter is for the error detail type. It\u0027s constrained to anydata or readonly type.\u003c/p\u003e\n","isDeprecated":false}],"types":[{"name":"Thread","description":"","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"\"parent\" ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"\"any\"","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}]},{"id":"lang.array","summary":"\u003cp\u003eThis module provides lang library list operations defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library list operations defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"1.1.0","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003enumber of members in \u003ccode\u003earr\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"length","description":"\u003cp\u003eReturns the number of members of an array.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"object {\n    public isolated function next() returns record {|\n        Type value;\n    |}?;\n} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ea new iterator object that will iterate over the members of \u003ccode\u003earr\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false}],"name":"iterator","description":"\u003cp\u003eReturns an iterator over an array.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":true,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003earray of index, member pairs\u003c/p\u003e\n","isDeprecated":false}],"name":"enumerate","description":"\u003cp\u003eReturns a new array consisting of index and member pairs.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea function to apply to each member\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003enew array containing result of applying \u003ccode\u003efunc\u003c/code\u003e to each member of \u003ccode\u003earr\u003c/code\u003e in order\u003c/p\u003e\n","isDeprecated":false}],"name":"\u0027map","description":"\u003cp\u003eApplies a function to each member of an array and returns an array of the results.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea function to apply to each member\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"forEach","description":"\u003cp\u003eApplies a function to each member of an array.\nThe parameter \u003ccode\u003efunc\u003c/code\u003e is applied to each member of array \u003ccode\u003earr\u003c/code\u003e in order.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea predicate to apply to each member to test whether it should be selected\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003enew array only containing members of \u003ccode\u003earr\u003c/code\u003e for which \u003ccode\u003efunc\u003c/code\u003e evaluates to true\u003c/p\u003e\n","isDeprecated":false}],"name":"filter","description":"\u003cp\u003eSelects the members from an array for which a function returns true.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ecombining function\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"initial","description":"\u003cp\u003einitial value for the first argument of combining parameter \u003ccode\u003efunc\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eresult of combining the members of \u003ccode\u003earr\u003c/code\u003e using \u003ccode\u003efunc\u003c/code\u003e\nFor example\u003c/p\u003e\n\u003cpre\u003e\u003ccode\u003ereduce([1, 2, 3], function (int total, int n) returns int { return total + n; }, 0)\n\u003c/code\u003e\u003c/pre\u003e\n\u003cp\u003eis the same as \u003ccode\u003esum(1, 2, 3)\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false}],"name":"reduce","description":"\u003cp\u003eCombines the members of an array using a combining function.\nThe combining function takes the combined value so far and a member of the array,\nand returns a new combined value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"startIndex","description":"\u003cp\u003eindex of first member to include in the slice\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"arr.length()","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"endIndex","description":"\u003cp\u003eindex of first member not to include in the slice\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003earray slice within specified range\u003c/p\u003e\n","isDeprecated":false}],"name":"slice","description":"\u003cp\u003eReturns a subarray starting from \u003ccode\u003estartIndex\u003c/code\u003e (inclusive) to \u003ccode\u003eendIndex\u003c/code\u003e (exclusive).\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"index","description":"\u003cp\u003eindex of member to be removed from \u003ccode\u003earr\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe member of \u003ccode\u003earr\u003c/code\u003e that was at \u003ccode\u003eindex\u003c/code\u003e\nThis removes the member of \u003ccode\u003earr\u003c/code\u003e with index \u003ccode\u003eindex\u003c/code\u003e and returns it.\nIt panics if there is no such member.\u003c/p\u003e\n","isDeprecated":false}],"name":"remove","description":"\u003cp\u003eRemoves a member of an array.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}}},"name":"arr","description":"\u003cp\u003ethe array\nPanics if any member cannot be removed.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"removeAll","description":"\u003cp\u003eRemoves all members of an array.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}}},"name":"arr","description":"\u003cp\u003ethe array of which to change the length\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"length","description":"\u003cp\u003enew length\n\u003ccode\u003esetLength(arr, 0)\u003c/code\u003e is equivalent to \u003ccode\u003eremoveAll(arr)\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"setLength","description":"\u003cp\u003eChanges the length of an array.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"PureType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"PureType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"val","description":"\u003cp\u003emember to search for\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"0","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"startIndex","description":"\u003cp\u003eindex to start the search from\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eindex of the member if found, else \u003ccode\u003e()\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"indexOf","description":"\u003cp\u003eReturns the index of first member of \u003ccode\u003earr\u003c/code\u003e that is equal to \u003ccode\u003eval\u003c/code\u003e if there is one.\nReturns \u003ccode\u003e()\u003c/code\u003e if not found.\nEquality is tested using \u003ccode\u003e\u003d\u003d\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"PureType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"PureType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"val","description":"\u003cp\u003emember to search for\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"arr.length() - 1","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"startIndex","description":"\u003cp\u003eindex to start searching backwards from\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eindex of the member if found, else \u003ccode\u003e()\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"lastIndexOf","description":"\u003cp\u003eReturns the index of last member of \u003ccode\u003earr\u003c/code\u003e that is equal to \u003ccode\u003eval\u003c/code\u003e if there is one.\nReturns \u003ccode\u003e()\u003c/code\u003e if not found.\nEquality is tested using \u003ccode\u003e\u003d\u003d\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array to be reversed\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003e\u003ccode\u003earr\u003c/code\u003e with its members in reverse order\u003c/p\u003e\n","isDeprecated":false}],"name":"reverse","description":"\u003cp\u003eReverses the order of the members of an array.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array to be sorted;\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"ASCENDING","type":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"SortDirection","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"direction","description":"\u003cp\u003edirection in which to sort\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"()","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"OrderedType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}}},"name":"key","description":"\u003cp\u003efunction that returns a key to use to sort the members\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003ea new array consisting of the members of \u003ccode\u003earr\u003c/code\u003e in sorted order\u003c/p\u003e\n","isDeprecated":false}],"name":"sort","description":"\u003cp\u003eSorts an array.\nIf the member type of the array is not sorted, then the \u003ccode\u003ekey\u003c/code\u003e function\nmust be specified.\nSorting works the same as with the \u003ccode\u003esort\u003c/code\u003e clause of query expressions.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eremoved member\u003c/p\u003e\n","isDeprecated":false}],"name":"pop","description":"\u003cp\u003eRemoves and returns the last member of an array.\nThe array must not be empty.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"vals","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"vals","description":"\u003cp\u003evalues to add to the end of the array\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"push","description":"\u003cp\u003eAdds values to the end of an array.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe value that was the first member of the array\u003c/p\u003e\n","isDeprecated":false}],"name":"shift","description":"\u003cp\u003eRemoves and returns first member of an array.\nThe array must not be empty.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"vals","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"vals","description":"\u003cp\u003evalues to add to the start of the array\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"unshift","description":"\u003cp\u003eAdds values to the start of an array.\nThe values newly added to the array will be in the same order\nas they are in \u003ccode\u003evals\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"byte","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eBase64 string representation\u003c/p\u003e\n","isDeprecated":false}],"name":"toBase64","description":"\u003cp\u003eReturns the string that is the Base64 representation of an array of bytes.\nThe representation is the same as used by a Ballerina Base64Literal.\nThe result will contain only characters  \u003ccode\u003eA..Z\u003c/code\u003e, \u003ccode\u003ea..z\u003c/code\u003e, \u003ccode\u003e0..9\u003c/code\u003e, \u003ccode\u003e+\u003c/code\u003e, \u003ccode\u003e/\u003c/code\u003e and \u003ccode\u003e\u003d\u003c/code\u003e.\nThere will be no whitespace in the returned string.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003eBase64 string representation\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"byte","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe byte array or error\u003c/p\u003e\n","isDeprecated":false}],"name":"fromBase64","description":"\u003cp\u003eReturns the byte array that a string represents in Base64.\n\u003ccode\u003estr\u003c/code\u003e must consist of the characters \u003ccode\u003eA..Z\u003c/code\u003e, \u003ccode\u003ea..z\u003c/code\u003e, \u003ccode\u003e0..9\u003c/code\u003e, \u003ccode\u003e+\u003c/code\u003e, \u003ccode\u003e/\u003c/code\u003e, \u003ccode\u003e\u003d\u003c/code\u003e\nand whitespace as allowed by a Ballerina Base64Literal.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"byte","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003ethe array\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eBase16 string representation\u003c/p\u003e\n","isDeprecated":false}],"name":"toBase16","description":"\u003cp\u003eReturns the string that is the Base16 representation of an array of bytes.\nThe representation is the same as used by a Ballerina Base16Literal.\nThe result will contain only characters  \u003ccode\u003e0..9\u003c/code\u003e, \u003ccode\u003ea..f\u003c/code\u003e.\nThere will be no whitespace in the returned string.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003eBase16 string representation\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"byte","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe byte array or error\u003c/p\u003e\n","isDeprecated":false}],"name":"fromBase16","description":"\u003cp\u003eReturns the byte array that a string represents in Base16.\n\u003ccode\u003estr\u003c/code\u003e must consist of the characters \u003ccode\u003e0..9\u003c/code\u003e, \u003ccode\u003eA..F\u003c/code\u003e, \u003ccode\u003ea..f\u003c/code\u003e\nand whitespace as allowed by a Ballerina Base16Literal.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"arr","description":"\u003cp\u003eThe array from which the stream is created\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"stream","category":"stream","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.array","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe stream representation of the array \u003ccode\u003earr\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"toStream","description":"\u003cp\u003eReturns a stream from the given array.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[],"errors":[],"types":[{"name":"Type","description":"\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\nHas the special semantic that when used in a declaration\nall uses in the declaration must refer to same type.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},{"name":"Type1","description":"\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\nHas the special semantic that when used in a declaration\nall uses in the declaration must refer to same type.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},{"name":"PureType","description":"\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eanydata|error\u003c/code\u003e.\nHas the special semantic that when used in a declaration\nall uses in the declaration must refer to same type.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}]},{"id":"lang.boolean","summary":"\u003cp\u003eThis module provides lang library operations on \u003ccode\u003eboolean\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library operations on \u003ccode\u003eboolean\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"1.0.0","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"s","description":"\u003cp\u003estring representing a boolean value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eboolean that \u003ccode\u003es\u003c/code\u003e represents, or an error if there is no such boolean\u003c/p\u003e\n","isDeprecated":false}],"name":"fromString","description":"\u003cp\u003eConverts a string to a boolean.\nReturns the boolean of which \u003ccode\u003es\u003c/code\u003e is a string representation.\nThe accepted representations are \u003ccode\u003etrue\u003c/code\u003e, \u003ccode\u003efalse\u003c/code\u003e\n(in any combination of lower- and upper-case),\nand also \u003ccode\u003e1\u003c/code\u003e for true and \u003ccode\u003e0\u003c/code\u003e for \u003ccode\u003efalse\u003c/code\u003e.\nThis is the inverse of \u003ccode\u003evalue:toString\u003c/code\u003e applied to a \u003ccode\u003eboolean\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[],"errors":[],"types":[]},{"id":"lang.decimal","summary":"\u003cp\u003eThis module provides lang library operations on \u003ccode\u003edecimal\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library operations on \u003ccode\u003edecimal\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"1.0.0","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xs","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"xs","description":"\u003cp\u003edecimal values to sum\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003esum of all the \u003ccode\u003exs\u003c/code\u003e; 0 if \u003ccode\u003exs\u003c/code\u003e is empty\u003c/p\u003e\n","isDeprecated":false}],"name":"sum","description":"\u003cp\u003eSum of zero or more decimal values.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efirst decimal value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"xs","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"xs","description":"\u003cp\u003eother decimal values\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003emaximum value of \u003ccode\u003ex\u003c/code\u003e and all the \u003ccode\u003exs\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"max","description":"\u003cp\u003eMaximum of one or more decimal values.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efirst decimal value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"xs","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"xs","description":"\u003cp\u003eother decimal values\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eminimum value of \u003ccode\u003ex\u003c/code\u003e and all the \u003ccode\u003exs\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false}],"name":"min","description":"\u003cp\u003eMinimum of one or more decimal values\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003edecimal value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eabsolute value of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"abs","description":"\u003cp\u003eIEEE abs operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003edecimal value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eclosest decimal value to \u003ccode\u003ex\u003c/code\u003e that is a mathematical integer\u003c/p\u003e\n","isDeprecated":false}],"name":"round","description":"\u003cp\u003eRound a decimal to the closest integral value.\nReturns the decimal value that is a mathematical integer and closest to \u003ccode\u003ex\u003c/code\u003e.\nIf there are two such values, choose the one that is even\n(this is the round-to-nearest rounding mode, which is the default for IEEE\nand for Ballerina).\nSame as Java Math.rint method\nSame as .NET Math.Round method\nIEEE 754 roundToIntegralTiesToEven operation\nNote that \u003ccode\u003e\u0026lt;int\u0026gt;x\u003c/code\u003e is the same as \u003ccode\u003e\u0026lt;int\u0026gt;x.round()\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003edecimal value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003elargest (closest to +∞) decimal value not greater than \u003ccode\u003ex\u003c/code\u003e that is a mathematical integer.\u003c/p\u003e\n","isDeprecated":false}],"name":"floor","description":"\u003cp\u003eRounds a decimal down to the closest integral value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003edecimal value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003esmallest (closest to -∞) decimal value not less than \u003ccode\u003ex\u003c/code\u003e that is a mathematical integer\u003c/p\u003e\n","isDeprecated":false}],"name":"ceiling","description":"\u003cp\u003eRounds a decimal up to the closest integral value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"s","description":"\u003cp\u003estring representation of a decimal\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"decimal","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003edecimal representation of the argument or error\u003c/p\u003e\n","isDeprecated":false}],"name":"fromString","description":"\u003cp\u003eReturn the decimal value represented by \u003ccode\u003es\u003c/code\u003e.\n\u003ccode\u003es\u003c/code\u003e must follow the syntax of DecimalFloatingPointNumber as defined by the Ballerina specification\nwith the following modifications\u003c/p\u003e\n\u003cul\u003e\n\u003cli\u003ethe DecimalFloatingPointLiteral may have a leading \u003ccode\u003e+\u003c/code\u003e or \u003ccode\u003e-\u003c/code\u003e sign\u003c/li\u003e\n\u003cli\u003ea FloatingPointTypeSuffix is not allowed\nThis is the inverse of \u003ccode\u003evalue:toString\u003c/code\u003e applied to an \u003ccode\u003edecimal\u003c/code\u003e.\u003c/li\u003e\n\u003c/ul\u003e\n","isDeprecated":false}],"constants":[],"annotations":[],"errors":[],"types":[]},{"id":"lang.error","summary":"\u003cp\u003eThis module provides lang library operations on \u003ccode\u003eerror\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library operations on \u003ccode\u003eerror\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"1.0.0","records":[{"fields":[],"isClosed":true,"name":"Detail","description":"\u003cp\u003eThe type to which error detail records must belong.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"callableName","description":"\u003cp\u003eCallable name\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"moduleName","description":"\u003cp\u003eModule name\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"fileName","description":"\u003cp\u003eFile name\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"lineNumber","description":"\u003cp\u003eLine number\u003c/p\u003e\n","isDeprecated":false}],"isClosed":true,"name":"CallStackElement","description":"\u003cp\u003eRepresentation of \u003ccode\u003eCallStackElement\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"classes":[{"fields":[{"defaultValue":"[]","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.error","version":"1.0.0","name":"CallStackElement","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"callStack","description":"\u003cp\u003ecall stack\u003c/p\u003e\n","isDeprecated":false}],"methods":[],"otherMethods":[],"name":"CallStack","description":"\u003cp\u003eRepresent error call stack.\u003c/p\u003e\n","isDeprecated":false}],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"e","description":"\u003cp\u003ethe error value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eerror message\u003c/p\u003e\n","isDeprecated":false}],"name":"message","description":"\u003cp\u003eReturns the error\u0027s message.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"e","description":"\u003cp\u003ethe error value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eerror cause\u003c/p\u003e\n","isDeprecated":false}],"name":"cause","description":"\u003cp\u003eReturns the error\u0027s cause.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"e","description":"\u003cp\u003ethe error value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.error","version":"1.0.0","name":"DetailType","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eerror detail value\u003c/p\u003e\n","isDeprecated":false}],"name":"detail","description":"\u003cp\u003eReturns the error\u0027s detail record.\nThe returned value will be immutable.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"e","description":"\u003cp\u003ethe error value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.error","version":"1.0.0","name":"CallStack","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ea new object representing the stack trace of the error value\u003c/p\u003e\n","isDeprecated":false}],"name":"stackTrace","description":"\u003cp\u003eReturns an object representing the stack trace of the error.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[],"errors":[{"name":"Retriable","description":"\u003cp\u003eRepresents the Retriable error.\u003c/p\u003e\n","isDeprecated":false}],"types":[{"name":"DetailType","description":"\u003cp\u003eA type parameter that is a subtype of error \u003ccode\u003eDetail\u003c/code\u003e record type.\nHas the special semantic that when used in a declaration\nall uses in the declaration must refer to same type.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.error","version":"1.0.0","name":"Detail","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}]},{"id":"lang.float","summary":"\u003cp\u003eThis module provides lang library operations on \u003ccode\u003efloat\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library operations on \u003ccode\u003efloat\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"1.0.0","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003ethe float to be tested\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003etrue if \u003ccode\u003ex\u003c/code\u003e is finite, i.e. neither NaN nor +∞ nor -∞\u003c/p\u003e\n","isDeprecated":false}],"name":"isFinite","description":"\u003cp\u003eTests whether a float is finite.\nExactly one of isFinite, isInfinite and IsNaN will be true for any float value\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003ethe float to be tested\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003etrue if \u003ccode\u003ex\u003c/code\u003e is either +∞ or -∞\u003c/p\u003e\n","isDeprecated":false}],"name":"isInfinite","description":"\u003cp\u003eTests whether a float is infinite.\nExactly one of isFinite, isInfinite and IsNaN will be true for any float value\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003ethe float to be tested\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003etrue if \u003ccode\u003ex\u003c/code\u003e is NaN\u003c/p\u003e\n","isDeprecated":false}],"name":"isNaN","description":"\u003cp\u003eTests whether a float is NaN.\nExactly one of isFinite, isInfinite and IsNaN will be true for any float value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xs","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"xs","description":"\u003cp\u003efloat values to sum\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003esum of all the \u003ccode\u003exs\u003c/code\u003e, +0.0 if \u003ccode\u003exs\u003c/code\u003e is empty\u003c/p\u003e\n","isDeprecated":false}],"name":"sum","description":"\u003cp\u003eSum of zero or more float values.\nResult is NaN if any arg is NaN\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xs","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"xs","description":"\u003cp\u003efloat values to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003emaximum value of all the \u003ccode\u003exs\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"max","description":"\u003cp\u003eMaximum of zero or more float values.\nResult is -∞ if no args\nNaN if any arg is NaN\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xs","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"xs","description":"\u003cp\u003efloat values to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eminimum value of all the \u003ccode\u003exs\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"min","description":"\u003cp\u003eMinimum of zero or more float values.\nResult is +∞ if no args\nResult is NaN if any arg is NaN\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eabsolute value of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"abs","description":"\u003cp\u003eIEEE abs operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eclosest float value to \u003ccode\u003ex\u003c/code\u003e that is a mathematical integer\u003c/p\u003e\n","isDeprecated":false}],"name":"round","description":"\u003cp\u003eRound a float value to the closest integral value.\nReturns the float value that is a mathematical integer and closest to \u003ccode\u003ex\u003c/code\u003e.\nIf there are two such values, choose the one that is even\n(this is the round-to-nearest rounding mode, which is the default for IEEE and for Ballerina).\nSame as Java Math.rint method\nSame as .NET Math.Round method\nIEEE roundToIntegralTiesToEven operation\nNote that \u003ccode\u003e\u0026lt;int\u0026gt;x\u003c/code\u003e is the same as \u003ccode\u003e\u0026lt;int\u0026gt;x.round()\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003elargest (closest to +∞) float value not greater than \u003ccode\u003ex\u003c/code\u003e that is a mathematical integer.\u003c/p\u003e\n","isDeprecated":false}],"name":"floor","description":"\u003cp\u003eRounds a float down to the closest integral value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003esmallest (closest to -∞) decimal value not less than \u003ccode\u003ex\u003c/code\u003e that is a mathematical integer\u003c/p\u003e\n","isDeprecated":false}],"name":"ceiling","description":"\u003cp\u003eRounds a float up to the closest integral value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003esquare root of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"sqrt","description":"\u003cp\u003eReturns the square root of a float value.\nCorresponds to IEEE squareRoot operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ecube root of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"cbrt","description":"\u003cp\u003eReturns the cube root of a float value.\nCorresponds to IEEE rootn(x, 3) operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003ebase value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"y","description":"\u003cp\u003ethe exponent\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003ex\u003c/code\u003e raised to the power of \u003ccode\u003ey\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"pow","description":"\u003cp\u003eRaises one float value to the power of another float values.\nCorresponds to IEEE pow(x, y) operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003enatural logarithm of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"log","description":"\u003cp\u003eReturns the natural logarithm of a float value\nCorresponds to IEEE log operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ebase 10 logarithm of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"log10","description":"\u003cp\u003eReturns the base 10 logarithm of a float value.\nCorresponds to IEEE log10 operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eEuler\u0027s number raised to the power \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"exp","description":"\u003cp\u003eRaises Euler\u0027s number to a power.\nCorresponds to IEEE exp operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value, specifying an angle in radians\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe sine of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"sin","description":"\u003cp\u003eReturns the sine of a float value.\nCorresponds to IEEE sin operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value, specifying an angle in radians\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe cosine of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"cos","description":"\u003cp\u003eReturns the cosine of a float value.\nCorresponds to IEEE cos operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value, specifying an angle in radians\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe tangent of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"tan","description":"\u003cp\u003eReturns the tangent of a float value.\nCorresponds to IEEE tan operation\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe arccosine of \u003ccode\u003ex\u003c/code\u003e in radians\u003c/p\u003e\n","isDeprecated":false}],"name":"acos","description":"\u003cp\u003eReturns the arccosine of a float value.\nCorresponds to IEEE acos operation\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe arctangent of \u003ccode\u003ex\u003c/code\u003e in radians\u003c/p\u003e\n","isDeprecated":false}],"name":"atan","description":"\u003cp\u003eReturns the arctangent of a float value.\nCorresponds to IEEE atan operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe arcsine of \u003ccode\u003ex\u003c/code\u003e in radians\u003c/p\u003e\n","isDeprecated":false}],"name":"asin","description":"\u003cp\u003eReturns the arcsine of a float value.\nCorresponds to IEEE asin operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"y","description":"\u003cp\u003ethe y-coordinate\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003ethe x-coordinate\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe angle in radians from the positive x-axis to the point\nwhose Cartesian coordinates are \u003ccode\u003e(x, y)\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"atan2","description":"\u003cp\u003ePerforms the 2-argument arctangent operation.\nCorresponds IEEE atan2(y, x) operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ehyperbolic sine of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"sinh","description":"\u003cp\u003eReturns the hyperbolic sine of a float value.\nCorresponds to IEEE sinh operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ehyperbolic cosine of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"cosh","description":"\u003cp\u003eReturns the hyperbolic cosine of a float value.\nCorresponds to IEEE cosh operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value to operate on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ehyperbolic tangent of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"tanh","description":"\u003cp\u003eReturns the hyperbolic tangent of a float value.\nCorresponds to IEEE tanh operation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"s","description":"\u003cp\u003estring representation of a float\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003efloat value or error\u003c/p\u003e\n","isDeprecated":false}],"name":"fromString","description":"\u003cp\u003eReturn the float value represented by \u003ccode\u003es\u003c/code\u003e.\n\u003ccode\u003es\u003c/code\u003e must follow the syntax of DecimalFloatingPointNumber as defined by the Ballerina specification\nwith the following modifications\u003c/p\u003e\n\u003cul\u003e\n\u003cli\u003ethe DecimalFloatingPointNumber may have a leading \u003ccode\u003e+\u003c/code\u003e or \u003ccode\u003e-\u003c/code\u003e sign\u003c/li\u003e\n\u003cli\u003e\u003ccode\u003eNaN\u003c/code\u003e is allowed\u003c/li\u003e\n\u003cli\u003e\u003ccode\u003eInfinity\u003c/code\u003e is allowed with an optional leading \u003ccode\u003e+\u003c/code\u003e or \u003ccode\u003e-\u003c/code\u003e sign\u003c/li\u003e\n\u003cli\u003ea FloatingPointTypeSuffix is not allowed\nThis is the inverse of \u003ccode\u003evalue:toString\u003c/code\u003e applied to an \u003ccode\u003efloat\u003c/code\u003e.\u003c/li\u003e\n\u003c/ul\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ehexadecimal floating point hex string representation\u003c/p\u003e\n","isDeprecated":false}],"name":"toHexString","description":"\u003cp\u003eReturns a string that represents \u003ccode\u003ex\u003c/code\u003e as a hexadecimal floating point number.\nThe returned string will comply to the grammar of HexFloatingPointLiteral\nin the Ballerina spec with the following modifications:\u003c/p\u003e\n\u003cul\u003e\n\u003cli\u003eit will have a leading \u003ccode\u003e-\u003c/code\u003e sign if negative\u003c/li\u003e\n\u003cli\u003epositive infinity will be represented by \u003ccode\u003eInfinity\u003c/code\u003e\u003c/li\u003e\n\u003cli\u003enegative infinity will be represented by \u003ccode\u003e-Infinity\u003c/code\u003e\u003c/li\u003e\n\u003cli\u003eNaN will be represented by \u003ccode\u003eNaN\u003c/code\u003e\nThe representation includes \u003ccode\u003e0x\u003c/code\u003e for finite numbers.\u003c/li\u003e\n\u003c/ul\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"s","description":"\u003cp\u003ehexadecimal floating point hex string representation\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003efloat value or error\u003c/p\u003e\n","isDeprecated":false}],"name":"fromHexString","description":"\u003cp\u003eReturn the float value represented by \u003ccode\u003es\u003c/code\u003e.\n\u003ccode\u003es\u003c/code\u003e must follow the syntax of HexFloatingPointLiteral as defined by the Ballerina specification\nwith the following modifications\u003c/p\u003e\n\u003cul\u003e\n\u003cli\u003ethe HexFloatingPointLiteral may have a leading \u003ccode\u003e+\u003c/code\u003e or \u003ccode\u003e-\u003c/code\u003e sign\u003c/li\u003e\n\u003cli\u003e\u003ccode\u003eNaN\u003c/code\u003e is allowed\u003c/li\u003e\n\u003cli\u003e\u003ccode\u003eInfinity\u003c/code\u003e is allowed with an optional leading \u003ccode\u003e+\u003c/code\u003e or \u003ccode\u003e-\u003c/code\u003e sign\u003c/li\u003e\n\u003c/ul\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003efloat value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003ex\u003c/code\u003e bit pattern as an int\u003c/p\u003e\n","isDeprecated":false}],"name":"toBitsInt","description":"\u003cp\u003eReturns IEEE 64-bit binary floating point format representation of \u003ccode\u003ex\u003c/code\u003e as an int.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003eint value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003ex\u003c/code\u003e bit pattern as a float\u003c/p\u003e\n","isDeprecated":false}],"name":"fromBitsInt","description":"\u003cp\u003eReturns the float that is represented in IEEE 64-bit floating point by \u003ccode\u003ex\u003c/code\u003e.\nAll bit patterns that IEEE defines to be NaNs will all be mapped to the single float NaN value.\u003c/p\u003e\n","isDeprecated":false}],"constants":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"3.141592653589793","name":"PI","description":"\u003cp\u003eThe number π\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"2.718281828459045","name":"E","description":"\u003cp\u003eEuler\u0027s number\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"0.0/0.0","name":"NaN","description":"\u003cp\u003eIEEE not-a-number value\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"1.0/0.0","name":"Infinity","description":"\u003cp\u003eIEEE positive infinity\u003c/p\u003e\n","isDeprecated":false}],"annotations":[],"errors":[],"types":[]},{"id":"lang.future","summary":"\u003cp\u003eThis module provides lang library operations on \u003ccode\u003efuture\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library operations on \u003ccode\u003efuture\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"1.0.0","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"f","description":"\u003cp\u003ethe future to be cancelled\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"cancel","description":"\u003cp\u003eRequests cancellation of a future.\nThis sets the cancellation flag in the strand corresponding to \u003ccode\u003ef\u003c/code\u003e.\nEach time that a strand yields, it will check the cancellation flag\nand terminate abnormally if the flag is set.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[],"errors":[],"types":[]},{"id":"lang.int","summary":"\u003cp\u003eThis module provides lang library operations on \u003ccode\u003eint\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library operations on \u003ccode\u003eint\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"1.1.0","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"n","description":"\u003cp\u003eint value to be operated on\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eabsolute value of \u003ccode\u003en\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"abs","description":"\u003cp\u003eReturns absolute value of an int.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"ns","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"ns","description":"\u003cp\u003eint values to sum\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003esum of all the \u003ccode\u003ens\u003c/code\u003e; 0 is \u003ccode\u003ens\u003c/code\u003e is empty\u003c/p\u003e\n","isDeprecated":false}],"name":"sum","description":"\u003cp\u003eReturns sum of zero or more int values.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"n","description":"\u003cp\u003efirst int value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"ns","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"ns","description":"\u003cp\u003eother int values\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003emaximum value of value of \u003ccode\u003ex\u003c/code\u003e and all the \u003ccode\u003exs\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"max","description":"\u003cp\u003eMaximum of one or more int values.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"n","description":"\u003cp\u003efirst int value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"ns","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"ns","description":"\u003cp\u003eother int values\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eminimum value of \u003ccode\u003en\u003c/code\u003e and all the \u003ccode\u003ens\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"min","description":"\u003cp\u003eMinimum of one or more int values\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"s","description":"\u003cp\u003estring representation of a integer value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eint representation of the argument or error\u003c/p\u003e\n","isDeprecated":false}],"name":"fromString","description":"\u003cp\u003eReturns the integer that \u003ccode\u003es\u003c/code\u003e represents in decimal.\nReturns error if \u003ccode\u003es\u003c/code\u003e is not the decimal representation of an integer.\nThe first character may be \u003ccode\u003e+\u003c/code\u003e or \u003ccode\u003e-\u003c/code\u003e.\nThis is the inverse of \u003ccode\u003evalue:toString\u003c/code\u003e applied to an \u003ccode\u003eint\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"n","description":"\u003cp\u003eint value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ehexadecimal string representation of int value\u003c/p\u003e\n","isDeprecated":false}],"name":"toHexString","description":"\u003cp\u003eReturns representation of \u003ccode\u003en\u003c/code\u003e as hexdecimal string.\nThere is no \u003ccode\u003e0x\u003c/code\u003e prefix. Lowercase letters a-f are used.\nNegative numbers will have a \u003ccode\u003e-\u003c/code\u003e prefix. No sign for\nnon-negative numbers.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"s","description":"\u003cp\u003ehexadecimal string representation of int value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eint value or error\u003c/p\u003e\n","isDeprecated":false}],"name":"fromHexString","description":"\u003cp\u003eReturns the integer that \u003ccode\u003es\u003c/code\u003e represents in hexadecimal.\nBoth uppercase A-F and lowercase a-f are allowed.\nIt may start with an optional \u003ccode\u003e+\u003c/code\u003e or \u003ccode\u003e-\u003c/code\u003e sign.\nNo \u003ccode\u003e0x\u003c/code\u003e or \u003ccode\u003e0X\u003c/code\u003e prefix is allowed.\nReturns an error if the \u003ccode\u003es\u003c/code\u003e is not in an allowed format.\u003c/p\u003e\n","isDeprecated":false}],"constants":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"9223372036854775807","name":"MAX_VALUE","description":"\u003cp\u003eMaximum value of type \u003ccode\u003eint\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"-9223372036854775807 - 1","name":"MIN_VALUE","description":"\u003cp\u003eMinimum value of type \u003ccode\u003eint\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"2147483647","name":"SIGNED32_MAX_VALUE","description":"\u003cp\u003eMaximum value of type \u003ccode\u003eSigned32\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"-2147483648","name":"SIGNED32_MIN_VALUE","description":"\u003cp\u003eMinimum value of type \u003ccode\u003eSigned32\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"32767","name":"SIGNED16_MAX_VALUE","description":"\u003cp\u003eMaximum value of type \u003ccode\u003eSigned16\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"-32768","name":"SIGNED16_MIN_VALUE","description":"\u003cp\u003eMinimum value of type \u003ccode\u003eSigned16\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"127","name":"SIGNED8_MAX_VALUE","description":"\u003cp\u003eMaximum value of type \u003ccode\u003eSigned8\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"-128","name":"SIGNED8_MIN_VALUE","description":"\u003cp\u003eMinimum value of type \u003ccode\u003eSigned8\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"4294967295","name":"UNSIGNED32_MAX_VALUE","description":"\u003cp\u003eMaximum value of type \u003ccode\u003eUnsigned32\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"65535","name":"UNSIGNED16_MAX_VALUE","description":"\u003cp\u003eMaximum value of type \u003ccode\u003eUnsigned16\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"255","name":"UNSIGNED8_MAX_VALUE","description":"\u003cp\u003eMaximum value of type \u003ccode\u003eUnsigned8\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false}],"annotations":[],"errors":[],"types":[]},{"id":"lang.map","summary":"\u003cp\u003eThis module provides lang library map operations defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library map operations defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"1.1.0","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003enumber of members in \u003ccode\u003em\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"length","description":"\u003cp\u003eReturns number of members of a map.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"object {\n    public isolated function next() returns record {|\n        Type value;\n    |}?;\n} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ea new iterator object that will iterate over the members of \u003ccode\u003em\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"iterator","description":"\u003cp\u003eReturns an iterator over a map.\nThe iterator will iterate over the members of the map not the keys.\nThe \u003ccode\u003eentries\u003c/code\u003e function can be used to iterate over the keys and members together.\nThe \u003ccode\u003ekeys\u003c/code\u003e function can be used to iterator over just the keys.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"k","description":"\u003cp\u003ethe key\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003emember with key \u003ccode\u003ek\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"get","description":"\u003cp\u003eReturns the member of map \u003ccode\u003em\u003c/code\u003e with key \u003ccode\u003ek\u003c/code\u003e.\nThis for use in a case where it is known that the map has a specific key,\nand accordingly panics if \u003ccode\u003em\u003c/code\u003e does not have a member with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":true,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003ea new map of [key, member] pairs\u003c/p\u003e\n","isDeprecated":false}],"name":"entries","description":"\u003cp\u003eReturns a map containing [key, member] pair as the value for each key.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea function to apply to each member\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003enew map containing result of applying parameter \u003ccode\u003efunc\u003c/code\u003e to each member\u003c/p\u003e\n","isDeprecated":false}],"name":"\u0027map","description":"\u003cp\u003eApplies a function each member of a map and returns a map of the result.\nThe resulting map will have the same keys as the argument map.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea function to apply to each member\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"forEach","description":"\u003cp\u003eApplies a function to each member of a map.\nThe parameter \u003ccode\u003efunc\u003c/code\u003e is applied to each member of \u003ccode\u003em\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea predicate to apply to each element to test whether it should be included\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003enew map containing members for which \u003ccode\u003efunc\u003c/code\u003e evaluates to true\u003c/p\u003e\n","isDeprecated":false}],"name":"filter","description":"\u003cp\u003eSelects the members from a map for which a function returns true.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ecombining function\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"initial","description":"\u003cp\u003einitial value for the first argument of combining parameter \u003ccode\u003efunc\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eresult of combining the members of \u003ccode\u003em\u003c/code\u003e using \u003ccode\u003efunc\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"reduce","description":"\u003cp\u003eCombines the members of a map using a combining function.\nThe combining function takes the combined value so far and a member of the map,\nand returns a new combined value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"k","description":"\u003cp\u003ethe key\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe member of \u003ccode\u003em\u003c/code\u003e that had key \u003ccode\u003ek\u003c/code\u003e\nThis removed the member of \u003ccode\u003em\u003c/code\u003e with key \u003ccode\u003ek\u003c/code\u003e and returns it.\nIt panics if there is no such member.\u003c/p\u003e\n","isDeprecated":false}],"name":"remove","description":"\u003cp\u003eRemoves a member of a map.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"k","description":"\u003cp\u003ethe key\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe member of \u003ccode\u003em\u003c/code\u003e that had key \u003ccode\u003ek\u003c/code\u003e, or \u003ccode\u003e()\u003c/code\u003e if \u003ccode\u003em\u003c/code\u003e does not have a key \u003ccode\u003ek\u003c/code\u003e\nIf \u003ccode\u003em\u003c/code\u003e has a member with key \u003ccode\u003ek\u003c/code\u003e, it removes and returns it;\notherwise it returns \u003ccode\u003e()\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false}],"name":"removeIfHasKey","description":"\u003cp\u003eRemoves a member of a map with a given key, if the map has member with the key.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"removeAll","description":"\u003cp\u003eRemoves all members of a map.\nThis panics if any member cannot be removed.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"k","description":"\u003cp\u003ethe key\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003etrue if m has a member with key \u003ccode\u003ek\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"hasKey","description":"\u003cp\u003eTests whether m has a member with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003ea new list of all keys\u003c/p\u003e\n","isDeprecated":false}],"name":"keys","description":"\u003cp\u003eReturns a list of all the keys of map \u003ccode\u003em\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"m","description":"\u003cp\u003ethe map\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.map","version":"1.1.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003ean array whose members are the members of \u003ccode\u003em\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"toArray","description":"\u003cp\u003eReturns a list of all the members of a map.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[],"errors":[],"types":[{"name":"Type","description":"\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\nHas the special semantic that when used in a declaration\nall uses in the declaration must refer to same type.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},{"name":"Type1","description":"\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\nHas the special semantic that when used in a declaration\nall uses in the declaration must refer to same type.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}]},{"id":"lang.object","summary":"\u003cp\u003eThis module defines the shape expected from all listeners as defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module defines the shape expected from all listeners as defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"1.0.0","records":[],"classes":[{"fields":[],"methods":[{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"3","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"count","description":"","isDeprecated":false}],"returnParameters":[],"name":"init","description":"","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"e","description":"","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"shouldRetry","description":"","isDeprecated":false}],"initMethod":{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"3","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"count","description":"","isDeprecated":false}],"returnParameters":[],"name":"init","description":"","isDeprecated":false},"otherMethods":[{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"e","description":"","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"shouldRetry","description":"","isDeprecated":false}],"name":"DefaultRetryManager","description":"\u003cp\u003eDefault retry manager to be used with retry statement.\u003c/p\u003e\n","isDeprecated":false}],"abstractObjects":[{"fields":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":true,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"readonly","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}}],"paramTypes":[],"arrayDimensions":0}},"name":"strings","description":"\u003cp\u003eThe string literal parts of the raw template.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}}},"name":"insertions","description":"\u003cp\u003eThe expressions given within the interpolations of the raw template.\u003c/p\u003e\n","isDeprecated":false}],"methods":[],"name":"RawTemplate","description":"\u003cp\u003eRepresents the shape expected from all raw templates.\u003c/p\u003e\n","isDeprecated":false},{"fields":[],"methods":[{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"e","description":"","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"shouldRetry","description":"","isDeprecated":false}],"name":"RetryManager","description":"","isDeprecated":false}],"clients":[],"listeners":[],"functions":[],"constants":[],"annotations":[],"errors":[],"types":[]},{"id":"lang.query","summary":"\u003cp\u003eThis module provides lang library operations on \u003ccode\u003equery-action\u003c/code\u003es \u0026amp; \u003ccode\u003equery-expression\u003c/code\u003es.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library operations on \u003ccode\u003equery-action\u003c/code\u003es \u0026amp; \u003ccode\u003equery-expression\u003c/code\u003es.\u003c/p\u003e\n","orgName":"ballerina","version":"0.0.1","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[],"constants":[],"annotations":[],"errors":[],"types":[{"name":"Type","description":"\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\nHas the special semantic that when used in a declaration\nall uses in the declaration must refer to same type.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}]},{"id":"lang.runtime","summary":"\u003cp\u003eThis module defines the lang.runtime apis.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module defines the lang.runtime apis.\u003c/p\u003e\n","orgName":"ballerina","version":"0.0.1","records":[],"classes":[],"abstractObjects":[{"fields":[],"methods":[{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"\u0027start","description":"","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"gracefulStop","description":"","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"immediateStop","description":"","isDeprecated":false}],"name":"DynamicListener","description":"\u003cp\u003eA listener that is dynamically registered with a module.\u003c/p\u003e\n","isDeprecated":false}],"clients":[],"listeners":[],"functions":[{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.runtime","version":"0.0.1","name":"DynamicListener","category":"abstractObjects","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"\u0027listener","description":"","isDeprecated":false}],"returnParameters":[],"name":"registerListener","description":"\u003cp\u003eRegister a listener object with a module.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.runtime","version":"0.0.1","name":"DynamicListener","category":"abstractObjects","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"\u0027listener","description":"","isDeprecated":false}],"returnParameters":[],"name":"deregisterListener","description":"\u003cp\u003eDeregister a listener from a module.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[],"errors":[],"types":[]},{"id":"lang.stream","summary":"\u003cp\u003eThis module provides lang library operations on \u003ccode\u003estream\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library operations on \u003ccode\u003estream\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"0.4.0","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"stream","category":"stream","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"stm","description":"\u003cp\u003ethe stream\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea predicate to apply to each member to test whether it should be selected\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"stream","category":"stream","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003enew stream only containing members of \u003ccode\u003estm\u003c/code\u003e for which \u003ccode\u003efunc\u003c/code\u003e evaluates to true\u003c/p\u003e\n","isDeprecated":false}],"name":"filter","description":"\u003cp\u003eSelects the members from a stream for which a function returns true.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"stream","category":"stream","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"strm","description":"\u003cp\u003eThe stream\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"record {| Type value; |}","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":false,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eIf the stream has elements, return the element wrapped in a record with single field called \u003ccode\u003evalue\u003c/code\u003e,\notherwise returns ()\u003c/p\u003e\n","isDeprecated":false}],"name":"next","description":"\u003cp\u003eReturns the next element in the stream wrapped in a record or () if the stream ends.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"stream","category":"stream","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"stm","description":"\u003cp\u003ethe stream\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea function to apply to each member\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"stream","category":"stream","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003enew stream containing result of applying \u003ccode\u003efunc\u003c/code\u003e to each member of \u003ccode\u003estm\u003c/code\u003e in order\u003c/p\u003e\n","isDeprecated":false}],"name":"\u0027map","description":"\u003cp\u003eApplies a function to each member of a stream and returns a stream of the results.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"stream","category":"stream","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"stm","description":"\u003cp\u003ethe stream\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ecombining function\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"initial","description":"\u003cp\u003einitial value for the first argument of combining function\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eresult of combining the members of \u003ccode\u003estm\u003c/code\u003e using the combining function\u003c/p\u003e\n","isDeprecated":false}],"name":"reduce","description":"\u003cp\u003eCombines the members of a stream using a combining function.\nThe combining function takes the combined value so far and a member of the stream,\nand returns a new combined value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"stream","category":"stream","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"stm","description":"\u003cp\u003ethe stream\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea function to apply to each member\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eAn error if iterating the stream encounters an error\u003c/p\u003e\n","isDeprecated":false}],"name":"forEach","description":"\u003cp\u003eApplies a function to each member of a stream.\nThe Combining function is applied to each member of stream in order.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"stream","category":"stream","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"stm","description":"\u003cp\u003ethe stream\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"object {\n    public isolated function next() returns record {|\n        Type value;\n    |}|ErrorType?;\n}","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ea new iterator object that will iterate over the members of \u003ccode\u003estm\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false}],"name":"iterator","description":"\u003cp\u003eReturns an iterator over a stream.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"stream","category":"stream","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"stm","description":"\u003cp\u003ethe stream to close\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.stream","version":"0.4.0","name":"ErrorType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e() if the close completed successfully, otherwise an error\u003c/p\u003e\n","isDeprecated":false}],"name":"close","description":"\u003cp\u003eCloses a stream.\nThis releases any system resources being used by the stream.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[],"errors":[],"types":[{"name":"Type","description":"\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\nHas the special semantic that when used in a declaration\nall uses in the declaration must refer to same type.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},{"name":"ErrorType","description":"\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eerror\u003c/code\u003e.\nHas the special semantic that when used in a declaration\nall uses in the declaration must refer to same type.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"never","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},{"name":"Type1","description":"\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\nHas the special semantic that when used in a declaration\nall uses in the declaration must refer to same type.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}]},{"id":"lang.string","summary":"\u003cp\u003eThis module provides lang library string operations defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library string operations defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"1.1.0","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003ethe string\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe number of characters (code points) in \u003ccode\u003estr\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"length","description":"\u003cp\u003eReturns the length of the string.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003ethe string to be iterated over\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"object {\n    public isolated function next() returns record {| string value; |}?;\n}","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ea new iterator object\u003c/p\u003e\n","isDeprecated":false}],"name":"iterator","description":"\u003cp\u003eReturns an iterator over the string.\nThe iterator will yield the substrings of length 1 in order.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"strs","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"strs","description":"\u003cp\u003estrings to be concatenated\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003econcatenation of all of the \u003ccode\u003estrs\u003c/code\u003e; empty string if \u003ccode\u003estrs\u003c/code\u003e is empty\u003c/p\u003e\n","isDeprecated":false}],"name":"concat","description":"\u003cp\u003eConcatenates zero or more strings.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003ethe string\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"index","description":"\u003cp\u003ean index in \u003ccode\u003estr\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe Unicode code point of the character at \u003ccode\u003eindex\u003c/code\u003e in \u003ccode\u003estr\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"getCodePoint","description":"\u003cp\u003eReturns the code point of a character in a string.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003esource string.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"startIndex","description":"\u003cp\u003ethe starting index, inclusive\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"str.length()","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"endIndex","description":"\u003cp\u003ethe ending index, exclusive\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003esubstring consisting of characters with index \u0026gt;\u003d startIndex and \u0026lt; endIndex\u003c/p\u003e\n","isDeprecated":false}],"name":"substring","description":"\u003cp\u003eReturns a substring of a string.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str1","description":"\u003cp\u003ethe first string to be compared\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str2","description":"\u003cp\u003ethe second string to be compared\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ean int that is less than, equal to or greater than zero,\naccording as \u003ccode\u003estr1\u003c/code\u003e is less than, equal to or greater than \u003ccode\u003estr2\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"codePointCompare","description":"\u003cp\u003eLexicographically compares strings using their Unicode code points.\nThis orders strings in a consistent and well-defined way,\nbut the ordering will often not be consistent with cultural expectations\nfor sorted order.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"separator","description":"\u003cp\u003eseparator string\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"strs","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"strs","description":"\u003cp\u003estrings to be joined\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ea string consisting of all of \u003ccode\u003estrs\u003c/code\u003e concatenated in order\nwith \u003ccode\u003eseparator\u003c/code\u003e in between them\u003c/p\u003e\n","isDeprecated":false}],"name":"\u0027join","description":"\u003cp\u003eJoins zero or more strings together with a separator.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003ethe string in which to search\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"substr","description":"\u003cp\u003ethe string to search for\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"0","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"startIndex","description":"\u003cp\u003eindex to start searching from\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eindex of the first occurrence of \u003ccode\u003esubstr\u003c/code\u003e in \u003ccode\u003estr\u003c/code\u003e that is \u0026gt;\u003d \u003ccode\u003estartIndex\u003c/code\u003e,\nor \u003ccode\u003e()\u003c/code\u003e if there is no such occurrence\u003c/p\u003e\n","isDeprecated":false}],"name":"indexOf","description":"\u003cp\u003eFinds the first occurrence of one string in another string.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003ethe string in which to search\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"substr","description":"\u003cp\u003ethe string to search for\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"str.length() - substr.length()","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"startIndex","description":"\u003cp\u003eindex to start searching backwards from\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eindex of the last occurrence of \u003ccode\u003esubstr\u003c/code\u003e in \u003ccode\u003estr\u003c/code\u003e that is \u0026lt;\u003d \u003ccode\u003estartIndex\u003c/code\u003e,\nor \u003ccode\u003e()\u003c/code\u003e if there is no such occurrence\u003c/p\u003e\n","isDeprecated":false}],"name":"lastIndexOf","description":"\u003cp\u003eFinds the last occurrence of one string in another string.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003ethe string to be tested\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"substr","description":"\u003cp\u003ethe starting string\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003etrue if \u003ccode\u003estr\u003c/code\u003e starts with \u003ccode\u003esubstr\u003c/code\u003e; false otherwise\u003c/p\u003e\n","isDeprecated":false}],"name":"startsWith","description":"\u003cp\u003eTests whether a string starts with another string.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003ethe string to be tested\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"substr","description":"\u003cp\u003ethe ending string\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003etrue if \u003ccode\u003estr\u003c/code\u003e ends with \u003ccode\u003esubstr\u003c/code\u003e; false otherwise\u003c/p\u003e\n","isDeprecated":false}],"name":"endsWith","description":"\u003cp\u003eTests whether a string ends with another string.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003ethe string to be converted\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003estr\u003c/code\u003e with any occurrences of A-Z converted to a-z\u003c/p\u003e\n","isDeprecated":false}],"name":"toLowerAscii","description":"\u003cp\u003eConverts occurrences of A-Z to a-z.\nOther characters are left unchanged.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003ethe string to be converted\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003estr\u003c/code\u003e with any occurrences of a-z converted to A-Z\u003c/p\u003e\n","isDeprecated":false}],"name":"toUpperAscii","description":"\u003cp\u003eConverts occurrences of a-z to A-Z.\nOther characters are left unchanged.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str1","description":"\u003cp\u003ethe first string to be compared\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str2","description":"\u003cp\u003ethe second string to be compared\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003etrue if \u003ccode\u003estr1\u003c/code\u003e is the same as \u003ccode\u003estr2\u003c/code\u003e, treating upper-case and lower-case\nASCII letters as the same; false, otherwise\u003c/p\u003e\n","isDeprecated":false}],"name":"equalsIgnoreCaseAscii","description":"\u003cp\u003eTests whether two strings are the same, ignoring the case of ASCII characters.\nA character in the range a-z is treated the same as the corresponding character in the range A-Z.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003ethe string\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003estr\u003c/code\u003e with leading or trailing ASCII white space characters removed\u003c/p\u003e\n","isDeprecated":false}],"name":"trim","description":"\u003cp\u003eRemoves ASCII white space characters from the start and end of a string.\nThe ASCII white space characters are 0x9...0xD, 0x20.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003ethe string\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"byte","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003eUTF-8 byte array\u003c/p\u003e\n","isDeprecated":false}],"name":"toBytes","description":"\u003cp\u003eRepresents \u003ccode\u003estr\u003c/code\u003e as an array of bytes using UTF-8.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"byte","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"bytes","description":"\u003cp\u003eUTF-8 byte array\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003ebytes\u003c/code\u003e converted to string or error\u003c/p\u003e\n","isDeprecated":false}],"name":"fromBytes","description":"\u003cp\u003eConstructs a string from its UTF-8 representation in \u003ccode\u003ebytes\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003ethe string\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003ean array with a code point for each character of \u003ccode\u003estr\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"toCodePointInts","description":"\u003cp\u003eConverts a string to an array of code points.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.string","version":"1.1.0","name":"Char","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"ch","description":"\u003cp\u003ea single character string\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe code point of \u003ccode\u003ech\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"toCodePointInt","description":"\u003cp\u003eConverts a single character string to a code point.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"codePoints","description":"\u003cp\u003ean array of ints, each specifying a code point\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ea string with a character for each code point in \u003ccode\u003ecodePoints\u003c/code\u003e; or an error\nif any member of \u003ccode\u003ecodePoints\u003c/code\u003e is not a valid code point\u003c/p\u003e\n","isDeprecated":false}],"name":"fromCodePointInts","description":"\u003cp\u003eConstructs a string from an array of code points.\nAn int is a valid code point if it is in the range 0 to 0x10FFFF inclusive,\nbut not in the range 0xD800 or 0xDFFF inclusive.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"codePoint","description":"\u003cp\u003ean int specifying a code point\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.string","version":"1.1.0","name":"Char","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ea single character string whose code point is \u003ccode\u003ecodePoint\u003c/code\u003e; or an error\nif \u003ccode\u003ecodePoint\u003c/code\u003e is not a valid code point\u003c/p\u003e\n","isDeprecated":false}],"name":"fromCodePointInt","description":"\u003cp\u003eConstructs a single character string from a code point.\nAn int is a valid code point if it is in the range 0 to 0x10FFFF inclusive,\nbut not in the range 0xD800 or 0xDFFF inclusive.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[],"errors":[],"types":[]},{"id":"lang.table","summary":"\u003cp\u003eThis module provides lang library operations on \u003ccode\u003etable\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library operations on \u003ccode\u003etable\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"0.4.0","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003enumber of members in \u003ccode\u003et\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"length","description":"\u003cp\u003eReturns number of members of a table.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"object {\n    public isolated function next() returns record {|\n        Type value;\n    |}?;\n} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ea new iterator object that will iterate over the members of \u003ccode\u003et\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"iterator","description":"\u003cp\u003eReturns an iterator over a table.\nThe iterator will iterate over the members of the table not the keys.\nThe \u003ccode\u003eentries\u003c/code\u003e function can be used to iterate over the keys and members together.\nThe \u003ccode\u003ekeys\u003c/code\u003e function can be used to iterator over just the keys.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"KeyType","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"k","description":"\u003cp\u003ethe key\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003emember with key \u003ccode\u003ek\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"get","description":"\u003cp\u003eReturns the member of table \u003ccode\u003et\u003c/code\u003e with key \u003ccode\u003ek\u003c/code\u003e.\nThis for use in a case where it is known that the table has a specific key,\nand accordingly panics if \u003ccode\u003et\u003c/code\u003e does not have a member with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"val","description":"\u003cp\u003ethe member\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"put","description":"\u003cp\u003eAdds a member \u003ccode\u003eval\u003c/code\u003e to table \u003ccode\u003et\u003c/code\u003e, replacing any member with the same key value.\nIf \u003ccode\u003eval\u003c/code\u003e replaces an existing member, it will have the same position\nin the order of the members as the existing member;\notherwise, it will be added as the last member.\nIt panics if \u003ccode\u003eval\u003c/code\u003e is inconsistent with the inherent type of \u003ccode\u003et\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"val","description":"\u003cp\u003ethe member\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"add","description":"\u003cp\u003eAdds a member \u003ccode\u003eval\u003c/code\u003e to table \u003ccode\u003et\u003c/code\u003e.\nIt will be added as the last member.\nIt panics if \u003ccode\u003eval\u003c/code\u003e has the same key as an existing member of \u003ccode\u003et\u003c/code\u003e,\nor if \u003ccode\u003eval\u003c/code\u003e is inconsistent with the inherent type of \u003ccode\u003et\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea function to apply to each member\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003enew table containing result of applying \u003ccode\u003efunc\u003c/code\u003e to each member\u003c/p\u003e\n","isDeprecated":false}],"name":"\u0027map","description":"\u003cp\u003eApplies a function each member of a table and returns a table of the result.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea function to apply to each member\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"forEach","description":"\u003cp\u003eApplies a function to each member of a table.\nThe \u003ccode\u003efunc\u003c/code\u003e is applied to each member of \u003ccode\u003et\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea predicate to apply to each member to test whether it should be included\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003enew table containing members for which \u003ccode\u003efunc\u003c/code\u003e evaluates to true\u003c/p\u003e\n","isDeprecated":false}],"name":"filter","description":"\u003cp\u003eSelects the members from a table for which a function returns true.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ecombining function\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"initial","description":"\u003cp\u003einitial value for the first argument of combining \u003ccode\u003efunc\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type1","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eresult of combining the members of \u003ccode\u003et\u003c/code\u003e using \u003ccode\u003efunc\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"reduce","description":"\u003cp\u003eCombines the members of a table using a combining function.\nThe combining function takes the combined value so far and a member of the table,\nand returns a new combined value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"KeyType","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"k","description":"\u003cp\u003ethe key\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe member of \u003ccode\u003et\u003c/code\u003e that had key \u003ccode\u003ek\u003c/code\u003e\nThis removed the member of \u003ccode\u003et\u003c/code\u003e with key \u003ccode\u003ek\u003c/code\u003e and returns it.\nIt panics if there is no such member.\u003c/p\u003e\n","isDeprecated":false}],"name":"remove","description":"\u003cp\u003eRemoves a member of a table.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"KeyType","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"k","description":"\u003cp\u003ethe key\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe member of \u003ccode\u003et\u003c/code\u003e that had key \u003ccode\u003ek\u003c/code\u003e, or \u003ccode\u003e()\u003c/code\u003e if \u003ccode\u003et\u003c/code\u003e does not have a key \u003ccode\u003ek\u003c/code\u003e\nIf \u003ccode\u003et\u003c/code\u003e has a member with key \u003ccode\u003ek\u003c/code\u003e, it removes and returns it;\notherwise it returns \u003ccode\u003e()\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false}],"name":"removeIfHasKey","description":"\u003cp\u003eRemoves a member of a table with a given key, if the table has member with the key.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"removeAll","description":"\u003cp\u003eRemoves all members of a table.\nThis panics if any member cannot be removed.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"KeyType","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"k","description":"\u003cp\u003ethe key\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003etrue if \u003ccode\u003et\u003c/code\u003e has a member with key \u003ccode\u003ek\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"hasKey","description":"\u003cp\u003eTests whether \u003ccode\u003et\u003c/code\u003e has a member with key \u003ccode\u003ek\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"KeyType","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003ea new list of all keys\u003c/p\u003e\n","isDeprecated":false}],"name":"keys","description":"\u003cp\u003eReturns a list of all the keys of table \u003ccode\u003et\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"lang.table","version":"0.4.0","name":"Type","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003ean array whose members are the members of \u003ccode\u003et\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"toArray","description":"\u003cp\u003eReturns a list of all the members of a table.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe table with a key of type int\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ean integer not yet used as a key\nThis is maximum used key value + 1, or 0 if no key used\nXXX should it be 0, if the maximum used key value is \u0026lt; 0?\nProvides similar functionality to auto-increment\u003c/p\u003e\n","isDeprecated":false}],"name":"nextKey","description":"\u003cp\u003eReturns the next available integer key.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[],"errors":[],"types":[{"name":"Type","description":"\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\nHas the special semantic that when used in a declaration\nall uses in the declaration must refer to same type.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},{"name":"Type1","description":"\u003cp\u003eA type parameter that is a subtype of \u003ccode\u003eany|error\u003c/code\u003e.\nHas the special semantic that when used in a declaration\nall uses in the declaration must refer to same type.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}]},{"id":"lang.transaction","summary":"\u003cp\u003eThis module provides lang library operations on \u003ccode\u003etransaction\u003c/code\u003es.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library operations on \u003ccode\u003etransaction\u003c/code\u003es.\u003c/p\u003e\n","orgName":"ballerina","version":"0.0.1","records":[{"fields":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"byte","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"xid","description":"\u003cp\u003eUnique identifier for the transaction branch\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"retryNumber","description":"\u003cp\u003eThe number of previous attempts in a sequence of retries\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.transaction","version":"0.0.1","name":"Info","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"prevAttempt","description":"\u003cp\u003eInformation about the previous attempt in a sequence of retries.\nThis will be \u003ccode\u003e()\u003c/code\u003e if the \u003ccode\u003eretryNumber\u003c/code\u003e is 0.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.transaction","version":"0.0.1","name":"Timestamp","category":"abstractObjects","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"startTime","description":"\u003cp\u003eThe time at which the transaction was started.\u003c/p\u003e\n","isDeprecated":false}],"isClosed":true,"name":"Info","description":"\u003cp\u003eInformation about a transaction that does not change\nafter the transaction is started.\u003c/p\u003e\n","isDeprecated":false}],"classes":[],"abstractObjects":[{"fields":[],"methods":[{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"toMillisecondsInt","description":"\u003cp\u003eReturns milliseconds since 1970-01-01T00:00:00Z, not including leap seconds\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"toString","description":"\u003cp\u003eReturns a string representation of the timestamp in ISO 8601 format\u003c/p\u003e\n","isDeprecated":false}],"name":"Timestamp","description":"\u003cp\u003eAn instant in time.\u003c/p\u003e\n","isDeprecated":false}],"clients":[],"listeners":[],"functions":[{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"message","description":"\u003cp\u003eError message\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"()","type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"err","description":"\u003cp\u003e\u003ccode\u003eerror\u003c/code\u003e instance\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.transaction","version":"0.0.1","name":"Error","category":"errors","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ePrepared \u003ccode\u003eError\u003c/code\u003e instance\u003c/p\u003e\n","isDeprecated":false}],"name":"prepareError","description":"\u003cp\u003eLog and prepare \u003ccode\u003eerror\u003c/code\u003e as a \u003ccode\u003eError\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.transaction","version":"0.0.1","name":"Info","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"info","description":"\u003cp\u003eReturns information about the current transaction\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"byte","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"xid","description":"","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.transaction","version":"0.0.1","name":"Info","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"getInfo","description":"\u003cp\u003eReturns information about the transaction with\nthe specified xid.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"e","description":"","isDeprecated":false}],"returnParameters":[],"name":"setRollbackOnly","description":"\u003cp\u003ePrevents the global transaction from committing successfully.\nThis ask the transaction manager that when it makes the decision\nwhether to commit or rollback, it should decide to rollback.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003etrue if it is known that the transaction manager will,\nwhen it makes the decision whether to commit or rollback, decide\nto rollback\u003c/p\u003e\n","isDeprecated":false}],"name":"getRollbackOnly","description":"\u003cp\u003eTells whether it is known that the transaction will be rolled back.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":true,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},{"name":"readonly","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"e","description":"","isDeprecated":false}],"returnParameters":[],"name":"setData","description":"\u003cp\u003eAssociates some data with the current transaction branch.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":true,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},{"name":"readonly","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe data, or \u003ccode\u003e()\u003c/code\u003e if no data has been set.\u003c/p\u003e\n","isDeprecated":false}],"name":"getData","description":"\u003cp\u003eRetrieves data associated with the current transaction branch.\nThe data is set using \u003ccode\u003esetData\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.transaction","version":"0.0.1","name":"CommitHandler","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"handler","description":"\u003cp\u003ethe function to be called on commit\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"onCommit","description":"\u003cp\u003eAdds a handler to be called if and when the global transaction commits.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.transaction","version":"0.0.1","name":"RollbackHandler","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"handler","description":"\u003cp\u003ethe function to be called on rollback\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"onRollback","description":"\u003cp\u003eAdds a handler to be called if and when the global transaction rolls back.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[],"errors":[{"name":"TransactionError","description":"\u003cp\u003eRepresents the Transaction error.\u003c/p\u003e\n","isDeprecated":false}],"types":[{"name":"Error","description":"\u003cp\u003eRepresents the Transaction module related error.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.transaction","version":"0.0.1","name":"TransactionError","category":"errors","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}]},{"id":"lang.value","summary":"\u003cp\u003eThis module provides lang library operations common to all values defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library operations common to all values defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"1.0.0","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.value","version":"1.0.0","name":"AnydataType","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"v","description":"\u003cp\u003esource value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.value","version":"1.0.0","name":"AnydataType","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eclone of \u003ccode\u003ev\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"clone","description":"\u003cp\u003eReturns a clone of \u003ccode\u003ev\u003c/code\u003e.\nA clone is a deep copy that does not copy immutable subtrees.\nA clone can therefore safely be used concurrently with the original.\nIt corresponds to the Clone(v) operation,\ndefined in the Ballerina Language Specification.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.value","version":"1.0.0","name":"AnydataType","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"v","description":"\u003cp\u003esource value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.value","version":"1.0.0","name":"AnydataType","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eimmutable clone of \u003ccode\u003ev\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"cloneReadOnly","description":"\u003cp\u003eReturns a clone of \u003ccode\u003ev\u003c/code\u003e that is read-only, i.e. immutable.\nIt corresponds to the ImmutableClone(v) operation,\ndefined in the Ballerina Language Specification.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"v","description":"\u003cp\u003ethe value to be cloned\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003ethe type for the cloned to be constructed\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.value","version":"1.0.0","name":"AnydataType","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ea new value that belongs to \u003ccode\u003et\u003c/code\u003e, or an error if this cannot be done\nWhen \u003ccode\u003ev\u003c/code\u003e is a structural value, the inherent type of the value to be constructed\ncomes from \u003ccode\u003et\u003c/code\u003e. When \u003ccode\u003et\u003c/code\u003e is a union, it must be possible to determine which\nmember of the union to use for the inherent type by following the same rules\nthat are used by list constructor expressions and mapping constructor expressions\nwith the contextually expected type. If not, then an error is returned.\nThe \u003ccode\u003econstructFrom\u003c/code\u003e operation is recursively applied to each member of \u003ccode\u003ev\u003c/code\u003e using\nthe type descriptor that the inherent type requires for that member.\nLike the Clone abstract operation, this does a deep copy, but differs in\nthe following respects:\u003c/p\u003e\n\u003cul\u003e\n\u003cli\u003ethe inherent type of any structural values constructed comes from the specified\ntype descriptor rather than the value being constructed\u003c/li\u003e\n\u003cli\u003ethe read-only bit of values and fields comes from the specified type descriptor\u003c/li\u003e\n\u003cli\u003ethe graph structure of \u003ccode\u003ev\u003c/code\u003e is not preserved; the result will always be a tree;\nan error will be returned if \u003ccode\u003ev\u003c/code\u003e has cycles\u003c/li\u003e\n\u003cli\u003eimmutable structural values are copied rather being returned as is; all\nstructural values in the result will be mutable, except for error values\n(which are always immutable)\u003c/li\u003e\n\u003cli\u003enumeric values can be converted using the NumericConvert abstract operation\u003c/li\u003e\n\u003cli\u003eif a record type descriptor specifies default values, these will be used\nto supply any missing members\u003c/li\u003e\n\u003c/ul\u003e\n","isDeprecated":false}],"name":"cloneWithType","description":"\u003cp\u003eConstructs a value with a specified type by cloning another value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"v","description":"\u003cp\u003esource value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003etrue if read-only, false otherwise\u003c/p\u003e\n","isDeprecated":false}],"name":"isReadOnly","description":"\u003cp\u003eTests whether \u003ccode\u003ev\u003c/code\u003e is read-only, i.e. immutable\nReturns true if read-only, false otherwise.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"v","description":"\u003cp\u003ethe value to be converted to a string\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ea string resulting from the conversion\nThe details of the conversion are specified by the ToString abstract operation\ndefined in the Ballerina Language Specification, using the direct style.\u003c/p\u003e\n","isDeprecated":false}],"name":"toString","description":"\u003cp\u003ePerforms a direct conversion of a value to a string.\nThe conversion is direct in the sense that when applied to a value that is already\na string it leaves the value unchanged.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"v","description":"\u003cp\u003ethe value to be converted to a string\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ea string resulting from the conversion\nIf \u003ccode\u003ev\u003c/code\u003e is anydata and does not have cycles, then the result will\nconform to the grammar for a Ballerina expression and when evaluated\nwill result in a value that is \u003d\u003d to v.\nThe details of the conversion are specified by the ToString abstract operation\ndefined in the Ballerina Language Specification, using the expression style.\u003c/p\u003e\n","isDeprecated":false}],"name":"toBalString","description":"\u003cp\u003eConverts a value to a string that describes the value in Ballerina syntax.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"s","description":"\u003cp\u003ethe string to be parsed and evaluated\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe result of evaluating the parsed expression, or\nan error if the string cannot be parsed\nThe subset of Ballerina expression syntax supported is that produced\nby toBalString when applied to an anydata value.\u003c/p\u003e\n","isDeprecated":false}],"name":"fromBalString","description":"\u003cp\u003eParses and evaluates a subset of Ballerina expression syntax.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"v","description":"\u003cp\u003eanydata value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"json","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003erepresentation of \u003ccode\u003ev\u003c/code\u003e as value of type json\nThis panics if \u003ccode\u003ev\u003c/code\u003e has cycles.\u003c/p\u003e\n","isDeprecated":false}],"name":"toJson","description":"\u003cp\u003eConverts a value of type \u003ccode\u003eanydata\u003c/code\u003e to \u003ccode\u003ejson\u003c/code\u003e.\nThis does a deep copy of \u003ccode\u003ev\u003c/code\u003e converting values that do\nnot belong to json into values that do.\nA value of type \u003ccode\u003exml\u003c/code\u003e is converted into a string as if\nby the \u003ccode\u003etoString\u003c/code\u003e function.\nA value of type \u003ccode\u003etable\u003c/code\u003e is converted into a list of\nmappings one for each row.\nThe inherent type of arrays in the return value will be\n\u003ccode\u003ejson[]\u003c/code\u003e and of mappings will be \u003ccode\u003emap\u0026lt;json\u0026gt;\u003c/code\u003e.\nA new copy is made of all structural values, including\nimmutable values.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"v","description":"\u003cp\u003eanydata value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003estring representation of json\u003c/p\u003e\n","isDeprecated":false}],"name":"toJsonString","description":"\u003cp\u003eReturns the string that represents \u003ccode\u003ev\u003c/code\u003e in JSON format.\n\u003ccode\u003ev\u003c/code\u003e is first converted to \u003ccode\u003ejson\u003c/code\u003e as if by the \u003ccode\u003etoJson\u003c/code\u003e function.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003estring representation of json\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"json","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003estr\u003c/code\u003e parsed to json or error\u003c/p\u003e\n","isDeprecated":false}],"name":"fromJsonString","description":"\u003cp\u003eParses a string in JSON format and returns the the value that it represents.\nAll integer numbers in the JSON will be represented as integer values.\nAll decimal numbers except -0.0 in the JSON will be represent as decimal values.\n-0.0 in the JSON will be represent as float value.\nReturns an error if the string cannot be parsed.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003estring representation of json\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"json","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003estr\u003c/code\u003e parsed to json or error\u003c/p\u003e\n","isDeprecated":false}],"name":"fromJsonFloatString","description":"\u003cp\u003eParses a string in JSON format and returns the value that it represents.\nAll numbers in the JSON will be represented as float values.\nReturns an error if the string cannot be parsed.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003estring representation of json\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"json","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003estr\u003c/code\u003e parsed to json or error\u003c/p\u003e\n","isDeprecated":false}],"name":"fromJsonDecimalString","description":"\u003cp\u003eParses a string in JSON format and returns the value that it represents.\nAll numbers in the JSON will be represented as decimal values.\nReturns an error if the string cannot be parsed.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"json","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"v","description":"\u003cp\u003ejson value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003etype to convert to\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"t","category":"reference","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003evalue belonging to \u003ccode\u003et\u003c/code\u003e, or error if this cannot be done\u003c/p\u003e\n","isDeprecated":false}],"name":"fromJsonWithType","description":"\u003cp\u003eConverts a value of type json to a user-specified type.\nThis works the same as \u003ccode\u003ecloneWithType\u003c/code\u003e,\nexcept that it also does the inverse of the conversions done by \u003ccode\u003etoJson\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"str","description":"\u003cp\u003estring in JSON format\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"\u003cp\u003etype to convert to\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"t","category":"reference","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003evalue belonging to \u003ccode\u003et\u003c/code\u003e, or error if this cannot be done\u003c/p\u003e\n","isDeprecated":false}],"name":"fromJsonStringWithType","description":"\u003cp\u003eConverts a string in JSON format to a user-specified type.\nThis is a combination of \u003ccode\u003efromJsonString\u003c/code\u003e followed by\n\u003ccode\u003efromJsonWithType\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"json","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"j1","description":"\u003cp\u003ejson value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"json","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"j2","description":"\u003cp\u003ejson value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"json","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe merge of \u003ccode\u003ej1\u003c/code\u003e with \u003ccode\u003ej2\u003c/code\u003e or an error if the merge fails\nThe merge of \u003ccode\u003ej1\u003c/code\u003e with \u003ccode\u003ej2\u003c/code\u003e is defined as follows:\u003c/p\u003e\n\u003cul\u003e\n\u003cli\u003eif \u003ccode\u003ej1\u003c/code\u003e is \u003ccode\u003e()\u003c/code\u003e, then the result is \u003ccode\u003ej2\u003c/code\u003e\u003c/li\u003e\n\u003cli\u003eif \u003ccode\u003ej2\u003c/code\u003e is \u003ccode\u003e()\u003c/code\u003e, then the result is \u003ccode\u003ej1\u003c/code\u003e\u003c/li\u003e\n\u003cli\u003eif \u003ccode\u003ej1\u003c/code\u003e is a mapping and \u003ccode\u003ej2\u003c/code\u003e is a mapping, then for each entry [k, j] in j2,\nset \u003ccode\u003ej1[k]\u003c/code\u003e to the merge of \u003ccode\u003ej1[k]\u003c/code\u003e with \u003ccode\u003ej\u003c/code\u003e\n\u003cul\u003e\n\u003cli\u003eif \u003ccode\u003ej1[k]\u003c/code\u003e is undefined, then set \u003ccode\u003ej1[k]\u003c/code\u003e to \u003ccode\u003ej\u003c/code\u003e\u003c/li\u003e\n\u003cli\u003eif any merge fails, then the merge of \u003ccode\u003ej1\u003c/code\u003e with \u003ccode\u003ej2\u003c/code\u003e fails\u003c/li\u003e\n\u003cli\u003eotherwise, the result is \u003ccode\u003ej1\u003c/code\u003e.\u003c/li\u003e\n\u003c/ul\u003e\n\u003c/li\u003e\n\u003cli\u003eotherwise, the merge fails\nIf the merge fails, then \u003ccode\u003ej1\u003c/code\u003e is unchanged.\u003c/li\u003e\n\u003c/ul\u003e\n","isDeprecated":false}],"name":"mergeJson","description":"\u003cp\u003eMerges two json values.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"v","description":"","isDeprecated":false},{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"t","description":"","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"","isDeprecated":false}],"name":"ensureType","description":"","isDeprecated":false}],"constants":[],"annotations":[],"errors":[],"types":[]},{"id":"lang.xml","summary":"\u003cp\u003eThis module provides lang library operations on \u003ccode\u003exml\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides lang library operations on \u003ccode\u003exml\u003c/code\u003e values defined by the language specification 2020R1.\u003c/p\u003e\n","orgName":"ballerina","version":"0.8.0","records":[],"classes":[],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003exml item\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003enumber of XML items in \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"length","description":"\u003cp\u003eReturns number of xml items in \u003ccode\u003ex\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003exml sequence to iterate over\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"object {\n    public isolated function next() returns record {| (xml|string) value; |}?;\n} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eiterator object\nEach item is represented by an xml singleton.\u003c/p\u003e\n","isDeprecated":false}],"name":"iterator","description":"\u003cp\u003eReturns an iterator over the xml items of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003ethe xml sequence\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"i","description":"\u003cp\u003ethe index\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe item with index \u003ccode\u003ei\u003c/code\u003e in \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"get","description":"\u003cp\u003eReturns the item of \u003ccode\u003ex\u003c/code\u003e with index \u003ccode\u003ei\u003c/code\u003e.\nThis differs from \u003ccode\u003ex[i]\u003c/code\u003e in that it panics if\n\u003ccode\u003ex\u003c/code\u003e does not have an item with index \u003ccode\u003ei\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xs","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}}},"name":"xs","description":"\u003cp\u003exml or string items to concatenate\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ean xml sequence that is the concatenation of all the \u003ccode\u003exs\u003c/code\u003e;\nan empty xml sequence if the \u003ccode\u003exs\u003c/code\u003e are empty\u003c/p\u003e\n","isDeprecated":false}],"name":"concat","description":"\u003cp\u003eConcatenates xml and string values.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"Element","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"elem","description":"\u003cp\u003exml element\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eelement name\u003c/p\u003e\n","isDeprecated":false}],"name":"getName","description":"\u003cp\u003eReturns a string giving the expanded name of \u003ccode\u003eelem\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"Element","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"elem","description":"\u003cp\u003exml element\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"xName","description":"\u003cp\u003enew expanded name\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"setName","description":"\u003cp\u003eChange the name of element \u003ccode\u003eelem\u003c/code\u003e to \u003ccode\u003exName\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"Element","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"elem","description":"\u003cp\u003exml element\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003echildren of \u003ccode\u003eelem\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"getChildren","description":"\u003cp\u003eReturns the children of \u003ccode\u003eelem\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"Element","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"elem","description":"\u003cp\u003exml element\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"children","description":"\u003cp\u003exml or string to set as children\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"setChildren","description":"\u003cp\u003eSets the children of \u003ccode\u003eelem\u003c/code\u003e to \u003ccode\u003echildren\u003c/code\u003e.\nThis panics if it would result in the element structure\nbecoming cyclic.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"Element","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003exml element\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003eattributes of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"getAttributes","description":"\u003cp\u003eReturns the map representing the attributes of \u003ccode\u003eelem\u003c/code\u003e.\nThis includes namespace attributes.\nThe keys in the map are the expanded names of the attributes.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"ProcessingInstruction","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003exml processing instruction item\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003etarget part of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"getTarget","description":"\u003cp\u003eReturns the target part of the processing instruction.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"Text","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"ProcessingInstruction","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"Comment","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003exml item\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ethe content of \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"getContent","description":"\u003cp\u003eReturns the content of a text or processing instruction or comment item.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003ethe name of the new element\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"concat()","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"children","description":"\u003cp\u003ethe children of the new element\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"Element","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ean xml sequence consisting of only a new xml element with name \u003ccode\u003ename\u003c/code\u003e,\nno attributes, and children \u003ccode\u003echildren\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"createElement","description":"\u003cp\u003eConstructs an xml sequence consisting of only a new element item.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"target","description":"\u003cp\u003ethe target part of the processing instruction to be constructed\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"content","description":"\u003cp\u003ethe content part of the processing instruction to be constructed\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"ProcessingInstruction","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ean xml sequence consisting of a processing instruction with target \u003ccode\u003etarget\u003c/code\u003e\nand content \u003ccode\u003econtent\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"createProcessingInstruction","description":"\u003cp\u003eConstructs an xml sequence consisting of only a processing instruction item.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"content","description":"\u003cp\u003ethe content of the comment to be constructed.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"Comment","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ean xml sequence consisting of a comment with content \u003ccode\u003econtent\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"createComment","description":"\u003cp\u003eConstructs an xml sequence consisting of only a comment item.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"chars","description":"\u003cp\u003ethe characters\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"Text","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ean xml sequence that is either empty or consists of one text item\nThe constructed sequence will be empty when the length of \u003ccode\u003echars\u003c/code\u003e is zero.\u003c/p\u003e\n","isDeprecated":false}],"name":"createText","description":"\u003cp\u003eConstructs an xml sequence representing zero of more parsed characters.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003ethe xml value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"startIndex","description":"\u003cp\u003estart index, inclusive\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"x.length()","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"endIndex","description":"\u003cp\u003eend index, exclusive\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ea subsequence of \u003ccode\u003ex\u003c/code\u003e consisting of items with index \u0026gt;\u003d startIndex and \u0026lt; endIndex\u003c/p\u003e\n","isDeprecated":false}],"name":"slice","description":"\u003cp\u003eReturns a subsequence of an xml value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003ethe xml value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003e\u003ccode\u003ex\u003c/code\u003e with insignificant parts removed\u003c/p\u003e\n","isDeprecated":false}],"name":"strip","description":"\u003cp\u003eStrips the insignificant parts of the an xml value.\nComment items, processing instruction items are considered insignificant.\nAfter removal of comments and processing instructions, the text is grouped into\nthe biggest possible chunks (i.e. only elements cause division into multiple chunks)\nand a chunk is considered insignificant if the entire chunk is whitespace.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003ethe xml value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"()","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"nm","description":"\u003cp\u003ethe expanded name of the elements to be selected, or \u003ccode\u003e()\u003c/code\u003e for all elements\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ean xml sequence consisting of all the element items in \u003ccode\u003ex\u003c/code\u003e whose expanded name is \u003ccode\u003enm\u003c/code\u003e,\nor, if \u003ccode\u003enm\u003c/code\u003e is \u003ccode\u003e()\u003c/code\u003e, all element items in \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"elements","description":"\u003cp\u003eSelects elements from an xml value.\nIf \u003ccode\u003enm\u003c/code\u003e is \u003ccode\u003e()\u003c/code\u003e, selects all elements;\notherwise, selects only elements whose expanded name is \u003ccode\u003enm\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003exml value\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003exml sequence containing the children of each element x concatenated in order\nThis is equivalent to \u003ccode\u003eelements(x).map(getChildren)\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false}],"name":"children","description":"\u003cp\u003eReturns the children of elements in an xml value.\nWhen \u003ccode\u003ex\u003c/code\u003e is of type Element, it is equivalent to \u003ccode\u003egetChildren\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003ethe xml value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"()","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"nm","description":"\u003cp\u003ethe expanded name of the elements to be selected, or \u003ccode\u003e()\u003c/code\u003e for all elements\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ean xml sequence consisting of child elements of elements in \u003ccode\u003ex\u003c/code\u003e; if \u003ccode\u003enm\u003c/code\u003e\nis \u003ccode\u003e()\u003c/code\u003e, returns a sequence of all such elements;\notherwise, include only elements whose expanded name is \u003ccode\u003enm\u003c/code\u003e\nThis is equivalent to \u003ccode\u003echildren(x).elements(nm)\u003c/code\u003e.\u003c/p\u003e\n","isDeprecated":false}],"name":"elementChildren","description":"\u003cp\u003eSelects element children of an xml value\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003ethe xml value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"ItemType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"XmlType","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea function to apply to each child or \u003ccode\u003eitem\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003enew xml value containing result of applying \u003ccode\u003efunc\u003c/code\u003e to each child or \u003ccode\u003eitem\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"name":"\u0027map","description":"\u003cp\u003eApplies a function to each item in an xml sequence, and returns an xml sequence of the results.\nEach item is represented as a singleton value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003ethe xml value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"ItemType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"name":"() ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea function to apply to each item in \u003ccode\u003ex\u003c/code\u003e\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"forEach","description":"\u003cp\u003eApplies a function to each item in an xml sequence.\nEach item is represented as a singleton value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"x","description":"\u003cp\u003exml value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":true,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"ItemType","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"arrayDimensions":0,"returnType":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"func","description":"\u003cp\u003ea predicate to apply to each item to test whether it should be selected\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003enew xml sequence containing items in \u003ccode\u003ex\u003c/code\u003e for which \u003ccode\u003efunc\u003c/code\u003e evaluates to true\u003c/p\u003e\n","isDeprecated":false}],"name":"filter","description":"\u003cp\u003eSelects the items from an xml sequence for which a function returns true.\nEach item is represented as a singleton value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"s","description":"\u003cp\u003ea string in XML format\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"xml","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003exml value resulting from parsing \u003ccode\u003es\u003c/code\u003e, or an error\u003c/p\u003e\n","isDeprecated":false}],"name":"fromString","description":"\u003cp\u003eConstructs an xml value from a string.\nThis parses the string using the \u003ccode\u003econtent\u003c/code\u003e production of the\nXML 1.0 Recommendation.\u003c/p\u003e\n","isDeprecated":false}],"constants":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"\"http://www.w3.org/XML/1998/namespace\"","name":"XML_NAMESPACE_URI","description":"\u003cp\u003eThe namespace URI bound to the \u003ccode\u003exml\u003c/code\u003e prefix.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"\"http://www.w3.org/2000/xmlns/\"","name":"XMLNS_NAMESPACE_URI","description":"\u003cp\u003eThe namespace URI bound to the \u003ccode\u003exmlns\u003c/code\u003e prefix.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"\"{http://www.w3.org/XML/1998/namespace}space\"","name":"space","description":"\u003cp\u003eThe expanded name of the \u003ccode\u003exml:space\u003c/code\u003e attribute.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"\"{http://www.w3.org/XML/1998/namespace}lang\"","name":"lang","description":"\u003cp\u003eThe expanded name of the \u003ccode\u003exml:lang\u003c/code\u003e attribute.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"\"{http://www.w3.org/XML/1998/namespace}base\"","name":"base","description":"\u003cp\u003eThe expanded name of the \u003ccode\u003exml:base\u003c/code\u003e attribute.\u003c/p\u003e\n","isDeprecated":false}],"annotations":[],"errors":[],"types":[{"name":"ItemType","description":"\u003cp\u003eA type parameter that is a subtype of any singleton or empty xml sequence.\nHas the special semantic that when used in a declaration\nall uses in the declaration must refer to same type.\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"Element","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"Comment","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"ProcessingInstruction","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"lang.xml","version":"0.8.0","name":"Text","category":"not_found","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}]},{"id":"observe","summary":"\u003cp\u003eThis module provides apis for observing Ballerina services.\nBallerina supports Observability out of the box. This module provides user api\u0027s to make Ballerina Observability more flexible for the user.\u003c/p\u003e\n","description":"\u003ch2\u003eModule Overview\u003c/h2\u003e\n\u003cp\u003eThis module provides apis for observing Ballerina services.\nBallerina supports Observability out of the box. This module provides user api\u0027s to make Ballerina Observability more flexible for the user.\u003c/p\u003e\n\u003cp\u003eTo observe Ballerina code, the \u0027--b7a.observability.enabled\u003dtrue\u0027 property should be given when starting the service\n(i.e. `ballerina run hello_world.bal --b7a.observability.enabled\u003dtrue\u0027).\u003c/p\u003e\n\u003ch2\u003eTracing\u003c/h2\u003e\n\u003cp\u003eTracing provides information regarding the roundtrip of a service invocation based on the concept of spans, which are\nstructured in a hierarchy based on the cause and effect concept. The tracing API allows users to tap into that\ntracing information, introduce new spans, and add additional information to existing spans using user-defined tags.\u003c/p\u003e\n\u003ch3\u003eSamples\u003c/h3\u003e\n\u003ch4\u003eStart a root span \u0026amp; attach a child span\u003c/h4\u003e\n\u003cp\u003eThe following code snippet show an example of how start a root span with no parent and start another span as a child of the first span.\nNote: Make sure that all started spans are closed properly to ensure that all spans are reported properly.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003eint spanId \u003d observe:startRootSpan(\u0026quot;Parent Span\u0026quot;);\n\n// Do Something.\n\nint spanId2 \u003d checkpanic observe:startSpan(\u0026quot;Child Span\u0026quot;, parentSpanId \u003d spanId);\n\n// Do Something.\n\nvar ret1 \u003d observe:finishSpan(spanId2);\n\n// Do Something.\n\nvar ret2 \u003d observe:finishSpan(spanId);\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eStart a span attached to a system trace\u003c/h4\u003e\n\u003cp\u003eWhen no parentSpanId is given or a parentSpanId of -1 is given, a span is started as a child span to the current active span in the ootb system trace.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003eint spanId \u003d checkpanic observe:startSpan(\u0026quot;Child Span\u0026quot;);\n\n// Do Something.\n\nvar ret \u003d observe:finishSpan(spanId);\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eAttach a tag to a span\u003c/h4\u003e\n\u003cp\u003eIt is possible to add tags to span by using the \u003ccode\u003eobserve:addTagToSpan()\u003c/code\u003e api by providing the span id and relevant tag key and tag value.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003e_ \u003d observe:addTagToSpan(spanId \u003d spanId, \u0026quot;Tag Key\u0026quot;, \u0026quot;Tag Value\u0026quot;);\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eAttach a tag to a span in the system trace\u003c/h4\u003e\n\u003cp\u003eWhen no spanId is provided or -1 is given, the defined tags are added to the current active span in the ootb system trace.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003evar ret \u003d observe:addTagToSpan(\u0026quot;Tag Key\u0026quot;, \u0026quot;Tag Value\u0026quot;);\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch2\u003eMetrics\u003c/h2\u003e\n\u003cp\u003eThere are mainly two kind of metrics instances supported; Counter and Gauge. A counter is a cumulative metric that\nrepresents a single monotonically increasing counter whose value can only increase or be reset to zero on restart.\nFor example, you can use a counter to represent the number of requests served, tasks completed, or errors.\nThe Gauge metric instance represents a single numerical value that can arbitrarily go up and down, and also based on the\nstatistics configurations provided to the Gauge, it can also report the statistics such as max, min, mean, percentiles, etc.\u003c/p\u003e\n\u003ch3\u003eCounter Samples\u003c/h3\u003e\n\u003ch4\u003eCreate\u003c/h4\u003e\n\u003cp\u003eThe following code snippets provides the information on how Counter instances can be created. Instantiating the counter\nwill simply create an instance based on the params passed.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003e// Create counter with simply by name.\nobserve:Counter simpleCounter \u003d new(\u0026quot;SimpleCounter\u0026quot;); \n\n// Create counter with description.\nobserve:Counter counterWithDesc \u003d new(\u0026quot;CounterWithDesc\u0026quot;, desc \u003d \u0026quot;This is a sample counter description\u0026quot;);\n\n// Create counter with tags.\nmap\u0026lt;string\u0026gt; counterTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Counter counterWithTags \u003d new(\u0026quot;CounterWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d counterTags);\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eRegister\u003c/h4\u003e\n\u003cp\u003eThe counter can registered with the global metrics registry, therefore it can be looked up later without having the\nreference of the counter that was created. Also, only the registered counters will be reported to the Metrics reporter\nsuch as Prometheus. In case, if there is already another non counter metric registered,\nthen there will be an error returned. But if it\u0027s another counter instance, then the registered counter instance will\nbe returned.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003emap\u0026lt;string\u0026gt; counterTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Counter counterWithTags \u003d new(\u0026quot;CounterWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d counterTags);\nvar anyError \u003d counterWithTags.register();\nif anyError is error {\n    log:printError(\u0026quot;Cannot register the counter\u0026quot;, err \u003d anyError);\n}\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eUnregister\u003c/h4\u003e\n\u003cp\u003eThe counter can unregistered with the global metrics registry if it is already registered. If a metrics is unregistered,\nthen further it\u0027ll not be included in metrics reporting.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003emap\u0026lt;string\u0026gt; counterTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Counter counterWithTags \u003d new(\u0026quot;CounterWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d counterTags);\nvar anyError \u003d counterWithTags.register();\nif anyError is error {\n    log:printError(\u0026quot;Cannot register the counter\u0026quot;, err \u003d anyError);\n}\ncounterWithTags.unregister();\n    \n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eIncrement\u003c/h4\u003e\n\u003cp\u003eThe counter can be incremented without passing any params (defaulted to 1), or by a specific amount.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003emap\u0026lt;string\u0026gt; counterTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Counter counterWithTags \u003d new(\u0026quot;CounterWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d counterTags);\n// Increment by 1.\ncounterWithTags.increment(); \n// Increment by amount 10.\ncounterWithTags.increment(amount \u003d 10);\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eReset\u003c/h4\u003e\n\u003cp\u003eThe counter can be resetted to default amount \u003d 0.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003emap\u0026lt;string\u0026gt; counterTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Counter counterWithTags \u003d new(\u0026quot;CounterWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d counterTags);\ncounterWithTags.reset();\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eGet Value\u003c/h4\u003e\n\u003cp\u003eThe current value can be retrieved by this operation.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003emap\u0026lt;string\u0026gt; counterTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Counter counterWithTags \u003d new(\u0026quot;CounterWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d counterTags);\nint currentValue \u003d counterWithTags.getValue();\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch3\u003eGauge Samples\u003c/h3\u003e\n\u003ch4\u003eCreate\u003c/h4\u003e\n\u003cp\u003eThe following code snippets provides the information on how Gauge instances can be created. Instantiating the gauge\nwill simply create an instance based on the params passed.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003e// Create gauge with simply by name. \n// Uses the default statistics configuration. \nobserve:Gauge simpleGauge \u003d new(\u0026quot;SimpleGauge\u0026quot;); \n\n// Create gauge with description.\n// Uses the default statistics configuration. \nobserve:Gauge gaugeWithDesc \u003d new(\u0026quot;GaugeWithDesc\u0026quot;, desc \u003d \u0026quot;This is a sample gauge description\u0026quot;);\n\n// Create gauge with tags.\n// Uses the default statistics configuration. \nmap\u0026lt;string\u0026gt; gaugeTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Counter gaugeWithTags \u003d new(\u0026quot;GaugeWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d gaugeTags);\n\n// Create gauge with disabled statistics. \nobserve:StatisticConfig[] statsConfigs \u003d [];\nobserve:Gauge gaugeWithNoStats \u003d new(\u0026quot;GaugeWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, \n                                    tags \u003d gaugeTags, statisticConfig \u003d statsConfigs);\n\n// Create gauge with statistics config. \nobserve:StatisticConfig config \u003d { timeWindow: 30000, percentiles: [0.33, 0.5, 0.9, 0.99], buckets: 3 };\nstatsConfigs[0]\u003dconfig; \n\nobserve:Gauge gaugeWithStats \u003d new(\u0026quot;GaugeWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, \n                                   tags \u003d gaugeTags, statisticConfig \u003d statsConfigs);\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eRegister\u003c/h4\u003e\n\u003cp\u003eThe gauge can registered with the global metrics registry, therefore it can be looked up later without having the\nreference of the gauge that was created. Also, only the registered counters will be reported to the Metrics reporter\nsuch as Prometheus. In case, if there is already another non gauge metric registered,\nthen there will be an error returned. But if it\u0027s another gauge instance, then the registered gauge instance will\nbe returned.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003emap\u0026lt;string\u0026gt; gaugeTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Gauge gaugeWithTags \u003d new(\u0026quot;GaugeWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d gaugeTags);\nvar anyError \u003d gaugeWithTags.register();\nif anyError is error {\n    log:printError(\u0026quot;Cannot register the gauge\u0026quot;, err \u003d anyError);\n}\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eUnregister\u003c/h4\u003e\n\u003cp\u003eThe gauge can unregistered with the global metrics registry if it is already registered. If a metrics is unregistered,\nthen further it\u0027ll not be included in metrics reporting.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003emap\u0026lt;string\u0026gt; gaugeTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Gauge gaugeWithTags \u003d new(\u0026quot;GaugeWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d gaugeTags);\nvar anyError \u003d gaugeWithTags.register();\nif anyError is error {\n    log:printError(\u0026quot;Cannot register the gauge\u0026quot;, err \u003d anyError);\n}\ngaugeWithTags.unregister();\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eIncrement\u003c/h4\u003e\n\u003cp\u003eThe gauge can be incremented without passing any params (defaulted to 1.0), or by a specific amount.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003emap\u0026lt;string\u0026gt; gaugeTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Gauge gaugeWithTags \u003d new(\u0026quot;GaugeWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d gaugeTags);\n// Increment by 1.\ngaugeWithTags.increment(); \n// Increment by amount 10.\ngaugeWithTags.increment(amount \u003d 10.0);  \n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eDecrement\u003c/h4\u003e\n\u003cp\u003eThe gauge can be decremented without passing any params (defaulted to 1.0), or by a specific amount.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003emap\u0026lt;string\u0026gt; gaugeTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Gauge gaugeWithTags \u003d new(\u0026quot;GaugeWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d gaugeTags);\n// Increment by 1.\ngaugeWithTags.decrement(); \n// Increment by amount 10.\ngaugeWithTags.decrement(amount \u003d 10.0);\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eSet Value\u003c/h4\u003e\n\u003cp\u003eThis method sets the gauge\u0027s value with specific amount.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003emap\u0026lt;string\u0026gt; gaugeTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Gauge gaugeWithTags \u003d new(\u0026quot;GaugeWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d gaugeTags);\ngaugeWithTags.setValue(100.0);\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eGet Value.\u003c/h4\u003e\n\u003cp\u003eThe current value can be retrieved by this operation.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003emap\u0026lt;string\u0026gt; gaugeTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Gauge gaugeWithTags \u003d new(\u0026quot;GaugeWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d gaugeTags);\nfloat currentValue \u003d gaugeWithTags.getValue(); \n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eGet Snapshot.\u003c/h4\u003e\n\u003cp\u003eThis method retrieves current snapshot of the statistics calculation based on the configurations passed to the gauge.\nIf the statistics are disabled, then it\u0027ll be returning nil ().\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003emap\u0026lt;string\u0026gt; gaugeTags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Gauge gaugeWithTags \u003d new(\u0026quot;GaugeWithTags\u0026quot;, desc \u003d \u0026quot;Some description\u0026quot;, tags \u003d gaugeTags);\ngaugeWithTags.setValue(1.0);\ngaugeWithTags.setValue(2.0);\ngaugeWithTags.setValue(3.0);\n\nobserve:Snapshot[]? summarySnapshot \u003d gaugeWithTags.getSnapshot();\nif summarySnapshot is observe:Snapshot[] {\n    io:println(summarySnapshot);\n} else {\n    io:println(\u0026quot;No statistics available!\u0026quot;);\n}\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch3\u003eGlobal Metrics Samples\u003c/h3\u003e\n\u003ch4\u003eGet All Metrics\u003c/h4\u003e\n\u003cp\u003eThis method returns all the metrics that are registered in the global metrics registry. This method is mainly useful for\nmetric reporters, where they can fetch all metrics, format those, and report.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003eobserve:Metric[] metrics \u003d observe:getAllMetrics();\nforeach var metric in metrics {\n    // Do something.\n}\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eLookup Metric\u003c/h4\u003e\n\u003cp\u003eThis method will lookup for the metric from the global metric registry and return it.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003emap\u0026lt;string\u0026gt; tags \u003d { \u0026quot;method\u0026quot;: \u0026quot;GET\u0026quot; };\nobserve:Counter|observe:Gauge|() metric \u003d observe:lookupMetric(\u0026quot;MetricName\u0026quot;, tags \u003d tags);\nif metric is observe:Counter {\n    metric.increment(amount \u003d 10);\n} else if metric is observe:Gauge {\n    metric.increment(amount \u003d 10.0);\n} else {\n    io:println(\u0026quot;No Metric Found!\u0026quot;);\n}\n\u003c/code\u003e\u003c/pre\u003e\n","orgName":"ballerina","version":"0.8.0","records":[{"fields":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eName of the metric.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"desc","description":"\u003cp\u003eDescription of the metric.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"tags","description":"\u003cp\u003eTags associated with the metric.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"metricType","description":"\u003cp\u003eType of the metric.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"value","description":"\u003cp\u003eCurrent value the metric.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"observe","version":"0.8.0","name":"Snapshot","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"summary","description":"\u003cp\u003eIf the metric is configured with statistics config, then the calculated statistics of the metric.\u003c/p\u003e\n","isDeprecated":false}],"isClosed":false,"name":"Metric","description":"\u003cp\u003eThis represents the generic metric record that can represent both counter and gauge.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"percentiles","description":"\u003cp\u003eThe percentiles that needs to be calculated.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"timeWindow","description":"\u003cp\u003eThe time window (in milli seconds) in which variation of the values are considered.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"buckets","description":"\u003cp\u003eThe number of buckets used in the sliding time window.\u003c/p\u003e\n","isDeprecated":false}],"isClosed":false,"name":"StatisticConfig","description":"\u003cp\u003eThis represents the statistic configuration that can be used to instatiate gauge metric.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"percentile","description":"\u003cp\u003eThe percentile of the reported value.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"value","description":"\u003cp\u003eThe value of the percentile.\u003c/p\u003e\n","isDeprecated":false}],"isClosed":false,"name":"PercentileValue","description":"\u003cp\u003eThis represents the percentile value record.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"timeWindow","description":"\u003cp\u003eThe time window in which variation of the values are considered.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"mean","description":"\u003cp\u003eThe average value within the time window.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"max","description":"\u003cp\u003eThe max value within the time window.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"min","description":"\u003cp\u003eThe min value within the time window.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"stdDev","description":"\u003cp\u003eThe standard deviation value within the time window.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"observe","version":"0.8.0","name":"PercentileValue","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"percentileValues","description":"\u003cp\u003eThe percentiles values calculated wihtin the time window.\u003c/p\u003e\n","isDeprecated":false}],"isClosed":false,"name":"Snapshot","description":"\u003cp\u003eThis represents the snapshot of the statistics calculation of the gauge.\u003c/p\u003e\n","isDeprecated":false}],"classes":[{"fields":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eName of the counter metric.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"description","description":"\u003cp\u003eDescription of the counter metric.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"metricTags","description":"\u003cp\u003eTags associated with the counter metric.\u003c/p\u003e\n","isDeprecated":false}],"methods":[{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eName of the Counter instance.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"desc","description":"\u003cp\u003eDescription of the Counter instance. If no description is provided, the the default empty string\nwill be used.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"()","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"tags","description":"\u003cp\u003eThe key/value pair of Tags. If no tags are provided, the default nil value will be used.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"init","description":"\u003cp\u003eThis instantiates the Counter object. Name field is mandatory, and description and tags fields\nare optional and have its own default values when no params are passed.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eReturns error if there is any metric registered already with the same name\nbut different parameters or in a different kind.\u003c/p\u003e\n","isDeprecated":false}],"name":"register","description":"\u003cp\u003eRegister the counter metric instance with the Metric Registry.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[],"name":"unregister","description":"\u003cp\u003eUnregister the counter metric instance with the Metric Registry.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"1","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"amount","description":"\u003cp\u003eThe amount by which the value needs to be increased. The amount is defaulted as 1 and will be\nused if there is no amount passed in.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"increment","description":"\u003cp\u003eIncrement the counter\u0027s value by an amount.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[],"name":"reset","description":"\u003cp\u003eResets the counter\u0027s value to zero.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe current value of the counter.\u003c/p\u003e\n","isDeprecated":false}],"name":"getValue","description":"\u003cp\u003eRetrieves the counter\u0027s current value.\u003c/p\u003e\n","isDeprecated":false}],"initMethod":{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eName of the Counter instance.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"desc","description":"\u003cp\u003eDescription of the Counter instance. If no description is provided, the the default empty string\nwill be used.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"()","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"tags","description":"\u003cp\u003eThe key/value pair of Tags. If no tags are provided, the default nil value will be used.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"init","description":"\u003cp\u003eThis instantiates the Counter object. Name field is mandatory, and description and tags fields\nare optional and have its own default values when no params are passed.\u003c/p\u003e\n","isDeprecated":false},"otherMethods":[{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eReturns error if there is any metric registered already with the same name\nbut different parameters or in a different kind.\u003c/p\u003e\n","isDeprecated":false}],"name":"register","description":"\u003cp\u003eRegister the counter metric instance with the Metric Registry.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[],"name":"unregister","description":"\u003cp\u003eUnregister the counter metric instance with the Metric Registry.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"1","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"amount","description":"\u003cp\u003eThe amount by which the value needs to be increased. The amount is defaulted as 1 and will be\nused if there is no amount passed in.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"increment","description":"\u003cp\u003eIncrement the counter\u0027s value by an amount.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[],"name":"reset","description":"\u003cp\u003eResets the counter\u0027s value to zero.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe current value of the counter.\u003c/p\u003e\n","isDeprecated":false}],"name":"getValue","description":"\u003cp\u003eRetrieves the counter\u0027s current value.\u003c/p\u003e\n","isDeprecated":false}],"name":"Counter","description":"\u003cp\u003eThis represents the metric type - counter, that can be only increased by an integer number.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eName of the counter metric.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"description","description":"\u003cp\u003eDescription of the counter metric.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"metricTags","description":"\u003cp\u003eTags associated with the counter metric.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"observe","version":"0.8.0","name":"StatisticConfig","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"statisticConfigs","description":"\u003cp\u003eArray of StatisticConfig objects which defines about the statistical calculation\nof the gauge during its usage.\u003c/p\u003e\n","isDeprecated":false}],"methods":[{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eName of the Gauge instance.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"desc","description":"\u003cp\u003eDescription of the Gauge instance. If no description is provided, the the default empty string\nwill be used.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"()","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"tags","description":"\u003cp\u003eThe key/value pair of Tags. If no tags are provided, the default nil value will be used.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"()","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"observe","version":"0.8.0","name":"StatisticConfig","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"statisticConfig","description":"\u003cp\u003eStatistics configurations array is used for statistics calculation. In case if empty\nstatistics configurations array is passed, then statistics calculation will be disabled.\nIf nil () is passed, then default statistics configs will be used for the statitics\ncalculation.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"init","description":"\u003cp\u003eThis instantiates the Gauge object. Name field is mandatory, and description, tags, and statitics config fields\nare optional and have its own default values when no params are passed.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eReturns error if there is any metric registered already with the same name\nbut different parameters or in a different kind.\u003c/p\u003e\n","isDeprecated":false}],"name":"register","description":"\u003cp\u003eRegister the gauge metric instance with the Metric Registry.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[],"name":"unregister","description":"\u003cp\u003eUnregister the counter metric instance with the Metric Registry.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"1.0","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"amount","description":"\u003cp\u003eThe amount by which the value of gauge needs to be increased.\nThe amount is defaulted as 1.0 and will be used if there is no amount passed in.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"increment","description":"\u003cp\u003eIncrement the gauge\u0027s value by an amount.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"1.0","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"amount","description":"\u003cp\u003eThe amount by which the value of gauge needs to be decreased.\nThe amount is defaulted as 1.0 and will be used if there is no amount passed in.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"decrement","description":"\u003cp\u003eDecrement the gauge\u0027s value by an amount.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"amount","description":"\u003cp\u003eThe instantaneous value that needs to be set as gauge value.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"setValue","description":"\u003cp\u003eSets the instantaneous value for gauge.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe current value of the gauge.\u003c/p\u003e\n","isDeprecated":false}],"name":"getValue","description":"\u003cp\u003eRetrieves the gauge\u0027s current value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"observe","version":"0.8.0","name":"Snapshot","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003eArray of the statistics snapshots.\nIf there is no statisticsConfigs provided, then it will be nil.\u003c/p\u003e\n","isDeprecated":false}],"name":"getSnapshot","description":"\u003cp\u003eRetrieves statistics snapshots based on the statistics configs of the gauge.\u003c/p\u003e\n","isDeprecated":false}],"initMethod":{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eName of the Gauge instance.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"desc","description":"\u003cp\u003eDescription of the Gauge instance. If no description is provided, the the default empty string\nwill be used.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"()","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"tags","description":"\u003cp\u003eThe key/value pair of Tags. If no tags are provided, the default nil value will be used.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"()","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"observe","version":"0.8.0","name":"StatisticConfig","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"statisticConfig","description":"\u003cp\u003eStatistics configurations array is used for statistics calculation. In case if empty\nstatistics configurations array is passed, then statistics calculation will be disabled.\nIf nil () is passed, then default statistics configs will be used for the statitics\ncalculation.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"init","description":"\u003cp\u003eThis instantiates the Gauge object. Name field is mandatory, and description, tags, and statitics config fields\nare optional and have its own default values when no params are passed.\u003c/p\u003e\n","isDeprecated":false},"otherMethods":[{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eReturns error if there is any metric registered already with the same name\nbut different parameters or in a different kind.\u003c/p\u003e\n","isDeprecated":false}],"name":"register","description":"\u003cp\u003eRegister the gauge metric instance with the Metric Registry.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[],"name":"unregister","description":"\u003cp\u003eUnregister the counter metric instance with the Metric Registry.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"1.0","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"amount","description":"\u003cp\u003eThe amount by which the value of gauge needs to be increased.\nThe amount is defaulted as 1.0 and will be used if there is no amount passed in.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"increment","description":"\u003cp\u003eIncrement the gauge\u0027s value by an amount.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"1.0","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"amount","description":"\u003cp\u003eThe amount by which the value of gauge needs to be decreased.\nThe amount is defaulted as 1.0 and will be used if there is no amount passed in.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"decrement","description":"\u003cp\u003eDecrement the gauge\u0027s value by an amount.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"amount","description":"\u003cp\u003eThe instantaneous value that needs to be set as gauge value.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"setValue","description":"\u003cp\u003eSets the instantaneous value for gauge.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"name":"float","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe current value of the gauge.\u003c/p\u003e\n","isDeprecated":false}],"name":"getValue","description":"\u003cp\u003eRetrieves the gauge\u0027s current value.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"observe","version":"0.8.0","name":"Snapshot","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003eArray of the statistics snapshots.\nIf there is no statisticsConfigs provided, then it will be nil.\u003c/p\u003e\n","isDeprecated":false}],"name":"getSnapshot","description":"\u003cp\u003eRetrieves statistics snapshots based on the statistics configs of the gauge.\u003c/p\u003e\n","isDeprecated":false}],"name":"Gauge","description":"\u003cp\u003eThis represents the metric type - gauge, that can hold instantaneous, increased or decreased value\nduring the usage.\u003c/p\u003e\n","isDeprecated":false}],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"spanName","description":"\u003cp\u003eName of the span\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"()","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"tags","description":"\u003cp\u003eTags to be associated to the span\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eSpanId of the started span\u003c/p\u003e\n","isDeprecated":false}],"name":"startRootSpan","description":"\u003cp\u003eStart a span with no parent span.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"spanName","description":"\u003cp\u003eName of the span\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"()","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"tags","description":"\u003cp\u003eTags to be associated to the span\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"-1","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"parentSpanId","description":"\u003cp\u003eId of the parent span or -1 if parent span should be taken from system trace\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eSpanId of the started span\u003c/p\u003e\n","isDeprecated":false}],"name":"startSpan","description":"\u003cp\u003eStart a span and create child relationship to current active span or user specified span.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"tagKey","description":"\u003cp\u003eKey of the tag\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"tagValue","description":"\u003cp\u003eValue of the tag\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"-1","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"spanId","description":"\u003cp\u003eId of span to which the tags should be added or -1 to add tags to the current active span\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eAn error if an error occurred while attaching tag to the span\u003c/p\u003e\n","isDeprecated":false}],"name":"addTagToSpan","description":"\u003cp\u003eAdd a key value pair as a tag to the span.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"tagKey","description":"\u003cp\u003eKey of the tag\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"tagValue","description":"\u003cp\u003eValue of the tag\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eAn error if an error occurred while attaching tag to System Metrics\u003c/p\u003e\n","isDeprecated":false}],"name":"addTagToMetrics","description":"\u003cp\u003eAdd a key value pair as a tag to system metrics.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"int","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"spanId","description":"\u003cp\u003eId of span to finish\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eAn error if an error occurred while finishing the span\u003c/p\u003e\n","isDeprecated":false}],"name":"finishSpan","description":"\u003cp\u003eFinish the current span.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[],"returnParameters":[{"type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"orgName":"ballerina","moduleName":"observe","version":"0.8.0","name":"Metric","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"","description":"\u003cp\u003eArray of all registered metrics.\u003c/p\u003e\n","isDeprecated":false}],"name":"getAllMetrics","description":"\u003cp\u003eRetrieve all registered metrics including default metrics from the ballerina runtime, and user defined metrics.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":false,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"name","description":"\u003cp\u003eName of the metric to lookup.\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"()","type":{"name":"map","category":"map","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"constraint":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"tags","description":"\u003cp\u003eThe key/value pair tags that associated with the metric that should be looked up.\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"observe","version":"0.8.0","name":"Counter","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"observe","version":"0.8.0","name":"Gauge","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":true,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eThe metric instance.\u003c/p\u003e\n","isDeprecated":false}],"name":"lookupMetric","description":"\u003cp\u003eRetrieves the specific metric that is described by the given name and tags.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[],"returnParameters":[{"type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eTrue if observability had been enabled.\u003c/p\u003e\n","isDeprecated":false}],"name":"isObservabilityEnabled","description":"\u003cp\u003eChecks of either metrics or tracing had been enabled.\u003c/p\u003e\n","isDeprecated":false}],"constants":[],"annotations":[{"attachmentPoints":"source function","name":"Observable","description":"","isDeprecated":false}],"errors":[],"types":[]},{"id":"test","summary":"\u003cp\u003eThis module facilitates developers to write automation tests for ballerina code in a simple manner. It provides a number of capabilities such as configuring setup and cleanup steps in different levels, ordering and grouping of tests, providing value-sets to tests and independence from external functions and endpoints via mocking capabilities.\u003c/p\u003e\n","description":"\u003ch2\u003eModule overview\u003c/h2\u003e\n\u003cp\u003eThis module facilitates developers to write automation tests for ballerina code in a simple manner. It provides a number of capabilities such as configuring setup and cleanup steps in different levels, ordering and grouping of tests, providing value-sets to tests and independence from external functions and endpoints via mocking capabilities.\u003c/p\u003e\n\u003ch2\u003eAnnotations\u003c/h2\u003e\n\u003cp\u003eA ballerina testsuite can be implemented using a set of annotations. The available annotations enable executing instructions before and after the testsuite or a single test, organize a set of tests into a group, define data-driven tests, specify an order of execution, disable tests and mocking.\u003c/p\u003e\n\u003cp\u003eThe following example shows a simple testsuite.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003eimport ballerina/io;\nimport ballerina/test;\n\n// Before Suite Function\n@test:BeforeSuite\nfunction beforeSuiteFunc() {\n    io:println(\u0026quot;I\u0027m the before suite function!\u0026quot;);\n}\n\n// Before test function\nfunction beforeFunc() {\n    io:println(\u0026quot;I\u0027m the before function!\u0026quot;);\n}\n\n// Test function\n@test:Config {\n    before: \u0026quot;beforeFunc\u0026quot;,\n    after: \u0026quot;afterFunc\u0026quot;\n}\nfunction testFunction() {\n    io:println(\u0026quot;I\u0027m in test function!\u0026quot;);\n    test:assertTrue(true, msg \u003d \u0026quot;Failed!\u0026quot;);\n}\n\n// After test function\nfunction afterFunc() {\n    io:println(\u0026quot;I\u0027m the after function!\u0026quot;);\n}\n\n// After Suite Function\n@test:AfterSuite {}\nfunction afterSuiteFunc() {\n    io:println(\u0026quot;I\u0027m the after suite function!\u0026quot;);\n}\n\u003c/code\u003e\u003c/pre\u003e\n\u003cp\u003eThe following example shows how an individual test can be configured.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003e@test:Config{  \n    enable: false, // default is true\n    before: \u0026quot;init\u0026quot;,\n    after: \u0026quot;cleanup\u0026quot;,\n    dependsOn: [\u0026quot;test1\u0026quot;],\n    dataProvider:\u0026quot;dataGen\u0026quot;\n}\nfunction dataProviderTest (int value) returns error? {\n    test:assertEquals(value, 1, msg \u003d \u0026quot;value is not correct\u0026quot;);\n}\n\nfunction dataGen() returns (int[][]) {\n    return [[1]];\n}\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch2\u003eAssertions\u003c/h2\u003e\n\u003cp\u003eThis module provides a number of assertions in order to verify the expected behaviour of a piece of code.\nThese assertions can be used to decide if the test is passing or failing based on the condition.\u003c/p\u003e\n\u003cp\u003eFollowing sample shows how to use assertions in Testerina.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003e\nimport ballerina/test;\n\ntype Person object {\n     public string name \u003d \u0026quot;\u0026quot;;\n     public int age \u003d 0;\n     public Person? parent \u003d ();\n     private string email \u003d \u0026quot;default@abc.com\u0026quot;;\n     string address \u003d \u0026quot;No 20, Palm grove\u0026quot;;\n };\n\n@test:Config{}\nfunction testAssertIntEquals() {\n    int answer \u003d 0;\n    int a \u003d 5;\n    int b \u003d 3;\n    answer \u003d intAdd(a, b);\n    test:assertEquals(answer, 8, msg \u003d \u0026quot;int values not equal\u0026quot;);\n}\n\n@test:Config {}\nfunction testAssertNotEqualsString() {\n    string s1 \u003d \u0026quot;abc\u0026quot;;\n    string s2 \u003d \u0026quot;def\u0026quot;;\n    test:assertNotEquals(s1, s2, msg \u003d \u0026quot;string values are equal\u0026quot;);\n}\n\n@test:Config {}\nfunction testAssertExactEqualsObject() {\n    Person p1 \u003d new;\n    Person p2 \u003d p1;\n    test:assertExactEquals(p1, p2, msg \u003d \u0026quot;Objects are not exactly equal\u0026quot;);\n}\n\n@test:Config {}\nfunction testAssertNotExactEqualsObject() {\n    Person p1 \u003d new;\n    Person p2 \u003d new ();\n    test:assertNotExactEquals(p1, p2, msg \u003d \u0026quot;Objects are exactly equal\u0026quot;);\n}\n\n@test:Config {}\nfunction testAssertTrue() {\n    boolean value \u003d true;\n    test:assertTrue(value, msg \u003d \u0026quot;AssertTrue failed\u0026quot;);\n}\n\n@test:Config {}\nfunction testAssertFalse() {\n    boolean value \u003d false;\n    test:assertFalse(value, msg \u003d \u0026quot;AssertFalse failed\u0026quot;);\n}\n\n@test:Config {}\nfunction testAssertFail() {\n    if (true) {\n        return;\n    }\n    test:assertFail(msg \u003d \u0026quot;AssertFailed\u0026quot;);\n}\n\nfunction intAdd(int a, int b) returns (int) {\n    return (a + b);\n}\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch2\u003eMocking\u003c/h2\u003e\n\u003cp\u003eThe test module provides capabilities to mock a function or an object for unit testing. The mocking features can be used to control the behavior of functions and objects by defining return values or replacing the entire object or function with a user-defined equivalent. This feature will help you to test the Ballerina code independently from other modules and external endpoints.\u003c/p\u003e\n\u003ch3\u003eFunction Mocking\u003c/h3\u003e\n\u003cp\u003eFunction mocking allows to control the behavior of a function in the module being tested or a function of an imported module.\u003c/p\u003e\n\u003cp\u003eThe annotation \u003ccode\u003e@test:Mock {}\u003c/code\u003e is used to declare a \u003ccode\u003eMockFunction\u003c/code\u003e object, with details of the name of the function to be mocked, as well as the module name if an import function is being mocked. The module name value of the annotation is optional if the function being mocked is not an import function.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003eimport ballerina/math;\nimport ballerina/test;\n\n@test:Mock {\n    moduleName : \u0026quot;ballerina/math\u0026quot;,\n    functionName : \u0026quot;absInt\u0026quot;\n}\ntest:MockFunction mock_absInt \u003d new();\n\n@test:Config {}\npublic function testFunction() {\n    test:when(mock_absInt).thenReturn(100);\n    test:assertEquals(math:absInt(-5), 100);\n}\n\u003c/code\u003e\u003c/pre\u003e\n\u003cp\u003eDeclaring the annotation with this object will create a default mock object in place of the original function. Subsequent to the declaration, the function call should be stubbed using the available mocking features. Different behaviors can be defined for different test cases if required.\u003c/p\u003e\n\u003ch5\u003eSamples\u003c/h5\u003e\n\u003cp\u003e\u003cem\u003emain.bal\u003c/em\u003e\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003epublic function intAdd(int a, int b) returns (int) {\n    return a + b;\n}\n\u003c/code\u003e\u003c/pre\u003e\n\u003cp\u003e\u003cem\u003etest.bal\u003c/em\u003e\u003c/p\u003e\n\u003cp\u003eThe following example shows different ways of stubbing a function call.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003e@test:Mock { functionName: \u0026quot;intAdd\u0026quot; }\ntest:MockFunction intAddMockFn \u003d new();\n\npublic function mockIntAdd(int x, int y) returns int {\n    return x - y;\n}\n\n@test:Config {}\npublic function testMockCall() {\n    // stubbing to invoke the created mock function\n    test:when(intAddMockFn).call(\u0026quot;mockIntAdd\u0026quot;);\n    test:assertEquals(intAdd(10, 6), 4);\n    \n    // stubbing to return the specified value\n    test:when(intAddMockFn).thenReturn(5);\n    test:assertEquals(intAdd(10, 4), 5);\n    \n    // stubbing to return a value based on input\n    test:when(intAddMockFn).withArguments(20, 14).thenReturn(100);\n    test:assertEquals(intAdd(20, 14), 100);\n}\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch3\u003eObject Mocking\u003c/h3\u003e\n\u003cp\u003eObject mocking enables controlling the values of member variables and the behavior of the member functions of an object. This is vital when working with client objects as the remote functions can be stubbed to return a mock value without having to actually make calls to the remote endpoint.\u003c/p\u003e\n\u003cp\u003eMocking of objects can be done in two ways.The available features provide the functionality to substitute the real object with a user-defined mock object or to stub the behavior of required functions.\u003c/p\u003e\n\u003col\u003e\n\u003cli\u003eCreating a test double (providing an equivalent object in place of the real)\u003c/li\u003e\n\u003cli\u003eStubbing the member function or member variable (specifying the behavior of functions and values of variables)\u003c/li\u003e\n\u003c/ol\u003e\n\u003cp\u003eCreating a test double is suitable when a single mock function/object can be used throughout all tests whereas stubbing is ideal when defining different behaviors for different test cases is required.\u003c/p\u003e\n\u003ch4\u003eCreating a test double\u003c/h4\u003e\n\u003cp\u003eA custom mock object can be defined in place of the real object which should contain the member variables and functions that need to be replaced. The custom object should be made structurally equivalent to the real object via the mocking features in the test module. A runtime exception will be thrown if any of the defined functions or variables is not equivalent to the counterpart of the original object.\u003c/p\u003e\n\u003cp\u003e\u003cem\u003emain.bal\u003c/em\u003e\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003ehttp:Client clientEndpoint \u003d new(\u0026quot;http://petstore.com\u0026quot;);\n\nfunction getPet(string petId) returns Pet | error {\n  http:Response|error result \u003d clientEndpoint-\u0026gt;get(\u0026quot;/pets?id\u003d\u0026quot;+petId);\n  if(result is error) {\n    return result;\n  } else {\n      Pet pet \u003d constructPetObj(result); \n    return pet;\n  }\n}\n\u003c/code\u003e\u003c/pre\u003e\n\u003cp\u003e\u003cem\u003etest.bal\u003c/em\u003e\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003e// Mock object definition for http:Client object\npublic type MockHttpClient client object {\n    public remote function get(@untainted string path, public \n        http:RequestMessage message \u003d ()) returns http:Response|http:ClientError {\n        http:Response res \u003d new;\n        res.statusCode \u003d 500;\n        return res;\n    }\n};\n\n@test:Config {}\nfunction testGetPet() {\n    //mock object that would act as the test double to the clientEndpoint\n    clientEndpoint \u003d \u0026lt;http:Client\u0026gt;mock(http:Client, new MockHttpClient());\n    http:Response res \u003d getPet(\u0026quot;D123\u0026quot;);\n    test:assertEquals(res.statusCode, 500);\n}\n\u003c/code\u003e\u003c/pre\u003e\n\u003ch4\u003eStubbing member functions and variables of an object\u003c/h4\u003e\n\u003cp\u003eThe member functions and variables are stubbed to return a specific value or to do nothing when invoked. Using the test module, a default mock object of the specified type. The default action of any member function/variable is to panic upon invocation/retrieval.  Subsequent to mock object creation, the required functions and variables of the default mock object should be stubbed to return a value or to do nothing when called.\u003c/p\u003e\n\u003ch5\u003eSamples\u003c/h5\u003e\n\u003cp\u003eExample\u003c/p\u003e\n\u003cp\u003eFollowing example shows different ways of stubbing an object member functions.\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003e\n@test:Config {}\nfunction testGetPet2() {\n    clientEndpoint \u003d \u0026lt;http:Client\u0026gt;mock(http:Client);\n\n    // stubbing to return the specified value \n    test:prepare(clientEndpoint).when(“get”).thenReturn(new http:Response());\n    \n    // stubbing to return different values for each function call \n    test:prepare(mockHttpClient).when(\u0026quot;get\u0026quot;)\n        .thenReturnSequence(new http:Response(), mockResponse);\n    \n    // stubbing to return a value based on input\n    test:prepare(mockHttpClient).when(\u0026quot;get\u0026quot;).withArguments(\u0026quot;/pets?id\u003dD123\u0026quot;, test:ANY)\n        .thenReturn(mockResponse);\n    \n    // stubbing to do nothing when function is called\n    smtpClient\u003d\u0026lt;email:SmtpClient\u0026gt;mock(email:SmtpClient);\n    test:prepare(mockSmtpCl).when(“send”).doNothing();\n\n    // add assertions\n}\n\u003c/code\u003e\u003c/pre\u003e\n\u003cp\u003eThe following example shows how to return a value when a member variable is accessed\u003c/p\u003e\n\u003cpre\u003e\u003ccode class\u003d\"language-ballerina\"\u003e@test:Config {}\nfunction testMemberVariable() {\n  clientEndpoint \u003d \u0026lt;http:Client\u0026gt;test:mock(http:Client);\n  test:prepare(clientEndpoint).getMember(\u0026quot;url\u0026quot;).thenReturn(\u0026quot;https://foo.com/\u0026quot;);\n  test:assertEquals(clientEndpoint.url, \u0026quot;https://foo.com/\u0026quot;);\n}\n\u003c/code\u003e\u003c/pre\u003e\n","orgName":"ballerina","version":"0.0.0","records":[{"fields":[{"defaultValue":"true","type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"enable","description":"\u003cp\u003eFlag to enable/disable test functions\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"[]","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"groups","description":"\u003cp\u003eList of groups that this test function belongs to\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"dataProvider","description":"\u003cp\u003eName of the function which will be used to feed data into this test\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"before","description":"\u003cp\u003eName of the function to be run before the test is run\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"after","description":"\u003cp\u003eName of the function to be run after the test is run\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"[]","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"dependsOn","description":"\u003cp\u003eA list of function names the test function depends on, and will be run before the test\u003c/p\u003e\n","isDeprecated":false}],"isClosed":false,"name":"TestConfig","description":"\u003cp\u003eConfiguration set for test functions.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"\".\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"moduleName","description":"\u003cp\u003eName of the module of the function to be mocked\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"functionName","description":"\u003cp\u003eName of the function to be mocked\u003c/p\u003e\n","isDeprecated":false}],"isClosed":false,"name":"MockConfig","description":"\u003cp\u003eConfiguration of the function to be mocked.\u003c/p\u003e\n","isDeprecated":false},{"fields":[{"defaultValue":"false","type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"alwaysRun","description":"","isDeprecated":false}],"isClosed":false,"name":"AfterSuiteConfig","description":"","isDeprecated":false},{"fields":[{"defaultValue":"[]","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"value","description":"","isDeprecated":false}],"isClosed":false,"name":"BeforeGroupsConfig","description":"","isDeprecated":false},{"fields":[{"defaultValue":"[]","type":{"isAnonymousUnionType":false,"isArrayType":true,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":1,"elementType":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}},"name":"value","description":"","isDeprecated":false}],"isClosed":false,"name":"AfterGroupsConfig","description":"","isDeprecated":false}],"classes":[{"fields":[],"methods":[{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"object{} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"mockObject","description":"\u003cp\u003eobject to register stubbing\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"init","description":"\u003cp\u003eGets invoked during the mock object preparation.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"functionName","description":"\u003cp\u003efunction name to allow stubbing\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"MemberFunctionStub","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eobject that allows stubbing calls to provided member function\u003c/p\u003e\n","isDeprecated":false}],"name":"when","description":"\u003cp\u003eAllows a member function to stub.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"fieldName","description":"\u003cp\u003efield name to allow stubbing\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"MemberVariableStub","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eobject that allows stubbing retrieval of provided member variable\u003c/p\u003e\n","isDeprecated":false}],"name":"getMember","description":"\u003cp\u003eAllows a member variable to stub\u003c/p\u003e\n","isDeprecated":false}],"initMethod":{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"object{} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"mockObject","description":"\u003cp\u003eobject to register stubbing\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"init","description":"\u003cp\u003eGets invoked during the mock object preparation.\u003c/p\u003e\n","isDeprecated":false},"otherMethods":[{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"functionName","description":"\u003cp\u003efunction name to allow stubbing\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"MemberFunctionStub","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eobject that allows stubbing calls to provided member function\u003c/p\u003e\n","isDeprecated":false}],"name":"when","description":"\u003cp\u003eAllows a member function to stub.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"fieldName","description":"\u003cp\u003efield name to allow stubbing\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"MemberVariableStub","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eobject that allows stubbing retrieval of provided member variable\u003c/p\u003e\n","isDeprecated":false}],"name":"getMember","description":"\u003cp\u003eAllows a member variable to stub\u003c/p\u003e\n","isDeprecated":false}],"name":"MockObject","description":"\u003cp\u003eRepresents a Mock object in which to create stubs for member functions and variables\u003c/p\u003e\n","isDeprecated":false},{"fields":[],"methods":[{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"object{} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"mockObject","description":"\u003cp\u003eobject to register\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"init","description":"\u003cp\u003eGets invoked during the stub registration.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"args","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"args","description":"\u003cp\u003earguments list\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"MemberFunctionStub","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eobject that allows stubbing calls to provided member function\u003c/p\u003e\n","isDeprecated":false}],"name":"withArguments","description":"\u003cp\u003eSets the arguments list to consider when stubbing the function call.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"returnValue","description":"\u003cp\u003evalue or error to return\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"thenReturn","description":"\u003cp\u003eSets the value to be returned when the function is called.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"returnValues","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"returnValues","description":"\u003cp\u003evalue or error to return\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"thenReturnSequence","description":"\u003cp\u003eSets the values to be returned when the function is called repeatedly.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[],"name":"doNothing","description":"\u003cp\u003eSets the function behavior to do nothing when called.\u003c/p\u003e\n","isDeprecated":false}],"initMethod":{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"object{} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"mockObject","description":"\u003cp\u003eobject to register\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"init","description":"\u003cp\u003eGets invoked during the stub registration.\u003c/p\u003e\n","isDeprecated":false},"otherMethods":[{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"args","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"args","description":"\u003cp\u003earguments list\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"MemberFunctionStub","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eobject that allows stubbing calls to provided member function\u003c/p\u003e\n","isDeprecated":false}],"name":"withArguments","description":"\u003cp\u003eSets the arguments list to consider when stubbing the function call.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"returnValue","description":"\u003cp\u003evalue or error to return\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"thenReturn","description":"\u003cp\u003eSets the value to be returned when the function is called.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"returnValues","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"returnValues","description":"\u003cp\u003evalue or error to return\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"thenReturnSequence","description":"\u003cp\u003eSets the values to be returned when the function is called repeatedly.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[],"name":"doNothing","description":"\u003cp\u003eSets the function behavior to do nothing when called.\u003c/p\u003e\n","isDeprecated":false}],"name":"MemberFunctionStub","description":"\u003cp\u003eRepresents an object that allows stubbing member function invocations.\u003c/p\u003e\n","isDeprecated":false},{"fields":[],"methods":[{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"object{} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"mockObject","description":"\u003cp\u003eobject to register\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"init","description":"\u003cp\u003eGets invoked during the stub registration\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"returnValue","description":"\u003cp\u003evalue or error to return\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"thenReturn","description":"\u003cp\u003eSets the value to be returned when the function is called.\u003c/p\u003e\n","isDeprecated":false}],"initMethod":{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"object{} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"mockObject","description":"\u003cp\u003eobject to register\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"init","description":"\u003cp\u003eGets invoked during the stub registration\u003c/p\u003e\n","isDeprecated":false},"otherMethods":[{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"returnValue","description":"\u003cp\u003evalue or error to return\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"thenReturn","description":"\u003cp\u003eSets the value to be returned when the function is called.\u003c/p\u003e\n","isDeprecated":false}],"name":"MemberVariableStub","description":"\u003cp\u003eRepresents an object that allows stubbing member variables retrieved.\u003c/p\u003e\n","isDeprecated":false},{"fields":[],"methods":[],"otherMethods":[],"name":"MockFunction","description":"\u003cp\u003eRepresents a MockFunction object\u003c/p\u003e\n","isDeprecated":false},{"fields":[],"methods":[{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"MockFunction","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"mockFunction","description":"","isDeprecated":false}],"returnParameters":[],"name":"init","description":"\u003cp\u003eGets invoked during the stub registration\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"returnValue","description":"\u003cp\u003evalue or error to return\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"thenReturn","description":"\u003cp\u003eSets the value to be returned when the function is called.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"args","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"args","description":"\u003cp\u003earguments list\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"FunctionStub","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eobject that allows stubbing calls to a function\u003c/p\u003e\n","isDeprecated":false}],"name":"withArguments","description":"\u003cp\u003eSets the arguments list to consider when stubbing the function call.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[],"name":"doNothing","description":"\u003cp\u003eSets the function behavior to do nothing when called\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"functionName","description":"\u003cp\u003emock function to call in place of the real\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"call","description":"\u003cp\u003eSets a function to be invoked when the real function is called.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[],"name":"callOriginal","description":"\u003cp\u003eSets the original function to be invoked.\u003c/p\u003e\n","isDeprecated":false}],"initMethod":{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"MockFunction","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"mockFunction","description":"","isDeprecated":false}],"returnParameters":[],"name":"init","description":"\u003cp\u003eGets invoked during the stub registration\u003c/p\u003e\n","isDeprecated":false},"otherMethods":[{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"returnValue","description":"\u003cp\u003evalue or error to return\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"thenReturn","description":"\u003cp\u003eSets the value to be returned when the function is called.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"args","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}},"name":"args","description":"\u003cp\u003earguments list\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"FunctionStub","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eobject that allows stubbing calls to a function\u003c/p\u003e\n","isDeprecated":false}],"name":"withArguments","description":"\u003cp\u003eSets the arguments list to consider when stubbing the function call.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[],"name":"doNothing","description":"\u003cp\u003eSets the function behavior to do nothing when called\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"functionName","description":"\u003cp\u003emock function to call in place of the real\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"call","description":"\u003cp\u003eSets a function to be invoked when the real function is called.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[],"returnParameters":[],"name":"callOriginal","description":"\u003cp\u003eSets the original function to be invoked.\u003c/p\u003e\n","isDeprecated":false}],"name":"FunctionStub","description":"\u003cp\u003eRepresents an object that allows stubbing function invocations\u003c/p\u003e\n","isDeprecated":false}],"abstractObjects":[],"clients":[],"listeners":[],"functions":[{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"object {} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"mockObject","description":"\u003cp\u003ecreated default mock object\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"MockObject","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eprepared object that allows a member function/field to register stubs\u003c/p\u003e\n","isDeprecated":false}],"name":"prepare","description":"\u003cp\u003ePrepares a provided default mock object for stubbing.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"MockFunction","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"mockFunction","description":"\u003cp\u003efunction name to allow stubbing\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"FunctionStub","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003eobject that allows stubbing calls to provided function\u003c/p\u003e\n","isDeprecated":false}],"name":"when","description":"\u003cp\u003eObjects and functions related to function mocking\nAllows a function to stub.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"category":"UNKNOWN","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"T","description":"\u003cp\u003etype of object to create the mock\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"object { }","type":{"name":"object{} ","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"mockObject","description":"\u003cp\u003emock object to replace the original (optional)\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"T","category":"reference","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ecreated mock object or throw an error if validation failed\u003c/p\u003e\n","isDeprecated":false}],"name":"mock","description":"\u003cp\u003eCreates and returns a mock object of provided type description.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":true,"parameters":[{"defaultValue":"","type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"MockFunction","category":"classes","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"mockFunction","description":"\u003cp\u003emockFunction object\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"args","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":true,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":true,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0,"elementType":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}}},"name":"args","description":"\u003cp\u003efunction arguments\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"Error","category":"types","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003efunction return value or error if case registration failed\u003c/p\u003e\n","isDeprecated":false}],"name":"mockHandler","description":"\u003cp\u003eInter-op to handle function mocking.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"errorMessage","description":"\u003cp\u003eCustom message for the ballerina error\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"category","description":"\u003cp\u003eerror category\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[{"type":{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"","description":"\u003cp\u003ean AssertError with custom message and category\u003c/p\u003e\n","isDeprecated":false}],"name":"createBallerinaError","description":"\u003cp\u003eCreates an AssertError with custom message and category.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"condition","description":"\u003cp\u003eBoolean condition to evaluate\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"Assertion Failed!\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"msg","description":"\u003cp\u003eAssertion error message\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"assertTrue","description":"\u003cp\u003eAsserts whether the given condition is true. If it is not, a AssertError is thrown with the given errorMessage.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"name":"boolean","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"condition","description":"\u003cp\u003eBoolean condition to evaluate\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"Assertion Failed!\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"msg","description":"\u003cp\u003eAssertion error message\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"assertFalse","description":"\u003cp\u003eAsserts whether the given condition is false. If it is not, a AssertError is thrown with the given errorMessage.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"actual","description":"\u003cp\u003eActual value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"expected","description":"\u003cp\u003eExpected value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"Assertion Failed!\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"msg","description":"\u003cp\u003eAssertion error message\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"assertEquals","description":"\u003cp\u003eAsserts whether the given values are equal. If it is not, an AssertError is thrown with the given errorMessage.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"actual","description":"\u003cp\u003eActual value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"anydata","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"expected","description":"\u003cp\u003eExpected value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"Assertion Failed!\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"msg","description":"\u003cp\u003eAssertion error message\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"assertNotEquals","description":"\u003cp\u003eAsserts whether the given values are not equal. If it is equal, an AssertError is thrown with the given errorMessage.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"actual","description":"\u003cp\u003eActual value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"expected","description":"\u003cp\u003eExpected value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"Assertion Failed!\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"msg","description":"\u003cp\u003eAssertion error message\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"assertExactEquals","description":"\u003cp\u003eAsserts whether the given values are exactly equal. If it is not, an AssertError is thrown with the given errorMessage.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"actual","description":"\u003cp\u003eActual value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"","type":{"isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"name":"any","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"name":"error","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0},"name":"expected","description":"\u003cp\u003eExpected value\u003c/p\u003e\n","isDeprecated":false},{"defaultValue":"\"Assertion Failed!\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"msg","description":"\u003cp\u003eAssertion error message\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"assertNotExactEquals","description":"\u003cp\u003eAsserts whether the given values are not exactly equal. If it is equal, an AssertError is thrown with the given errorMessage.\u003c/p\u003e\n","isDeprecated":false},{"isIsolated":true,"isRemote":false,"isExtern":false,"parameters":[{"defaultValue":"\"Test Failed!\"","type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"name":"msg","description":"\u003cp\u003eAssertion error message\u003c/p\u003e\n","isDeprecated":false}],"returnParameters":[],"name":"assertFail","description":"\u003cp\u003eAssert failure is triggered based on user discretion. AssertError is thrown with the given errorMessage.\u003c/p\u003e\n","isDeprecated":false}],"constants":[{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"\"__ANY__\"","name":"ANY","description":"\u003cp\u003eRepresents the placeholder to be given for object or record type arguments\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"\"InvalidObjectError\"","name":"INVALID_OBJECT_ERROR","description":"\u003cp\u003eRepresents the reason for the mock object related errors.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"\"FunctionNotFoundError\"","name":"FUNCTION_NOT_FOUND_ERROR","description":"\u003cp\u003eRepresents the reason for the non-existing member function related errors.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"\"FunctionSignatureMismatchError\"","name":"FUNCTION_SIGNATURE_MISMATCH_ERROR","description":"\u003cp\u003eRepresents the reason for the function signature related errors.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"\"InvalidMemberFieldError\"","name":"INVALID_MEMBER_FIELD_ERROR","description":"\u003cp\u003eRepresents the reason for the object member field related errors.\u003c/p\u003e\n","isDeprecated":false},{"type":{"name":"string","category":"builtin","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"value":"\"FunctionCallError\"","name":"FUNCTION_CALL_ERROR","description":"\u003cp\u003eRepresents the reason for function mocking related errors.\u003c/p\u003e\n","isDeprecated":false}],"annotations":[{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"TestConfig","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"function","name":"Config","description":"","isDeprecated":false},{"attachmentPoints":"function","name":"BeforeSuite","description":"\u003cp\u003eIdentifies beforeSuite function.\u003c/p\u003e\n","isDeprecated":false},{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"AfterSuiteConfig","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"function","name":"AfterSuite","description":"\u003cp\u003eIdentifies afterSuite function.\u003c/p\u003e\n","isDeprecated":false},{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"BeforeGroupsConfig","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"function","name":"BeforeGroups","description":"\u003cp\u003eIdentifies beforeGroup function.\u003c/p\u003e\n","isDeprecated":false},{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"AfterGroupsConfig","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"function","name":"AfterGroups","description":"\u003cp\u003eIdentifies afterGroup function.\u003c/p\u003e\n","isDeprecated":false},{"attachmentPoints":"function","name":"BeforeEach","description":"\u003cp\u003eIdentifies beforeTest function.\u003c/p\u003e\n","isDeprecated":false},{"attachmentPoints":"function","name":"AfterEach","description":"\u003cp\u003eIdentifies afterTest function.\u003c/p\u003e\n","isDeprecated":false},{"type":{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"MockConfig","category":"records","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},"attachmentPoints":"source var, function","name":"Mock","description":"\u003cp\u003eIdentifies the MockFunction object\u003c/p\u003e\n","isDeprecated":false}],"errors":[{"name":"InvalidObjectError","description":"","isDeprecated":false},{"name":"FunctionNotFoundError","description":"","isDeprecated":false},{"name":"FunctionSignatureMismatchError","description":"","isDeprecated":false},{"name":"InvalidMemberFieldError","description":"","isDeprecated":false},{"name":"FunctionCallError","description":"","isDeprecated":false}],"types":[{"name":"Error","description":"\u003cp\u003eRepresents mocking related errors\u003c/p\u003e\n","isAnonymousUnionType":true,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"InvalidObjectError","category":"errors","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"FunctionNotFoundError","category":"errors","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"FunctionSignatureMismatchError","category":"errors","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"InvalidMemberFieldError","category":"errors","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0},{"orgName":"ballerina","moduleName":"test","version":"0.0.0","name":"FunctionCallError","category":"errors","isAnonymousUnionType":false,"isArrayType":false,"isNullable":false,"isTuple":false,"isIntersectionType":false,"isParenthesisedType":false,"isRestParam":false,"isLambda":false,"isDeprecated":false,"generateUserDefinedTypeLink":true,"memberTypes":[],"paramTypes":[],"arrayDimensions":0}],"paramTypes":[],"arrayDimensions":0}]}]};